package org.example.tiempoaemet;

import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.support.v4.app.FragmentTabHost;
import android.view.Menu;
import android.view.MenuItem;


public class MainActivity extends FragmentActivity {

    private final String TAB1_NAME_STR= "tab1_name";
    private final String TAB2_NAME_STR= "tab2_name";
    private final String TAB3_NAME_STR= "tab3_name";

    private FragmentTabHost mainTabHost;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        mainTabHost = (FragmentTabHost) findViewById(R.id.tabHost);
        mainTabHost.setup(this, getSupportFragmentManager(), android.R.id.tabcontent);


        String tab1Name = MisUtilidades.getStringResourceByName(this, TAB1_NAME_STR, this.getClass().getPackage().getName());
        String tab2Name = MisUtilidades.getStringResourceByName(this, TAB2_NAME_STR, this.getClass().getPackage().getName());
        String tab3Name = MisUtilidades.getStringResourceByName(this, TAB3_NAME_STR, this.getClass().getPackage().getName());

        mainTabHost.addTab(mainTabHost.newTabSpec("tab1").setIndicator(tab1Name),
                FragmentTab1.class, null);
        mainTabHost.addTab(mainTabHost.newTabSpec("tab2").setIndicator(tab2Name),
                FragmentTab2.class, null);
        mainTabHost.addTab(mainTabHost.newTabSpec("tab3").setIndicator(tab3Name),
                FragmentTab3.class, null);


    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}