package org.example.tiempoaemet.bd;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.util.Log;


public class RelacionIneSQLite extends SQLiteOpenHelper {


    //Métodos de SQLiteOpenHelper
    public RelacionIneSQLite(Context context) {

        super(context, "datos_ine", null, 1);
    }


    @Override
    public void onCreate(SQLiteDatabase db) {
        db.execSQL("CREATE TABLE PROVINCIA (" +
                "COD_PROV INTEGER PRIMARY KEY, " +
                "NOMBRE TEXT)");

        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (1,'Álava')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (2,'Albacete')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (3,'Alicante')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (4,'Almería')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (5,'Ávila')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (6,'Badajoz')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (7,'Islas Baleares')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (8,'Barcelona')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (9,'Burgos')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (10,'Cáceres')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (11,'Cádiz')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (12,'Castellón')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (13,'Ciudad Real')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (14,'Córdoba')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (15,'A Coruña')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (16,'Cuenca')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (17,'Girona')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (18,'Granada')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (19,'Guadalajara')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (20,'Guipúzcoa')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (21,'Huelva')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (22,'Huesca')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (23,'Jaén')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (24,'León')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (25,'Lérida')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (26,'La Rioja')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (27,'Lugo')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (28,'Madrid')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (29,'Málaga')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (30,'Murcia')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (31,'Navarra')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (32,'Ourense')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (33,'Asturias')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (34,'Palencia')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (35,'Las Palmas')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (36,'Pontevedra')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (37,'Salamanca')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (38,'Santa Cruz de Tenerife')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (39,'Cantabria')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (40,'Segovia')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (41,'Sevilla')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (42,'Soria')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (43,'Tarragona')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (44,'Teruel')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (45,'Toledo')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (46,'Valencia')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (47,'Valladolid')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (48,'Vizcaya')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (49,'Zamora')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (50,'Zaragoza')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (51,'Ceuta')");
        db.execSQL("Insert into PROVINCIA (COD_PROV,NOMBRE) values (52,'Melilla')");


        db.execSQL("CREATE TABLE MUNICIPIO (" +
                "COD_MUN INTEGER PRIMARY KEY, " +
                "COD_PROV INTEGER, " +
                "NOMBRE TEXT, " +
                "FOREIGN KEY (COD_PROV) REFERENCES PROVINCIA(COD_PROV))");


        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1001,1,'Alegría-Dulantzi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1002,1,'Amurrio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1003,1,'Aramaio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1004,1,'Artziniega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1006,1,'Armiñón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1008,1,'Arrazua-Ubarrundia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1009,1,'Asparrena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1010,1,'Ayala/Aiara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1011,1,'Baños de Ebro/Mañueta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1013,1,'Barrundia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1014,1,'Berantevilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1016,1,'Bernedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1017,1,'Campezo/Kanpezu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1018,1,'Zigoitia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1019,1,'Kripan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1020,1,'Kuartango')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1021,1,'Elburgo/Burgelu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1022,1,'Elciego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1023,1,'Elvillar/Bilar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1027,1,'Iruraiz-Gauna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1028,1,'Labastida/Bastida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1030,1,'Lagrán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1031,1,'Laguardia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1032,1,'Lanciego/Lantziego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1033,1,'Lapuebla de Labarca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1034,1,'Leza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1036,1,'Laudio/Llodio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1037,1,'Arraia-Maeztu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1039,1,'Moreda de Álava/Moreda Araba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1041,1,'Navaridas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1042,1,'Okondo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1043,1,'Oyón-Oion')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1044,1,'Peñacerrada-Urizaharra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1046,1,'Erriberagoitia/Ribera Alta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1047,1,'Ribera Baja/Erribera Beitia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1049,1,'Añana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1051,1,'Salvatierra/Agurain')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1052,1,'Samaniego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1053,1,'San Millán/Donemiliaga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1054,1,'Urkabustaiz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1055,1,'Valdegovía/Gaubea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1056,1,'Harana/Valle de Arana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1057,1,'Villabuena de Álava/Eskuernaga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1058,1,'Legutio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1059,1,'Vitoria-Gasteiz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1060,1,'Yécora/Iekora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1061,1,'Zalduondo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1062,1,'Zambrana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1063,1,'Zuia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1901,1,'Iruña Oka/Iruña de Oca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (1902,1,'Lantarón')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2001,2,'Abengibre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2002,2,'Alatoz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2003,2,'Albacete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2004,2,'Albatana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2005,2,'Alborea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2006,2,'Alcadozo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2007,2,'Alcalá del Júcar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2008,2,'Alcaraz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2009,2,'Almansa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2010,2,'Alpera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2011,2,'Ayna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2012,2,'Balazote')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2013,2,'Balsa de Ves')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2014,2,'Ballestero, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2015,2,'Barrax')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2016,2,'Bienservida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2017,2,'Bogarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2018,2,'Bonete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2019,2,'Bonillo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2020,2,'Carcelén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2021,2,'Casas de Juan Núñez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2022,2,'Casas de Lázaro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2023,2,'Casas de Ves')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2024,2,'Casas-Ibáñez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2025,2,'Caudete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2026,2,'Cenizate')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2027,2,'Corral-Rubio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2028,2,'Cotillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2029,2,'Chinchilla de Monte-Aragón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2030,2,'Elche de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2031,2,'Férez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2032,2,'Fuensanta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2033,2,'Fuente-Álamo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2034,2,'Fuentealbilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2035,2,'Gineta, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2036,2,'Golosalvo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2037,2,'Hellín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2038,2,'Herrera, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2039,2,'Higueruela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2040,2,'Hoya-Gonzalo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2041,2,'Jorquera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2042,2,'Letur')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2043,2,'Lezuza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2044,2,'Liétor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2045,2,'Madrigueras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2046,2,'Mahora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2047,2,'Masegoso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2048,2,'Minaya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2049,2,'Molinicos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2050,2,'Montalvos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2051,2,'Montealegre del Castillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2052,2,'Motilleja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2053,2,'Munera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2054,2,'Navas de Jorquera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2055,2,'Nerpio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2056,2,'Ontur')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2057,2,'Ossa de Montiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2058,2,'Paterna del Madera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2059,2,'Peñascosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2060,2,'Peñas de San Pedro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2061,2,'Pétrola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2062,2,'Povedilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2063,2,'Pozohondo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2064,2,'Pozo-Lorente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2065,2,'Pozuelo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2066,2,'Recueja, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2067,2,'Riópar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2068,2,'Robledo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2069,2,'Roda, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2070,2,'Salobre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2071,2,'San Pedro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2072,2,'Socovos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2073,2,'Tarazona de la Mancha')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2074,2,'Tobarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2075,2,'Valdeganga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2076,2,'Vianos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2077,2,'Villa de Ves')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2078,2,'Villalgordo del Júcar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2079,2,'Villamalea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2080,2,'Villapalacios')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2081,2,'Villarrobledo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2082,2,'Villatoya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2083,2,'Villavaliente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2084,2,'Villaverde de Guadalimar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2085,2,'Viveros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2086,2,'Yeste')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (2901,2,'Pozo Cañada')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3001,3,'Adsubia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3002,3,'Agost')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3003,3,'Agres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3004,3,'Aigües')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3005,3,'Albatera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3006,3,'Alcalalí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3007,3,'Alcocer de Planes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3008,3,'Alcoleja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3009,3,'Alcoy/Alcoi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3010,3,'Alfafara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3011,3,'Alfàs del Pi, l''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3012,3,'Algorfa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3013,3,'Algueña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3014,3,'Alicante/Alacant')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3015,3,'Almoradí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3016,3,'Almudaina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3017,3,'Alqueria d''Asnar, l''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3018,3,'Altea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3019,3,'Aspe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3020,3,'Balones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3021,3,'Banyeres de Mariola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3022,3,'Benasau')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3023,3,'Beneixama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3024,3,'Benejúzar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3025,3,'Benferri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3026,3,'Beniarbeig')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3027,3,'Beniardá')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3028,3,'Beniarrés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3029,3,'Benigembla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3030,3,'Benidoleig')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3031,3,'Benidorm')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3032,3,'Benifallim')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3033,3,'Benifato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3034,3,'Benijófar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3035,3,'Benilloba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3036,3,'Benillup')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3037,3,'Benimantell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3038,3,'Benimarfull')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3039,3,'Benimassot')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3040,3,'Benimeli')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3041,3,'Benissa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3042,3,'Benitachell/Poble Nou de Benitatxell, el')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3043,3,'Biar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3044,3,'Bigastro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3045,3,'Bolulla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3046,3,'Busot')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3047,3,'Calp')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3048,3,'Callosa d''En Sarrià')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3049,3,'Callosa de Segura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3050,3,'Campello, el')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3051,3,'Campo de Mirra/Camp de Mirra, el')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3052,3,'Cañada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3053,3,'Castalla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3054,3,'Castell de Castells')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3055,3,'Catral')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3056,3,'Cocentaina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3057,3,'Confrides')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3058,3,'Cox')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3059,3,'Crevillent')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3060,3,'Quatretondeta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3061,3,'Daya Nueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3062,3,'Daya Vieja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3063,3,'Dénia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3064,3,'Dolores')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3065,3,'Elche/Elx')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3066,3,'Elda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3067,3,'Facheca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3068,3,'Famorca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3069,3,'Finestrat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3070,3,'Formentera del Segura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3071,3,'Gata de Gorgos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3072,3,'Gaianes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3073,3,'Gorga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3074,3,'Granja de Rocamora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3075,3,'Castell de Guadalest, el')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3076,3,'Guardamar del Segura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3077,3,'Fondó de les Neus, el/Hondón de las Nieves')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3078,3,'Hondón de los Frailes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3079,3,'Ibi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3080,3,'Jacarilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3081,3,'Xaló')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3082,3,'Jávea/Xàbia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3083,3,'Jijona/Xixona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3084,3,'Lorcha/Orxa, l''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3085,3,'Llíber')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3086,3,'Millena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3088,3,'Monforte del Cid')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3089,3,'Monóvar/Monòver')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3090,3,'Mutxamel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3091,3,'Murla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3092,3,'Muro de Alcoy')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3093,3,'Novelda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3094,3,'Nucia, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3095,3,'Ondara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3096,3,'Onil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3097,3,'Orba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3098,3,'Orxeta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3099,3,'Orihuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3100,3,'Parcent')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3101,3,'Pedreguer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3102,3,'Pego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3103,3,'Penàguila')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3104,3,'Petrer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3105,3,'Pinós, el/Pinoso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3106,3,'Planes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3107,3,'Polop')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3109,3,'Rafal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3110,3,'Ràfol d''Almúnia, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3111,3,'Redován')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3112,3,'Relleu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3113,3,'Rojales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3114,3,'Romana, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3115,3,'Sagra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3116,3,'Salinas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3117,3,'Sanet y Negrals')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3118,3,'San Fulgencio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3119,3,'Sant Joan d''Alacant')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3120,3,'San Miguel de Salinas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3121,3,'Santa Pola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3122,3,'San Vicente del Raspeig/Sant Vicent del Raspeig')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3123,3,'Sax')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3124,3,'Sella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3125,3,'Senija')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3127,3,'Tàrbena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3128,3,'Teulada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3129,3,'Tibi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3130,3,'Tollos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3131,3,'Tormos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3132,3,'Torremanzanas/Torre de les Maçanes, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3133,3,'Torrevieja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3134,3,'Vall d''Alcalà, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3135,3,'Vall d''Ebo, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3136,3,'Vall de Gallinera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3137,3,'Vall de Laguar, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3138,3,'Verger, el')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3139,3,'Villajoyosa/Vila Joiosa, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3140,3,'Villena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3901,3,'Poblets, els')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3902,3,'Pilar de la Horadada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3903,3,'Montesinos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (3904,3,'San Isidro')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4001,4,'Abla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4002,4,'Abrucena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4003,4,'Adra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4004,4,'Albánchez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4005,4,'Alboloduy')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4006,4,'Albox')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4007,4,'Alcolea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4008,4,'Alcóntar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4009,4,'Alcudia de Monteagud')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4010,4,'Alhabia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4011,4,'Alhama de Almería')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4012,4,'Alicún')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4013,4,'Almería')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4014,4,'Almócita')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4015,4,'Alsodux')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4016,4,'Antas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4017,4,'Arboleas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4018,4,'Armuña de Almanzora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4019,4,'Bacares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4020,4,'Bayárcal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4021,4,'Bayarque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4022,4,'Bédar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4023,4,'Beires')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4024,4,'Benahadux')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4026,4,'Benitagla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4027,4,'Benizalón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4028,4,'Bentarique')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4029,4,'Berja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4030,4,'Canjáyar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4031,4,'Cantoria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4032,4,'Carboneras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4033,4,'Castro de Filabres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4034,4,'Cóbdar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4035,4,'Cuevas del Almanzora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4036,4,'Chercos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4037,4,'Chirivel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4038,4,'Dalías')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4041,4,'Enix')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4043,4,'Felix')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4044,4,'Fines')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4045,4,'Fiñana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4046,4,'Fondón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4047,4,'Gádor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4048,4,'Gallardos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4049,4,'Garrucha')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4050,4,'Gérgal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4051,4,'Huécija')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4052,4,'Huércal de Almería')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4053,4,'Huércal-Overa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4054,4,'Illar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4055,4,'Instinción')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4056,4,'Laroya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4057,4,'Láujar de Andarax')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4058,4,'Líjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4059,4,'Lubrín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4060,4,'Lucainena de las Torres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4061,4,'Lúcar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4062,4,'Macael')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4063,4,'María')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4064,4,'Mojácar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4065,4,'Nacimiento')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4066,4,'Níjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4067,4,'Ohanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4068,4,'Olula de Castro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4069,4,'Olula del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4070,4,'Oria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4071,4,'Padules')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4072,4,'Partaloa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4073,4,'Paterna del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4074,4,'Pechina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4075,4,'Pulpí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4076,4,'Purchena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4077,4,'Rágol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4078,4,'Rioja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4079,4,'Roquetas de Mar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4080,4,'Santa Cruz de Marchena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4081,4,'Santa Fe de Mondújar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4082,4,'Senés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4083,4,'Serón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4084,4,'Sierro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4085,4,'Somontín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4086,4,'Sorbas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4087,4,'Suflí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4088,4,'Tabernas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4089,4,'Taberno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4090,4,'Tahal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4091,4,'Terque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4092,4,'Tíjola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4093,4,'Turre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4094,4,'Turrillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4095,4,'Uleila del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4096,4,'Urrácal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4097,4,'Velefique')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4098,4,'Vélez-Blanco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4099,4,'Vélez-Rubio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4100,4,'Vera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4101,4,'Viator')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4102,4,'Vícar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4103,4,'Zurgena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4901,4,'Tres Villas, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4902,4,'Ejido, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (4903,4,'Mojonera, La')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5001,5,'Adanero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5002,5,'Adrada, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5005,5,'Albornos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5007,5,'Aldeanueva de Santa Cruz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5008,5,'Aldeaseca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5010,5,'Aldehuela, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5012,5,'Amavida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5013,5,'Arenal, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5014,5,'Arenas de San Pedro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5015,5,'Arevalillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5016,5,'Arévalo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5017,5,'Aveinte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5018,5,'Avellaneda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5019,5,'Ávila')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5021,5,'Barco de Ávila, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5022,5,'Barraco, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5023,5,'Barromán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5024,5,'Becedas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5025,5,'Becedillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5026,5,'Bercial de Zapardiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5027,5,'Berlanas, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5029,5,'Bernuy-Zapardiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5030,5,'Berrocalejo de Aragona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5033,5,'Blascomillán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5034,5,'Blasconuño de Matacabras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5035,5,'Blascosancho')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5036,5,'Bohodón, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5037,5,'Bohoyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5038,5,'Bonilla de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5039,5,'Brabos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5040,5,'Bularros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5041,5,'Burgohondo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5042,5,'Cabezas de Alambre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5043,5,'Cabezas del Pozo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5044,5,'Cabezas del Villar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5045,5,'Cabizuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5046,5,'Canales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5047,5,'Candeleda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5048,5,'Cantiveros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5049,5,'Cardeñosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5051,5,'Carrera, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5052,5,'Casas del Puerto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5053,5,'Casasola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5054,5,'Casavieja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5055,5,'Casillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5056,5,'Castellanos de Zapardiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5057,5,'Cebreros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5058,5,'Cepeda la Mora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5059,5,'Cillán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5060,5,'Cisla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5061,5,'Colilla, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5062,5,'Collado de Contreras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5063,5,'Collado del Mirón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5064,5,'Constanzana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5065,5,'Crespos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5066,5,'Cuevas del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5067,5,'Chamartín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5069,5,'Donjimeno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5070,5,'Donvidas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5072,5,'Espinosa de los Caballeros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5073,5,'Flores de Ávila')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5074,5,'Fontiveros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5075,5,'Fresnedilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5076,5,'Fresno, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5077,5,'Fuente el Saúz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5078,5,'Fuentes de Año')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5079,5,'Gallegos de Altamiros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5080,5,'Gallegos de Sobrinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5081,5,'Garganta del Villar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5082,5,'Gavilanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5083,5,'Gemuño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5084,5,'Gilbuena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5085,5,'Gil García')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5086,5,'Gimialcón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5087,5,'Gotarrendura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5088,5,'Grandes y San Martín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5089,5,'Guisando')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5090,5,'Gutierre-Muñoz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5092,5,'Hernansancho')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5093,5,'Herradón de Pinares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5094,5,'Herreros de Suso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5095,5,'Higuera de las Dueñas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5096,5,'Hija de Dios, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5097,5,'Horcajada, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5099,5,'Horcajo de las Torres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5100,5,'Hornillo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5101,5,'Hoyocasero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5102,5,'Hoyo de Pinares, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5103,5,'Hoyorredondo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5104,5,'Hoyos del Collado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5105,5,'Hoyos del Espino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5106,5,'Hoyos de Miguel Muñoz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5107,5,'Hurtumpascual')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5108,5,'Junciana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5109,5,'Langa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5110,5,'Lanzahíta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5112,5,'Losar del Barco, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5113,5,'Llanos de Tormes, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5114,5,'Madrigal de las Altas Torres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5115,5,'Maello')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5116,5,'Malpartida de Corneja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5117,5,'Mamblas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5118,5,'Mancera de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5119,5,'Manjabálago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5120,5,'Marlín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5121,5,'Martiherrero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5122,5,'Martínez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5123,5,'Mediana de Voltoya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5124,5,'Medinilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5125,5,'Mengamuñoz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5126,5,'Mesegar de Corneja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5127,5,'Mijares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5128,5,'Mingorría')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5129,5,'Mirón, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5130,5,'Mironcillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5131,5,'Mirueña de los Infanzones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5132,5,'Mombeltrán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5133,5,'Monsalupe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5134,5,'Moraleja de Matacabras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5135,5,'Muñana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5136,5,'Muñico')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5138,5,'Muñogalindo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5139,5,'Muñogrande')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5140,5,'Muñomer del Peco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5141,5,'Muñopepe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5142,5,'Muñosancho')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5143,5,'Muñotello')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5144,5,'Narrillos del Álamo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5145,5,'Narrillos del Rebollar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5147,5,'Narros del Castillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5148,5,'Narros del Puerto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5149,5,'Narros de Saldueña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5151,5,'Navacepedilla de Corneja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5152,5,'Nava de Arévalo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5153,5,'Nava del Barco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5154,5,'Navadijos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5155,5,'Navaescurial')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5156,5,'Navahondilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5157,5,'Navalacruz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5158,5,'Navalmoral')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5159,5,'Navalonguilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5160,5,'Navalosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5161,5,'Navalperal de Pinares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5162,5,'Navalperal de Tormes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5163,5,'Navaluenga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5164,5,'Navaquesera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5165,5,'Navarredonda de Gredos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5166,5,'Navarredondilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5167,5,'Navarrevisca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5168,5,'Navas del Marqués, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5169,5,'Navatalgordo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5170,5,'Navatejares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5171,5,'Neila de San Miguel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5172,5,'Niharra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5173,5,'Ojos-Albos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5174,5,'Orbita')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5175,5,'Oso, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5176,5,'Padiernos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5177,5,'Pajares de Adaja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5178,5,'Palacios de Goda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5179,5,'Papatrigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5180,5,'Parral, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5181,5,'Pascualcobo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5182,5,'Pedro Bernardo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5183,5,'Pedro-Rodríguez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5184,5,'Peguerinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5185,5,'Peñalba de Ávila')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5186,5,'Piedrahíta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5187,5,'Piedralaves')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5188,5,'Poveda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5189,5,'Poyales del Hoyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5190,5,'Pozanco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5191,5,'Pradosegar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5192,5,'Puerto Castilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5193,5,'Rasueros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5194,5,'Riocabado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5195,5,'Riofrío')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5196,5,'Rivilla de Barajas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5197,5,'Salobral')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5198,5,'Salvadiós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5199,5,'San Bartolomé de Béjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5200,5,'San Bartolomé de Corneja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5201,5,'San Bartolomé de Pinares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5204,5,'Sanchidrián')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5205,5,'Sanchorreja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5206,5,'San Esteban de los Patos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5207,5,'San Esteban del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5208,5,'San Esteban de Zapardiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5209,5,'San García de Ingelmos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5210,5,'San Juan de la Encinilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5211,5,'San Juan de la Nava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5212,5,'San Juan del Molinillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5213,5,'San Juan del Olmo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5214,5,'San Lorenzo de Tormes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5215,5,'San Martín de la Vega del Alberche')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5216,5,'San Martín del Pimpollar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5217,5,'San Miguel de Corneja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5218,5,'San Miguel de Serrezuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5219,5,'San Pascual')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5220,5,'San Pedro del Arroyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5221,5,'Santa Cruz del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5222,5,'Santa Cruz de Pinares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5224,5,'Santa María del Arroyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5225,5,'Santa María del Berrocal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5226,5,'Santa María de los Caballeros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5227,5,'Santa María del Tiétar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5228,5,'Santiago del Collado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5229,5,'Santo Domingo de las Posadas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5230,5,'Santo Tomé de Zabarcos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5231,5,'San Vicente de Arévalo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5232,5,'Serrada, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5233,5,'Serranillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5234,5,'Sigeres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5235,5,'Sinlabajos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5236,5,'Solana de Ávila')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5237,5,'Solana de Rioalmar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5238,5,'Solosancho')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5239,5,'Sotalbo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5240,5,'Sotillo de la Adrada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5241,5,'Tiemblo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5242,5,'Tiñosillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5243,5,'Tolbaños')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5244,5,'Tormellas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5245,5,'Tornadizos de Ávila')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5246,5,'Tórtoles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5247,5,'Torre, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5249,5,'Umbrías')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5251,5,'Vadillo de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5252,5,'Valdecasa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5253,5,'Vega de Santa María')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5254,5,'Velayos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5256,5,'Villaflor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5257,5,'Villafranca de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5258,5,'Villanueva de Gómez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5259,5,'Villanueva del Aceral')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5260,5,'Villanueva del Campillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5261,5,'Villar de Corneja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5262,5,'Villarejo del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5263,5,'Villatoro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5264,5,'Viñegra de Moraña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5265,5,'Vita')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5266,5,'Zapardiel de la Cañada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5267,5,'Zapardiel de la Ribera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5901,5,'San Juan de Gredos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5902,5,'Santa María del Cubillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5903,5,'Diego del Carpio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5904,5,'Santiago del Tormes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (5905,5,'Villanueva de Ávila')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6001,6,'Acedera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6002,6,'Aceuchal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6003,6,'Ahillones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6004,6,'Alange')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6005,6,'Albuera, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6006,6,'Alburquerque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6007,6,'Alconchel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6008,6,'Alconera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6009,6,'Aljucén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6010,6,'Almendral')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6011,6,'Almendralejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6012,6,'Arroyo de San Serván')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6013,6,'Atalaya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6014,6,'Azuaga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6015,6,'Badajoz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6016,6,'Barcarrota')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6017,6,'Baterno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6018,6,'Benquerencia de la Serena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6019,6,'Berlanga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6020,6,'Bienvenida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6021,6,'Bodonal de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6022,6,'Burguillos del Cerro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6023,6,'Cabeza del Buey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6024,6,'Cabeza la Vaca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6025,6,'Calamonte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6026,6,'Calera de León')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6027,6,'Calzadilla de los Barros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6028,6,'Campanario')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6029,6,'Campillo de Llerena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6030,6,'Capilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6031,6,'Carmonita')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6032,6,'Carrascalejo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6033,6,'Casas de Don Pedro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6034,6,'Casas de Reina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6035,6,'Castilblanco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6036,6,'Castuera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6037,6,'Codosera, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6038,6,'Cordobilla de Lácara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6039,6,'Coronada, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6040,6,'Corte de Peleas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6041,6,'Cristina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6042,6,'Cheles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6043,6,'Don Álvaro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6044,6,'Don Benito')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6045,6,'Entrín Bajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6046,6,'Esparragalejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6047,6,'Esparragosa de la Serena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6048,6,'Esparragosa de Lares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6049,6,'Feria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6050,6,'Fregenal de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6051,6,'Fuenlabrada de los Montes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6052,6,'Fuente de Cantos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6053,6,'Fuente del Arco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6054,6,'Fuente del Maestre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6055,6,'Fuentes de León')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6056,6,'Garbayuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6057,6,'Garlitos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6058,6,'Garrovilla, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6059,6,'Granja de Torrehermosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6060,6,'Guareña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6061,6,'Haba, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6062,6,'Helechosa de los Montes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6063,6,'Herrera del Duque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6064,6,'Higuera de la Serena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6065,6,'Higuera de Llerena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6066,6,'Higuera de Vargas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6067,6,'Higuera la Real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6068,6,'Hinojosa del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6069,6,'Hornachos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6070,6,'Jerez de los Caballeros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6071,6,'Lapa, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6072,6,'Lobón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6073,6,'Llera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6074,6,'Llerena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6075,6,'Magacela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6076,6,'Maguilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6077,6,'Malcocinado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6078,6,'Malpartida de la Serena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6079,6,'Manchita')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6080,6,'Medellín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6081,6,'Medina de las Torres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6082,6,'Mengabril')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6083,6,'Mérida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6084,6,'Mirandilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6085,6,'Monesterio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6086,6,'Montemolín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6087,6,'Monterrubio de la Serena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6088,6,'Montijo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6089,6,'Morera, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6090,6,'Nava de Santiago, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6091,6,'Navalvillar de Pela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6092,6,'Nogales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6093,6,'Oliva de la Frontera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6094,6,'Oliva de Mérida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6095,6,'Olivenza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6096,6,'Orellana de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6097,6,'Orellana la Vieja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6098,6,'Palomas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6099,6,'Parra, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6100,6,'Peñalsordo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6101,6,'Peraleda del Zaucejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6102,6,'Puebla de Alcocer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6103,6,'Puebla de la Calzada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6104,6,'Puebla de la Reina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6105,6,'Puebla del Maestre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6106,6,'Puebla del Prior')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6107,6,'Puebla de Obando')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6108,6,'Puebla de Sancho Pérez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6109,6,'Quintana de la Serena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6110,6,'Reina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6111,6,'Rena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6112,6,'Retamal de Llerena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6113,6,'Ribera del Fresno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6114,6,'Risco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6115,6,'Roca de la Sierra, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6116,6,'Salvaleón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6117,6,'Salvatierra de los Barros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6118,6,'Sancti-Spíritus')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6119,6,'San Pedro de Mérida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6120,6,'Santa Amalia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6121,6,'Santa Marta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6122,6,'Santos de Maimona, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6123,6,'San Vicente de Alcántara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6124,6,'Segura de León')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6125,6,'Siruela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6126,6,'Solana de los Barros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6127,6,'Talarrubias')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6128,6,'Talavera la Real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6129,6,'Táliga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6130,6,'Tamurejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6131,6,'Torre de Miguel Sesmero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6132,6,'Torremayor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6133,6,'Torremejía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6134,6,'Trasierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6135,6,'Trujillanos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6136,6,'Usagre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6137,6,'Valdecaballeros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6138,6,'Valdetorres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6139,6,'Valencia de las Torres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6140,6,'Valencia del Mombuey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6141,6,'Valencia del Ventoso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6142,6,'Valverde de Burguillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6143,6,'Valverde de Leganés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6144,6,'Valverde de Llerena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6145,6,'Valverde de Mérida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6146,6,'Valle de la Serena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6147,6,'Valle de Matamoros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6148,6,'Valle de Santa Ana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6149,6,'Villafranca de los Barros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6150,6,'Villagarcía de la Torre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6151,6,'Villagonzalo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6152,6,'Villalba de los Barros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6153,6,'Villanueva de la Serena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6154,6,'Villanueva del Fresno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6155,6,'Villar del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6156,6,'Villar de Rena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6157,6,'Villarta de los Montes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6158,6,'Zafra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6159,6,'Zahínos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6160,6,'Zalamea de la Serena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6161,6,'Zarza-Capilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6162,6,'Zarza, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6901,6,'Valdelacalzada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (6902,6,'Pueblonuevo del Guadiana')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7001,7,'Alaró')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7002,7,'Alaior')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7003,7,'Alcúdia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7004,7,'Algaida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7005,7,'Andratx')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7006,7,'Artà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7007,7,'Banyalbufar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7008,7,'Binissalem')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7009,7,'Búger')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7010,7,'Bunyola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7011,7,'Calvià')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7012,7,'Campanet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7013,7,'Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7014,7,'Capdepera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7015,7,'Ciutadella de Menorca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7016,7,'Consell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7017,7,'Costitx')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7018,7,'Deyá')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7019,7,'Escorca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7020,7,'Esporles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7021,7,'Estellencs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7022,7,'Felanitx')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7023,7,'Ferreries')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7024,7,'Formentera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7025,7,'Fornalutx')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7026,7,'Eivissa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7027,7,'Inca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7028,7,'Lloret de Vistalegre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7029,7,'Lloseta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7030,7,'Llubí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7031,7,'Llucmajor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7032,7,'Maó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7033,7,'Manacor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7034,7,'Mancor de la Vall')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7035,7,'Maria de la Salut')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7036,7,'Marratxí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7037,7,'Mercadal, Es')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7038,7,'Montuïri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7039,7,'Muro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7040,7,'Palma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7041,7,'Petra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7042,7,'Pollença')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7043,7,'Porreres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7044,7,'Pobla, Sa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7045,7,'Puigpunyent')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7046,7,'Sant Antoni de Portmany')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7047,7,'Sencelles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7048,7,'Sant Josep de sa Talaia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7049,7,'Sant Joan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7050,7,'Sant Joan de Labritja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7051,7,'Sant Llorenç des Cardassar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7052,7,'Sant Lluís')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7053,7,'Santa Eugènia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7054,7,'Santa Eulalia del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7055,7,'Santa Margalida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7056,7,'Santa María del Camí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7057,7,'Santanyí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7058,7,'Selva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7059,7,'Salines, Ses')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7060,7,'Sineu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7061,7,'Sóller')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7062,7,'Son Servera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7063,7,'Valldemossa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7064,7,'Castell, Es')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7065,7,'Vilafranca de Bonany')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7901,7,'Ariany')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (7902,7,'Migjorn Gran, Es')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8001,8,'Abrera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8002,8,'Aguilar de Segarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8003,8,'Alella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8004,8,'Alpens')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8005,8,'Ametlla del Vallès, L''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8006,8,'Arenys de Mar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8007,8,'Arenys de Munt')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8008,8,'Argençola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8009,8,'Argentona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8010,8,'Artés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8011,8,'Avià')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8012,8,'Avinyó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8013,8,'Avinyonet del Penedès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8014,8,'Aiguafreda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8015,8,'Badalona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8016,8,'Bagà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8017,8,'Balenyà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8018,8,'Balsareny')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8019,8,'Barcelona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8020,8,'Begues')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8021,8,'Bellprat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8022,8,'Berga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8023,8,'Bigues i Riells')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8024,8,'Borredà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8025,8,'Bruc, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8026,8,'Brull, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8027,8,'Cabanyes, Les')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8028,8,'Cabrera d''Anoia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8029,8,'Cabrera de Mar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8030,8,'Cabrils')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8031,8,'Calaf')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8032,8,'Caldes d''Estrac')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8033,8,'Caldes de Montbui')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8034,8,'Calders')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8035,8,'Calella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8036,8,'Calonge de Segarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8037,8,'Calldetenes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8038,8,'Callús')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8039,8,'Campins')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8040,8,'Canet de Mar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8041,8,'Canovelles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8042,8,'Cànoves i Samalús')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8043,8,'Canyelles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8044,8,'Capellades')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8045,8,'Capolat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8046,8,'Cardedeu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8047,8,'Cardona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8048,8,'Carme')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8049,8,'Casserres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8050,8,'Castellar del Riu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8051,8,'Castellar del Vallès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8052,8,'Castellar de n''Hug')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8053,8,'Castellbell i el Vilar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8054,8,'Castellbisbal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8055,8,'Castellcir')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8056,8,'Castelldefels')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8057,8,'Castell de l''Areny')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8058,8,'Castellet i la Gornal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8059,8,'Castellfollit del Boix')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8060,8,'Castellfollit de Riubregós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8061,8,'Castellgalí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8062,8,'Castellnou de Bages')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8063,8,'Castellolí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8064,8,'Castellterçol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8065,8,'Castellví de la Marca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8066,8,'Castellví de Rosanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8067,8,'Centelles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8068,8,'Cervelló')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8069,8,'Collbató')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8070,8,'Collsuspina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8071,8,'Copons')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8072,8,'Corbera de Llobregat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8073,8,'Cornellà de Llobregat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8074,8,'Cubelles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8075,8,'Dosrius')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8076,8,'Esparreguera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8077,8,'Esplugues de Llobregat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8078,8,'Espunyola, L''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8079,8,'Estany, L''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8080,8,'Fígols')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8081,8,'Fogars de Montclús')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8082,8,'Fogars de la Selva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8083,8,'Folgueroles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8084,8,'Fonollosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8085,8,'Font-rubí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8086,8,'Franqueses del Vallès, Les')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8087,8,'Gallifa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8088,8,'Garriga, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8089,8,'Gavà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8090,8,'Gaià')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8091,8,'Gelida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8092,8,'Gironella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8093,8,'Gisclareny')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8094,8,'Granada, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8095,8,'Granera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8096,8,'Granollers')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8097,8,'Gualba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8098,8,'Sant Salvador de Guardiola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8099,8,'Guardiola de Berguedà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8100,8,'Gurb')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8101,8,'Hospitalet de Llobregat, L''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8102,8,'Igualada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8103,8,'Jorba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8104,8,'Llacuna, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8105,8,'Llagosta, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8106,8,'Llinars del Vallès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8107,8,'Lliçà d''Amunt')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8108,8,'Lliçà de Vall')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8109,8,'Lluçà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8110,8,'Malgrat de Mar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8111,8,'Malla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8112,8,'Manlleu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8113,8,'Manresa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8114,8,'Martorell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8115,8,'Martorelles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8116,8,'Masies de Roda, Les')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8117,8,'Masies de Voltregà, Les')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8118,8,'Masnou, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8119,8,'Masquefa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8120,8,'Matadepera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8121,8,'Mataró')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8122,8,'Mediona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8123,8,'Molins de Rei')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8124,8,'Mollet del Vallès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8125,8,'Montcada i Reixac')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8126,8,'Montgat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8127,8,'Monistrol de Montserrat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8128,8,'Monistrol de Calders')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8129,8,'Muntanyola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8130,8,'Montclar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8131,8,'Montesquiu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8132,8,'Montmajor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8133,8,'Montmaneu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8134,8,'Figaró-Montmany')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8135,8,'Montmeló')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8136,8,'Montornès del Vallès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8137,8,'Montseny')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8138,8,'Moià')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8139,8,'Mura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8140,8,'Navarcles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8141,8,'Navàs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8142,8,'Nou de Berguedà, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8143,8,'Òdena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8144,8,'Olvan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8145,8,'Olèrdola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8146,8,'Olesa de Bonesvalls')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8147,8,'Olesa de Montserrat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8148,8,'Olivella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8149,8,'Olost')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8150,8,'Orís')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8151,8,'Oristà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8152,8,'Orpí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8153,8,'Òrrius')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8154,8,'Pacs del Penedès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8155,8,'Palafolls')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8156,8,'Palau-solità i Plegamans')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8157,8,'Pallejà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8158,8,'Papiol, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8159,8,'Parets del Vallès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8160,8,'Perafita')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8161,8,'Piera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8162,8,'Hostalets de Pierola, Els')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8163,8,'Pineda de Mar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8164,8,'Pla del Penedès, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8165,8,'Pobla de Claramunt, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8166,8,'Pobla de Lillet, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8167,8,'Polinyà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8168,8,'Pontons')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8169,8,'Prat de Llobregat, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8170,8,'Prats de Rei, Els')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8171,8,'Prats de Lluçanès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8172,8,'Premià de Mar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8174,8,'Puigdàlber')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8175,8,'Puig-reig')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8176,8,'Pujalt')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8177,8,'Quar, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8178,8,'Rajadell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8179,8,'Rellinars')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8180,8,'Ripollet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8181,8,'Roca del Vallès, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8182,8,'Pont de Vilomara i Rocafort, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8183,8,'Roda de Ter')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8184,8,'Rubí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8185,8,'Rubió')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8187,8,'Sabadell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8188,8,'Sagàs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8189,8,'Sant Pere Sallavinera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8190,8,'Saldes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8191,8,'Sallent')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8192,8,'Santpedor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8193,8,'Sant Iscle de Vallalta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8194,8,'Sant Adrià de Besòs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8195,8,'Sant Agustí de Lluçanès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8196,8,'Sant Andreu de la Barca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8197,8,'Sant Andreu de Llavaneres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8198,8,'Sant Antoni de Vilamajor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8199,8,'Sant Bartomeu del Grau')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8200,8,'Sant Boi de Llobregat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8201,8,'Sant Boi de Lluçanès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8202,8,'Sant Celoni')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8203,8,'Sant Cebrià de Vallalta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8204,8,'Sant Climent de Llobregat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8205,8,'Sant Cugat del Vallès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8206,8,'Sant Cugat Sesgarrigues')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8207,8,'Sant Esteve de Palautordera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8208,8,'Sant Esteve Sesrovires')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8209,8,'Sant Fost de Campsentelles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8210,8,'Sant Feliu de Codines')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8211,8,'Sant Feliu de Llobregat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8212,8,'Sant Feliu Sasserra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8213,8,'Sant Fruitós de Bages')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8214,8,'Vilassar de Dalt')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8215,8,'Sant Hipòlit de Voltregà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8216,8,'Sant Jaume de Frontanyà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8217,8,'Sant Joan Despí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8218,8,'Sant Joan de Vilatorrada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8219,8,'Vilassar de Mar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8220,8,'Sant Julià de Vilatorta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8221,8,'Sant Just Desvern')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8222,8,'Sant Llorenç d''Hortons')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8223,8,'Sant Llorenç Savall')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8224,8,'Sant Martí de Centelles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8225,8,'Sant Martí d''Albars')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8226,8,'Sant Martí de Tous')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8227,8,'Sant Martí Sarroca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8228,8,'Sant Martí Sesgueioles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8229,8,'Sant Mateu de Bages')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8230,8,'Premià de Dalt')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8231,8,'Sant Pere de Ribes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8232,8,'Sant Pere de Riudebitlles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8233,8,'Sant Pere de Torelló')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8234,8,'Sant Pere de Vilamajor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8235,8,'Sant Pol de Mar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8236,8,'Sant Quintí de Mediona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8237,8,'Sant Quirze de Besora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8238,8,'Sant Quirze del Vallès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8239,8,'Sant Quirze Safaja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8240,8,'Sant Sadurní d''Anoia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8241,8,'Sant Sadurní d''Osormort')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8242,8,'Marganell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8243,8,'Santa Cecília de Voltregà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8244,8,'Santa Coloma de Cervelló')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8245,8,'Santa Coloma de Gramenet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8246,8,'Santa Eugènia de Berga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8247,8,'Santa Eulàlia de Riuprimer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8248,8,'Santa Eulàlia de Ronçana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8249,8,'Santa Fe del Penedès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8250,8,'Santa Margarida de Montbui')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8251,8,'Santa Margarida i els Monjos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8252,8,'Barberà del Vallès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8253,8,'Santa Maria de Besora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8254,8,'Santa Maria de Corcó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8255,8,'Santa Maria de Merlès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8256,8,'Santa Maria de Martorelles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8257,8,'Santa Maria de Miralles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8258,8,'Santa Maria d''Oló')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8259,8,'Santa Maria de Palautordera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8260,8,'Santa Perpètua de Mogoda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8261,8,'Santa Susanna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8262,8,'Sant Vicenç de Castellet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8263,8,'Sant Vicenç dels Horts')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8264,8,'Sant Vicenç de Montalt')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8265,8,'Sant Vicenç de Torelló')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8266,8,'Cerdanyola del Vallès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8267,8,'Sentmenat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8268,8,'Cercs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8269,8,'Seva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8270,8,'Sitges')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8271,8,'Sobremunt')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8272,8,'Sora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8273,8,'Subirats')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8274,8,'Súria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8275,8,'Tavèrnoles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8276,8,'Tagamanent')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8277,8,'Talamanca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8278,8,'Taradell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8279,8,'Terrassa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8280,8,'Tavertet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8281,8,'Teià')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8282,8,'Tiana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8283,8,'Tona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8284,8,'Tordera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8285,8,'Torelló')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8286,8,'Torre de Claramunt, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8287,8,'Torrelavit')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8288,8,'Torrelles de Foix')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8289,8,'Torrelles de Llobregat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8290,8,'Ullastrell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8291,8,'Vacarisses')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8292,8,'Vallbona d''Anoia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8293,8,'Vallcebre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8294,8,'Vallgorguina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8295,8,'Vallirana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8296,8,'Vallromanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8297,8,'Veciana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8298,8,'Vic')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8299,8,'Vilada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8300,8,'Viladecavalls')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8301,8,'Viladecans')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8302,8,'Vilanova del Camí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8303,8,'Vilanova de Sau')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8304,8,'Vilobí del Penedès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8305,8,'Vilafranca del Penedès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8306,8,'Vilalba Sasserra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8307,8,'Vilanova i la Geltrú')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8308,8,'Viver i Serrateix')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8901,8,'Rupit i Pruit')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8902,8,'Vilanova del Vallès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8903,8,'Sant Julià de Cerdanyola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8904,8,'Badia del Vallès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (8905,8,'Palma de Cervelló, La')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9001,9,'Abajas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9003,9,'Adrada de Haza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9006,9,'Aguas Cándidas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9007,9,'Aguilar de Bureba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9009,9,'Albillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9010,9,'Alcocero de Mola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9011,9,'Alfoz de Bricia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9012,9,'Alfoz de Santa Gadea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9013,9,'Altable')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9014,9,'Altos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9016,9,'Ameyugo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9017,9,'Anguix')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9018,9,'Aranda de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9019,9,'Arandilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9020,9,'Arauzo de Miel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9021,9,'Arauzo de Salce')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9022,9,'Arauzo de Torre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9023,9,'Arcos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9024,9,'Arenillas de Riopisuerga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9025,9,'Arija')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9026,9,'Arlanzón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9027,9,'Arraya de Oca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9029,9,'Atapuerca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9030,9,'Ausines, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9032,9,'Avellanosa de Muñó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9033,9,'Bahabón de Esgueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9034,9,'Balbases, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9035,9,'Baños de Valdearados')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9036,9,'Bañuelos de Bureba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9037,9,'Barbadillo de Herreros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9038,9,'Barbadillo del Mercado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9039,9,'Barbadillo del Pez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9041,9,'Barrio de Muñó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9043,9,'Barrios de Bureba, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9044,9,'Barrios de Colina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9045,9,'Basconcillos del Tozo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9046,9,'Bascuñana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9047,9,'Belbimbre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9048,9,'Belorado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9050,9,'Berberana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9051,9,'Berlangas de Roa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9052,9,'Berzosa de Bureba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9054,9,'Bozoó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9055,9,'Brazacorta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9056,9,'Briviesca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9057,9,'Bugedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9058,9,'Buniel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9059,9,'Burgos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9060,9,'Busto de Bureba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9061,9,'Cabañes de Esgueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9062,9,'Cabezón de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9063,9,'Cavia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9064,9,'Caleruega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9065,9,'Campillo de Aranda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9066,9,'Campolara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9067,9,'Canicosa de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9068,9,'Cantabrana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9070,9,'Carazo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9071,9,'Carcedo de Bureba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9072,9,'Carcedo de Burgos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9073,9,'Cardeñadijo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9074,9,'Cardeñajimeno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9075,9,'Cardeñuela Riopico')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9076,9,'Carrias')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9077,9,'Cascajares de Bureba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9078,9,'Cascajares de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9079,9,'Castellanos de Castro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9082,9,'Castildelgado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9083,9,'Castil de Peones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9084,9,'Castrillo de la Reina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9085,9,'Castrillo de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9086,9,'Castrillo del Val')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9088,9,'Castrillo de Riopisuerga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9090,9,'Castrillo Matajudíos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9091,9,'Castrojeriz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9093,9,'Cayuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9094,9,'Cebrecos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9095,9,'Celada del Camino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9098,9,'Cerezo de Río Tirón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9100,9,'Cerratón de Juarros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9101,9,'Ciadoncha')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9102,9,'Cillaperlata')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9103,9,'Cilleruelo de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9104,9,'Cilleruelo de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9105,9,'Ciruelos de Cervera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9108,9,'Cogollos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9109,9,'Condado de Treviño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9110,9,'Contreras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9112,9,'Coruña del Conde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9113,9,'Covarrubias')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9114,9,'Cubillo del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9115,9,'Cubo de Bureba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9117,9,'Cueva de Roa, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9119,9,'Cuevas de San Clemente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9120,9,'Encío')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9122,9,'Espinosa de Cervera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9123,9,'Espinosa del Camino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9124,9,'Espinosa de los Monteros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9125,9,'Estépar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9127,9,'Fontioso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9128,9,'Frandovínez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9129,9,'Fresneda de la Sierra Tirón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9130,9,'Fresneña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9131,9,'Fresnillo de las Dueñas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9132,9,'Fresno de Río Tirón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9133,9,'Fresno de Rodilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9134,9,'Frías')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9135,9,'Fuentebureba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9136,9,'Fuentecén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9137,9,'Fuentelcésped')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9138,9,'Fuentelisendo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9139,9,'Fuentemolinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9140,9,'Fuentenebro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9141,9,'Fuentespina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9143,9,'Galbarros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9144,9,'Gallega, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9148,9,'Grijalba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9149,9,'Grisaleña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9151,9,'Gumiel de Izán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9152,9,'Gumiel de Mercado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9154,9,'Hacinas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9155,9,'Haza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9159,9,'Hontanas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9160,9,'Hontangas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9162,9,'Hontoria de la Cantera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9163,9,'Hontoria del Pinar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9164,9,'Hontoria de Valdearados')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9166,9,'Hormazas, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9167,9,'Hornillos del Camino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9168,9,'Horra, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9169,9,'Hortigüela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9170,9,'Hoyales de Roa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9172,9,'Huérmeces')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9173,9,'Huerta de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9174,9,'Huerta de Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9175,9,'Humada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9176,9,'Hurones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9177,9,'Ibeas de Juarros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9178,9,'Ibrillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9179,9,'Iglesiarrubia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9180,9,'Iglesias')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9181,9,'Isar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9182,9,'Itero del Castillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9183,9,'Jaramillo de la Fuente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9184,9,'Jaramillo Quemado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9189,9,'Junta de Traslaloma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9190,9,'Junta de Villalba de Losa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9191,9,'Jurisdicción de Lara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9192,9,'Jurisdicción de San Zadornil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9194,9,'Lerma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9195,9,'Llano de Bureba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9196,9,'Madrigal del Monte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9197,9,'Madrigalejo del Monte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9198,9,'Mahamud')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9199,9,'Mambrilla de Castrejón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9200,9,'Mambrillas de Lara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9201,9,'Mamolar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9202,9,'Manciles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9206,9,'Mazuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9208,9,'Mecerreyes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9209,9,'Medina de Pomar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9211,9,'Melgar de Fernamental')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9213,9,'Merindad de Cuesta-Urria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9214,9,'Merindad de Montija')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9215,9,'Merindad de Sotoscueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9216,9,'Merindad de Valdeporres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9217,9,'Merindad de Valdivielso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9218,9,'Milagros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9219,9,'Miranda de Ebro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9220,9,'Miraveche')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9221,9,'Modúbar de la Emparedada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9223,9,'Monasterio de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9224,9,'Monasterio de Rodilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9225,9,'Moncalvillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9226,9,'Monterrubio de la Demanda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9227,9,'Montorio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9228,9,'Moradillo de Roa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9229,9,'Nava de Roa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9230,9,'Navas de Bureba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9231,9,'Nebreda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9232,9,'Neila')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9235,9,'Olmedillo de Roa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9236,9,'Olmillos de Muñó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9238,9,'Oña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9239,9,'Oquillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9241,9,'Orbaneja Riopico')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9242,9,'Padilla de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9243,9,'Padilla de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9244,9,'Padrones de Bureba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9246,9,'Palacios de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9247,9,'Palacios de Riopisuerga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9248,9,'Palazuelos de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9249,9,'Palazuelos de Muñó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9250,9,'Pampliega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9251,9,'Pancorbo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9253,9,'Pardilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9255,9,'Partido de la Sierra en Tobalina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9256,9,'Pedrosa de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9257,9,'Pedrosa del Páramo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9258,9,'Pedrosa del Príncipe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9259,9,'Pedrosa de Río Úrbel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9261,9,'Peñaranda de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9262,9,'Peral de Arlanza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9265,9,'Piérnigas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9266,9,'Pineda de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9267,9,'Pineda Trasmonte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9268,9,'Pinilla de los Barruecos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9269,9,'Pinilla de los Moros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9270,9,'Pinilla Trasmonte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9272,9,'Poza de la Sal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9273,9,'Prádanos de Bureba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9274,9,'Pradoluengo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9275,9,'Presencio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9276,9,'Puebla de Arganzón, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9277,9,'Puentedura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9279,9,'Quemada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9280,9,'Quintanabureba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9281,9,'Quintana del Pidio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9283,9,'Quintanaélez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9287,9,'Quintanaortuño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9288,9,'Quintanapalla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9289,9,'Quintanar de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9292,9,'Quintanavides')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9294,9,'Quintanilla de la Mata')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9295,9,'Quintanilla del Coco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9297,9,'Quintanillas, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9298,9,'Quintanilla San García')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9301,9,'Quintanilla Vivar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9302,9,'Rabanera del Pinar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9303,9,'Rábanos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9304,9,'Rabé de las Calzadas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9306,9,'Rebolledo de la Torre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9307,9,'Redecilla del Camino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9308,9,'Redecilla del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9309,9,'Regumiel de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9310,9,'Reinoso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9311,9,'Retuerta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9312,9,'Revilla y Ahedo, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9314,9,'Revilla del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9315,9,'Revillarruz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9316,9,'Revilla Vallejera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9317,9,'Rezmondo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9318,9,'Riocavado de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9321,9,'Roa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9323,9,'Rojas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9325,9,'Royuela de Río Franco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9326,9,'Rubena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9327,9,'Rublacedo de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9328,9,'Rucandio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9329,9,'Salas de Bureba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9330,9,'Salas de los Infantes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9332,9,'Saldaña de Burgos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9334,9,'Salinillas de Bureba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9335,9,'San Adrián de Juarros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9337,9,'San Juan del Monte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9338,9,'San Mamés de Burgos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9339,9,'San Martín de Rubiales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9340,9,'San Millán de Lara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9343,9,'Santa Cecilia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9345,9,'Santa Cruz de la Salceda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9346,9,'Santa Cruz del Valle Urbión')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9347,9,'Santa Gadea del Cid')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9348,9,'Santa Inés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9350,9,'Santa María del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9351,9,'Santa María del Invierno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9352,9,'Santa María del Mercadillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9353,9,'Santa María Rivarredonda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9354,9,'Santa Olalla de Bureba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9355,9,'Santibáñez de Esgueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9356,9,'Santibáñez del Val')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9358,9,'Santo Domingo de Silos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9360,9,'San Vicente del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9361,9,'Sargentes de la Lora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9362,9,'Sarracín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9363,9,'Sasamón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9365,9,'Sequera de Haza, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9366,9,'Solarana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9368,9,'Sordillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9369,9,'Sotillo de la Ribera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9372,9,'Sotragero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9373,9,'Sotresgudo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9374,9,'Susinos del Páramo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9375,9,'Tamarón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9377,9,'Tardajos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9378,9,'Tejada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9380,9,'Terradillos de Esgueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9381,9,'Tinieblas de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9382,9,'Tobar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9384,9,'Tordómar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9386,9,'Torrecilla del Monte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9387,9,'Torregalindo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9388,9,'Torrelara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9389,9,'Torrepadre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9390,9,'Torresandino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9391,9,'Tórtoles de Esgueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9392,9,'Tosantos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9394,9,'Trespaderne')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9395,9,'Tubilla del Agua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9396,9,'Tubilla del Lago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9398,9,'Úrbel del Castillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9400,9,'Vadocondes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9403,9,'Valdeande')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9405,9,'Valdezate')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9406,9,'Valdorros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9407,9,'Valmala')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9408,9,'Vallarta de Bureba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9409,9,'Valle de Manzanedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9410,9,'Valle de Mena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9411,9,'Valle de Oca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9412,9,'Valle de Tobalina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9413,9,'Valle de Valdebezana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9414,9,'Valle de Valdelaguna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9415,9,'Valle de Valdelucio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9416,9,'Valle de Zamanzas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9417,9,'Vallejera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9418,9,'Valles de Palenzuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9419,9,'Valluércanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9421,9,'Vid y Barrios, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9422,9,'Vid de Bureba, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9423,9,'Vileña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9424,9,'Viloria de Rioja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9425,9,'Vilviestre del Pinar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9427,9,'Villadiego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9428,9,'Villaescusa de Roa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9429,9,'Villaescusa la Sombría')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9430,9,'Villaespasa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9431,9,'Villafranca Montes de Oca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9432,9,'Villafruela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9433,9,'Villagalijo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9434,9,'Villagonzalo Pedernales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9437,9,'Villahoz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9438,9,'Villalba de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9439,9,'Villalbilla de Burgos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9440,9,'Villalbilla de Gumiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9441,9,'Villaldemiro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9442,9,'Villalmanzo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9443,9,'Villamayor de los Montes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9444,9,'Villamayor de Treviño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9445,9,'Villambistia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9446,9,'Villamedianilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9447,9,'Villamiel de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9448,9,'Villangómez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9449,9,'Villanueva de Argaño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9450,9,'Villanueva de Carazo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9451,9,'Villanueva de Gumiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9454,9,'Villanueva de Teba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9455,9,'Villaquirán de la Puebla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9456,9,'Villaquirán de los Infantes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9458,9,'Villariezo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9460,9,'Villasandino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9463,9,'Villasur de Herreros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9464,9,'Villatuelda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9466,9,'Villaverde del Monte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9467,9,'Villaverde-Mogina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9471,9,'Villayerno Morquillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9472,9,'Villazopeque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9473,9,'Villegas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9476,9,'Villoruebo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9478,9,'Vizcaínos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9480,9,'Zael')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9482,9,'Zarzosa de Río Pisuerga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9483,9,'Zazuar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9485,9,'Zuñeda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9901,9,'Quintanilla del Agua y Tordueles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9902,9,'Valle de Santibáñez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9903,9,'Villarcayo de Merindad de Castilla la Vieja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9904,9,'Valle de las Navas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9905,9,'Valle de Sedano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9906,9,'Merindad de Río Ubierna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9907,9,'Alfoz de Quintanadueñas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (9908,9,'Valle de Losa')");


        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10001,10,'Abadía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10002,10,'Abertura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10003,10,'Acebo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10004,10,'Acehúche')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10005,10,'Aceituna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10006,10,'Ahigal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10007,10,'Albalá')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10008,10,'Alcántara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10009,10,'Alcollarín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10010,10,'Alcuéscar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10011,10,'Aldeacentenera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10012,10,'Aldea del Cano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10013,10,'Aldea del Obispo, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10014,10,'Aldeanueva de la Vera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10015,10,'Aldeanueva del Camino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10016,10,'Aldehuela de Jerte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10017,10,'Alía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10018,10,'Aliseda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10019,10,'Almaraz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10020,10,'Almoharín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10021,10,'Arroyo de la Luz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10022,10,'Arroyomolinos de la Vera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10023,10,'Arroyomolinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10024,10,'Baños de Montemayor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10025,10,'Barrado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10026,10,'Belvís de Monroy')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10027,10,'Benquerencia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10028,10,'Berrocalejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10029,10,'Berzocana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10030,10,'Bohonal de Ibor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10031,10,'Botija')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10032,10,'Brozas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10033,10,'Cabañas del Castillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10034,10,'Cabezabellosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10035,10,'Cabezuela del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10036,10,'Cabrero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10037,10,'Cáceres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10038,10,'Cachorrilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10039,10,'Cadalso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10040,10,'Calzadilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10041,10,'Caminomorisco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10042,10,'Campillo de Deleitosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10043,10,'Campo Lugar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10044,10,'Cañamero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10045,10,'Cañaveral')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10046,10,'Carbajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10047,10,'Carcaboso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10048,10,'Carrascalejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10049,10,'Casar de Cáceres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10050,10,'Casar de Palomero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10051,10,'Casares de las Hurdes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10052,10,'Casas de Don Antonio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10053,10,'Casas de Don Gómez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10054,10,'Casas del Castañar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10055,10,'Casas del Monte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10056,10,'Casas de Millán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10057,10,'Casas de Miravete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10058,10,'Casatejada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10059,10,'Casillas de Coria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10060,10,'Castañar de Ibor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10061,10,'Ceclavín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10062,10,'Cedillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10063,10,'Cerezo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10064,10,'Cilleros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10065,10,'Collado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10066,10,'Conquista de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10067,10,'Coria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10068,10,'Cuacos de Yuste')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10069,10,'Cumbre, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10070,10,'Deleitosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10071,10,'Descargamaría')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10072,10,'Eljas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10073,10,'Escurial')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10075,10,'Fresnedoso de Ibor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10076,10,'Galisteo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10077,10,'Garciaz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10078,10,'Garganta, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10079,10,'Garganta la Olla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10080,10,'Gargantilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10081,10,'Gargüera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10082,10,'Garrovillas de Alconétar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10083,10,'Garvín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10084,10,'Gata')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10085,10,'Gordo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10086,10,'Granja, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10087,10,'Guadalupe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10088,10,'Guijo de Coria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10089,10,'Guijo de Galisteo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10090,10,'Guijo de Granadilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10091,10,'Guijo de Santa Bárbara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10092,10,'Herguijuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10093,10,'Hernán-Pérez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10094,10,'Herrera de Alcántara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10095,10,'Herreruela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10096,10,'Hervás')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10097,10,'Higuera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10098,10,'Hinojal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10099,10,'Holguera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10100,10,'Hoyos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10101,10,'Huélaga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10102,10,'Ibahernando')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10103,10,'Jaraicejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10104,10,'Jaraíz de la Vera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10105,10,'Jarandilla de la Vera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10106,10,'Jarilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10107,10,'Jerte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10108,10,'Ladrillar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10109,10,'Logrosán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10110,10,'Losar de la Vera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10111,10,'Madrigal de la Vera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10112,10,'Madrigalejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10113,10,'Madroñera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10114,10,'Majadas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10115,10,'Malpartida de Cáceres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10116,10,'Malpartida de Plasencia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10117,10,'Marchagaz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10118,10,'Mata de Alcántara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10119,10,'Membrío')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10120,10,'Mesas de Ibor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10121,10,'Miajadas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10122,10,'Millanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10123,10,'Mirabel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10124,10,'Mohedas de Granadilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10125,10,'Monroy')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10126,10,'Montánchez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10127,10,'Montehermoso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10128,10,'Moraleja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10129,10,'Morcillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10130,10,'Navaconcejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10131,10,'Navalmoral de la Mata')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10132,10,'Navalvillar de Ibor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10133,10,'Navas del Madroño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10134,10,'Navezuelas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10135,10,'Nuñomoral')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10136,10,'Oliva de Plasencia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10137,10,'Palomero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10138,10,'Pasarón de la Vera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10139,10,'Pedroso de Acim')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10140,10,'Peraleda de la Mata')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10141,10,'Peraleda de San Román')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10142,10,'Perales del Puerto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10143,10,'Pescueza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10144,10,'Pesga, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10145,10,'Piedras Albas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10146,10,'Pinofranqueado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10147,10,'Piornal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10148,10,'Plasencia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10149,10,'Plasenzuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10150,10,'Portaje')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10151,10,'Portezuelo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10152,10,'Pozuelo de Zarzón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10153,10,'Puerto de Santa Cruz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10154,10,'Rebollar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10155,10,'Riolobos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10156,10,'Robledillo de Gata')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10157,10,'Robledillo de la Vera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10158,10,'Robledillo de Trujillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10159,10,'Robledollano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10160,10,'Romangordo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10161,10,'Ruanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10162,10,'Salorino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10163,10,'Salvatierra de Santiago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10164,10,'San Martín de Trevejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10165,10,'Santa Ana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10166,10,'Santa Cruz de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10167,10,'Santa Cruz de Paniagua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10168,10,'Santa Marta de Magasca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10169,10,'Santiago de Alcántara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10170,10,'Santiago del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10171,10,'Santibáñez el Alto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10172,10,'Santibáñez el Bajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10173,10,'Saucedilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10174,10,'Segura de Toro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10175,10,'Serradilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10176,10,'Serrejón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10177,10,'Sierra de Fuentes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10178,10,'Talaván')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10179,10,'Talaveruela de la Vera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10180,10,'Talayuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10181,10,'Tejeda de Tiétar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10182,10,'Toril')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10183,10,'Tornavacas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10184,10,'Torno, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10185,10,'Torrecilla de los Ángeles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10186,10,'Torrecillas de la Tiesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10187,10,'Torre de Don Miguel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10188,10,'Torre de Santa María')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10189,10,'Torrejoncillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10190,10,'Torrejón el Rubio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10191,10,'Torremenga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10192,10,'Torremocha')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10193,10,'Torreorgaz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10194,10,'Torrequemada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10195,10,'Trujillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10196,10,'Valdastillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10197,10,'Valdecañas de Tajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10198,10,'Valdefuentes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10199,10,'Valdehúncar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10200,10,'Valdelacasa de Tajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10201,10,'Valdemorales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10202,10,'Valdeobispo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10203,10,'Valencia de Alcántara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10204,10,'Valverde de la Vera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10205,10,'Valverde del Fresno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10206,10,'Viandar de la Vera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10207,10,'Villa del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10208,10,'Villa del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10209,10,'Villamesías')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10210,10,'Villamiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10211,10,'Villanueva de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10212,10,'Villanueva de la Vera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10213,10,'Villar del Pedroso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10214,10,'Villar de Plasencia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10215,10,'Villasbuenas de Gata')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10216,10,'Zarza de Granadilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10217,10,'Zarza de Montánchez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10218,10,'Zarza la Mayor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10219,10,'Zorita')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10901,10,'Rosalejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10902,10,'Vegaviana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (10903,10,'Alagón del Río')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11001,11,'Alcalá de los Gazules')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11002,11,'Alcalá del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11003,11,'Algar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11004,11,'Algeciras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11005,11,'Algodonales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11006,11,'Arcos de la Frontera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11007,11,'Barbate')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11008,11,'Barrios, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11009,11,'Benaocaz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11010,11,'Bornos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11011,11,'Bosque, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11012,11,'Cádiz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11013,11,'Castellar de la Frontera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11014,11,'Conil de la Frontera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11015,11,'Chiclana de la Frontera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11016,11,'Chipiona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11017,11,'Espera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11018,11,'Gastor, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11019,11,'Grazalema')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11020,11,'Jerez de la Frontera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11021,11,'Jimena de la Frontera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11022,11,'Línea de la Concepción, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11023,11,'Medina-Sidonia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11024,11,'Olvera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11025,11,'Paterna de Rivera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11026,11,'Prado del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11027,11,'Puerto de Santa María, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11028,11,'Puerto Real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11029,11,'Puerto Serrano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11030,11,'Rota')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11031,11,'San Fernando')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11032,11,'Sanlúcar de Barrameda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11033,11,'San Roque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11034,11,'Setenil de las Bodegas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11035,11,'Tarifa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11036,11,'Torre Alháquime')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11037,11,'Trebujena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11038,11,'Ubrique')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11039,11,'Vejer de la Frontera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11040,11,'Villaluenga del Rosario')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11041,11,'Villamartín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11042,11,'Zahara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11901,11,'Benalup-Casas Viejas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (11902,11,'San José del Valle')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12001,12,'Atzeneta del Maestrat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12002,12,'Aín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12003,12,'Albocàsser')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12004,12,'Alcalà de Xivert')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12005,12,'Alcora, l''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12006,12,'Alcudia de Veo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12007,12,'Alfondeguilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12008,12,'Algimia de Almonacid')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12009,12,'Almazora/Almassora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12010,12,'Almedíjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12011,12,'Almenara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12012,12,'Altura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12013,12,'Arañuel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12014,12,'Ares del Maestrat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12015,12,'Argelita')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12016,12,'Artana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12017,12,'Ayódar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12018,12,'Azuébar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12020,12,'Barracas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12021,12,'Betxí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12022,12,'Bejís')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12024,12,'Benafer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12025,12,'Benafigos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12026,12,'Benasal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12027,12,'Benicarló')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12028,12,'Benicasim/Benicàssim')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12029,12,'Benlloch')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12031,12,'Borriol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12032,12,'Borriana/Burriana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12033,12,'Cabanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12034,12,'Càlig')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12036,12,'Canet lo Roig')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12037,12,'Castell de Cabres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12038,12,'Castellfort')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12039,12,'Castellnovo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12040,12,'Castellón de la Plana/Castelló de la Plana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12041,12,'Castillo de Villamalefa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12042,12,'Catí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12043,12,'Caudiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12044,12,'Cervera del Maestre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12045,12,'Cinctorres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12046,12,'Cirat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12048,12,'Cortes de Arenoso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12049,12,'Costur')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12050,12,'Coves de Vinromà, les')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12051,12,'Culla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12052,12,'Chert/Xert')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12053,12,'Chilches/Xilxes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12055,12,'Chodos/Xodos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12056,12,'Chóvar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12057,12,'Eslida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12058,12,'Espadilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12059,12,'Fanzara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12060,12,'Figueroles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12061,12,'Forcall')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12063,12,'Fuente la Reina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12064,12,'Fuentes de Ayódar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12065,12,'Gaibiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12067,12,'Geldo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12068,12,'Herbés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12069,12,'Higueras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12070,12,'Jana, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12071,12,'Jérica')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12072,12,'Lucena del Cid')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12073,12,'Ludiente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12074,12,'Llosa, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12075,12,'Mata de Morella, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12076,12,'Matet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12077,12,'Moncofa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12078,12,'Montán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12079,12,'Montanejos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12080,12,'Morella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12081,12,'Navajas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12082,12,'Nules')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12083,12,'Olocau del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12084,12,'Onda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12085,12,'Oropesa del Mar/Orpesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12087,12,'Palanques')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12088,12,'Pavías')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12089,12,'Peníscola/Peñíscola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12090,12,'Pina de Montalgrao')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12091,12,'Portell de Morella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12092,12,'Puebla de Arenoso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12093,12,'Pobla de Benifassà, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12094,12,'Pobla Tornesa, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12095,12,'Ribesalbes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12096,12,'Rossell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12097,12,'Sacañet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12098,12,'Salzadella, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12099,12,'Sant Jordi/San Jorge')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12100,12,'Sant Mateu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12101,12,'San Rafael del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12102,12,'Santa Magdalena de Pulpis')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12103,12,'Sarratella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12104,12,'Segorbe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12105,12,'Sierra Engarcerán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12106,12,'Soneja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12107,12,'Sot de Ferrer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12108,12,'Sueras/Suera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12109,12,'Tales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12110,12,'Teresa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12111,12,'Tírig')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12112,12,'Todolella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12113,12,'Toga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12114,12,'Torás')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12115,12,'Toro, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12116,12,'Torralba del Pinar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12117,12,'Torreblanca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12118,12,'Torrechiva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12119,12,'Torre d''En Besora, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12120,12,'Torre d''en Doménec, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12121,12,'Traiguera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12122,12,'Useras/Useres, les')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12123,12,'Vallat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12124,12,'Vall d''Alba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12125,12,'Vall de Almonacid')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12126,12,'Vall d''Uixó, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12127,12,'Vallibona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12128,12,'Vilafamés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12129,12,'Villafranca del Cid/Vilafranca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12130,12,'Villahermosa del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12131,12,'Villamalur')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12132,12,'Vilanova d''Alcolea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12133,12,'Villanueva de Viver')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12134,12,'Vilar de Canes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12135,12,'Vila-real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12136,12,'Vilavella, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12137,12,'Villores')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12138,12,'Vinaròs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12139,12,'Vistabella del Maestrazgo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12140,12,'Viver')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12141,12,'Zorita del Maestrazgo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12142,12,'Zucaina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12901,12,'Alquerías del Niño Perdido')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (12902,12,'Sant Joan de Moró')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13001,13,'Abenójar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13002,13,'Agudo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13003,13,'Alamillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13004,13,'Albaladejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13005,13,'Alcázar de San Juan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13006,13,'Alcoba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13007,13,'Alcolea de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13008,13,'Alcubillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13009,13,'Aldea del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13010,13,'Alhambra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13011,13,'Almadén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13012,13,'Almadenejos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13013,13,'Almagro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13014,13,'Almedina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13015,13,'Almodóvar del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13016,13,'Almuradiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13017,13,'Anchuras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13018,13,'Arenas de San Juan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13019,13,'Argamasilla de Alba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13020,13,'Argamasilla de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13021,13,'Arroba de los Montes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13022,13,'Ballesteros de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13023,13,'Bolaños de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13024,13,'Brazatortas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13025,13,'Cabezarados')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13026,13,'Cabezarrubias del Puerto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13027,13,'Calzada de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13028,13,'Campo de Criptana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13029,13,'Cañada de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13030,13,'Caracuel de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13031,13,'Carrión de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13032,13,'Carrizosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13033,13,'Castellar de Santiago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13034,13,'Ciudad Real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13035,13,'Corral de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13036,13,'Cortijos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13037,13,'Cózar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13038,13,'Chillón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13039,13,'Daimiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13040,13,'Fernán Caballero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13041,13,'Fontanarejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13042,13,'Fuencaliente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13043,13,'Fuenllana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13044,13,'Fuente el Fresno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13045,13,'Granátula de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13046,13,'Guadalmez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13047,13,'Herencia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13048,13,'Hinojosas de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13049,13,'Horcajo de los Montes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13050,13,'Labores, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13051,13,'Luciana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13052,13,'Malagón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13053,13,'Manzanares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13054,13,'Membrilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13055,13,'Mestanza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13056,13,'Miguelturra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13057,13,'Montiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13058,13,'Moral de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13059,13,'Navalpino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13060,13,'Navas de Estena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13061,13,'Pedro Muñoz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13062,13,'Picón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13063,13,'Piedrabuena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13064,13,'Poblete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13065,13,'Porzuna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13066,13,'Pozuelo de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13067,13,'Pozuelos de Calatrava, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13068,13,'Puebla de Don Rodrigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13069,13,'Puebla del Príncipe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13070,13,'Puerto Lápice')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13071,13,'Puertollano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13072,13,'Retuerta del Bullaque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13073,13,'Saceruela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13074,13,'San Carlos del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13075,13,'San Lorenzo de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13076,13,'Santa Cruz de los Cáñamos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13077,13,'Santa Cruz de Mudela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13078,13,'Socuéllamos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13079,13,'Solana, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13080,13,'Solana del Pino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13081,13,'Terrinches')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13082,13,'Tomelloso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13083,13,'Torralba de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13084,13,'Torre de Juan Abad')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13085,13,'Torrenueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13086,13,'Valdemanco del Esteras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13087,13,'Valdepeñas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13088,13,'Valenzuela de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13089,13,'Villahermosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13090,13,'Villamanrique')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13091,13,'Villamayor de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13092,13,'Villanueva de la Fuente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13093,13,'Villanueva de los Infantes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13094,13,'Villanueva de San Carlos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13095,13,'Villar del Pozo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13096,13,'Villarrubia de los Ojos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13097,13,'Villarta de San Juan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13098,13,'Viso del Marqués')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13901,13,'Robledo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13902,13,'Ruidera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13903,13,'Arenales de San Gregorio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (13904,13,'Llanos del Caudillo')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14001,14,'Adamuz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14002,14,'Aguilar de la Frontera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14003,14,'Alcaracejos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14004,14,'Almedinilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14005,14,'Almodóvar del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14006,14,'Añora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14007,14,'Baena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14008,14,'Belalcázar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14009,14,'Belmez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14010,14,'Benamejí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14011,14,'Blázquez, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14012,14,'Bujalance')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14013,14,'Cabra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14014,14,'Cañete de las Torres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14015,14,'Carcabuey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14016,14,'Cardeña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14017,14,'Carlota, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14018,14,'Carpio, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14019,14,'Castro del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14020,14,'Conquista')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14021,14,'Córdoba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14022,14,'Doña Mencía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14023,14,'Dos Torres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14024,14,'Encinas Reales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14025,14,'Espejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14026,14,'Espiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14027,14,'Fernán-Núñez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14028,14,'Fuente la Lancha')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14029,14,'Fuente Obejuna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14030,14,'Fuente Palmera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14031,14,'Fuente-Tójar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14032,14,'Granjuela, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14033,14,'Guadalcázar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14034,14,'Guijo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14035,14,'Hinojosa del Duque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14036,14,'Hornachuelos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14037,14,'Iznájar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14038,14,'Lucena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14039,14,'Luque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14040,14,'Montalbán de Córdoba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14041,14,'Montemayor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14042,14,'Montilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14043,14,'Montoro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14044,14,'Monturque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14045,14,'Moriles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14046,14,'Nueva Carteya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14047,14,'Obejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14048,14,'Palenciana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14049,14,'Palma del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14050,14,'Pedro Abad')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14051,14,'Pedroche')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14052,14,'Peñarroya-Pueblonuevo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14053,14,'Posadas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14054,14,'Pozoblanco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14055,14,'Priego de Córdoba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14056,14,'Puente Genil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14057,14,'Rambla, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14058,14,'Rute')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14059,14,'San Sebastián de los Ballesteros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14060,14,'Santaella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14061,14,'Santa Eufemia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14062,14,'Torrecampo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14063,14,'Valenzuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14064,14,'Valsequillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14065,14,'Victoria, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14066,14,'Villa del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14067,14,'Villafranca de Córdoba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14068,14,'Villaharta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14069,14,'Villanueva de Córdoba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14070,14,'Villanueva del Duque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14071,14,'Villanueva del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14072,14,'Villaralto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14073,14,'Villaviciosa de Córdoba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14074,14,'Viso, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (14075,14,'Zuheros')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15001,15,'Abegondo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15002,15,'Ames')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15003,15,'Aranga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15004,15,'Ares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15005,15,'Arteixo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15006,15,'Arzúa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15007,15,'Baña, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15008,15,'Bergondo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15009,15,'Betanzos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15010,15,'Boimorto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15011,15,'Boiro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15012,15,'Boqueixón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15013,15,'Brión')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15014,15,'Cabana de Bergantiños')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15015,15,'Cabanas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15016,15,'Camariñas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15017,15,'Cambre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15018,15,'Capela, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15019,15,'Carballo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15020,15,'Carnota')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15021,15,'Carral')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15022,15,'Cedeira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15023,15,'Cee')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15024,15,'Cerceda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15025,15,'Cerdido')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15026,15,'Cesuras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15027,15,'Coirós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15028,15,'Corcubión')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15029,15,'Coristanco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15030,15,'Coruña, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15031,15,'Culleredo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15032,15,'Curtis')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15033,15,'Dodro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15034,15,'Dumbría')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15035,15,'Fene')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15036,15,'Ferrol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15037,15,'Fisterra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15038,15,'Frades')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15039,15,'Irixoa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15040,15,'Laxe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15041,15,'Laracha, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15042,15,'Lousame')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15043,15,'Malpica de Bergantiños')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15044,15,'Mañón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15045,15,'Mazaricos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15046,15,'Melide')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15047,15,'Mesía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15048,15,'Miño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15049,15,'Moeche')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15050,15,'Monfero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15051,15,'Mugardos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15052,15,'Muxía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15053,15,'Muros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15054,15,'Narón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15055,15,'Neda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15056,15,'Negreira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15057,15,'Noia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15058,15,'Oleiros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15059,15,'Ordes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15060,15,'Oroso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15061,15,'Ortigueira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15062,15,'Outes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15063,15,'Oza dos Ríos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15064,15,'Paderne')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15065,15,'Padrón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15066,15,'Pino, O')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15067,15,'Pobra do Caramiñal, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15068,15,'Ponteceso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15069,15,'Pontedeume')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15070,15,'Pontes de García Rodríguez, As')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15071,15,'Porto do Son')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15072,15,'Rianxo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15073,15,'Ribeira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15074,15,'Rois')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15075,15,'Sada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15076,15,'San Sadurniño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15077,15,'Santa Comba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15078,15,'Santiago de Compostela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15079,15,'Santiso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15080,15,'Sobrado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15081,15,'Somozas, As')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15082,15,'Teo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15083,15,'Toques')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15084,15,'Tordoia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15085,15,'Touro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15086,15,'Trazo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15087,15,'Valdoviño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15088,15,'Val do Dubra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15089,15,'Vedra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15090,15,'Vilasantar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15091,15,'Vilarmaior')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15092,15,'Vimianzo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15093,15,'Zas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (15901,15,'Cariño')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16001,16,'Abia de la Obispalía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16002,16,'Acebrón, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16003,16,'Alarcón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16004,16,'Albaladejo del Cuende')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16005,16,'Albalate de las Nogueras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16006,16,'Albendea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16007,16,'Alberca de Záncara, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16008,16,'Alcalá de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16009,16,'Alcantud')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16010,16,'Alcázar del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16011,16,'Alcohujate')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16012,16,'Alconchel de la Estrella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16013,16,'Algarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16014,16,'Aliaguilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16015,16,'Almarcha, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16016,16,'Almendros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16017,16,'Almodóvar del Pinar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16018,16,'Almonacid del Marquesado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16019,16,'Altarejos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16020,16,'Arandilla del Arroyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16022,16,'Arcos de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16023,16,'Chillarón de Cuenca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16024,16,'Arguisuelas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16025,16,'Arrancacepas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16026,16,'Atalaya del Cañavate')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16027,16,'Barajas de Melo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16029,16,'Barchín del Hoyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16030,16,'Bascuñana de San Pedro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16031,16,'Beamud')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16032,16,'Belinchón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16033,16,'Belmonte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16034,16,'Belmontejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16035,16,'Beteta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16036,16,'Boniches')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16038,16,'Buciegas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16039,16,'Buenache de Alarcón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16040,16,'Buenache de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16041,16,'Buendía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16042,16,'Campillo de Altobuey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16043,16,'Campillos-Paravientos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16044,16,'Campillos-Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16045,16,'Canalejas del Arroyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16046,16,'Cañada del Hoyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16047,16,'Cañada Juncosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16048,16,'Cañamares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16049,16,'Cañavate, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16050,16,'Cañaveras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16051,16,'Cañaveruelas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16052,16,'Cañete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16053,16,'Cañizares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16055,16,'Carboneras de Guadazaón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16056,16,'Cardenete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16057,16,'Carrascosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16058,16,'Carrascosa de Haro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16060,16,'Casas de Benítez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16061,16,'Casas de Fernando Alonso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16062,16,'Casas de Garcimolina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16063,16,'Casas de Guijarro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16064,16,'Casas de Haro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16065,16,'Casas de los Pinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16066,16,'Casasimarro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16067,16,'Castejón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16068,16,'Castillejo de Iniesta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16070,16,'Castillejo-Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16071,16,'Castillo-Albaráñez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16072,16,'Castillo de Garcimuñoz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16073,16,'Cervera del Llano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16074,16,'Cierva, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16078,16,'Cuenca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16079,16,'Cueva del Hierro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16081,16,'Chumillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16082,16,'Enguídanos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16083,16,'Fresneda de Altarejos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16084,16,'Fresneda de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16085,16,'Frontera, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16086,16,'Fuente de Pedro Naharro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16087,16,'Fuentelespino de Haro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16088,16,'Fuentelespino de Moya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16089,16,'Fuentes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16091,16,'Fuertescusa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16092,16,'Gabaldón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16093,16,'Garaballa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16094,16,'Gascueña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16095,16,'Graja de Campalbo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16096,16,'Graja de Iniesta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16097,16,'Henarejos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16098,16,'Herrumblar, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16099,16,'Hinojosa, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16100,16,'Hinojosos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16101,16,'Hito, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16102,16,'Honrubia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16103,16,'Hontanaya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16104,16,'Hontecillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16106,16,'Horcajo de Santiago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16107,16,'Huélamo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16108,16,'Huelves')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16109,16,'Huérguina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16110,16,'Huerta de la Obispalía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16111,16,'Huerta del Marquesado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16112,16,'Huete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16113,16,'Iniesta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16115,16,'Laguna del Marquesado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16116,16,'Lagunaseca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16117,16,'Landete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16118,16,'Ledaña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16119,16,'Leganiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16121,16,'Majadas, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16122,16,'Mariana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16123,16,'Masegosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16124,16,'Mesas, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16125,16,'Minglanilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16126,16,'Mira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16128,16,'Monreal del Llano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16129,16,'Montalbanejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16130,16,'Montalbo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16131,16,'Monteagudo de las Salinas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16132,16,'Mota de Altarejos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16133,16,'Mota del Cuervo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16134,16,'Motilla del Palancar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16135,16,'Moya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16137,16,'Narboneta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16139,16,'Olivares de Júcar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16140,16,'Olmeda de la Cuesta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16141,16,'Olmeda del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16142,16,'Olmedilla de Alarcón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16143,16,'Olmedilla de Eliz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16145,16,'Osa de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16146,16,'Pajarón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16147,16,'Pajaroncillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16148,16,'Palomares del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16149,16,'Palomera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16150,16,'Paracuellos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16151,16,'Paredes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16152,16,'Parra de las Vegas, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16153,16,'Pedernoso, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16154,16,'Pedroñeras, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16155,16,'Peral, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16156,16,'Peraleja, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16157,16,'Pesquera, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16158,16,'Picazo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16159,16,'Pinarejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16160,16,'Pineda de Gigüela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16161,16,'Piqueras del Castillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16162,16,'Portalrubio de Guadamejud')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16163,16,'Portilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16165,16,'Poyatos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16166,16,'Pozoamargo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16167,16,'Pozorrubio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16169,16,'Pozuelo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16170,16,'Priego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16171,16,'Provencio, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16172,16,'Puebla de Almenara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16173,16,'Valle de Altomira, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16174,16,'Puebla del Salvador')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16175,16,'Quintanar del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16176,16,'Rada de Haro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16177,16,'Reíllo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16181,16,'Rozalén del Monte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16185,16,'Saceda-Trasierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16186,16,'Saelices')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16187,16,'Salinas del Manzano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16188,16,'Salmeroncillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16189,16,'Salvacañete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16190,16,'San Clemente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16191,16,'San Lorenzo de la Parrilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16192,16,'San Martín de Boniches')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16193,16,'San Pedro Palmiches')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16194,16,'Santa Cruz de Moya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16195,16,'Santa María del Campo Rus')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16196,16,'Santa María de los Llanos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16197,16,'Santa María del Val')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16198,16,'Sisante')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16199,16,'Solera de Gabaldón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16202,16,'Talayuelas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16203,16,'Tarancón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16204,16,'Tébar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16205,16,'Tejadillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16206,16,'Tinajas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16209,16,'Torralba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16211,16,'Torrejoncillo del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16212,16,'Torrubia del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16213,16,'Torrubia del Castillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16215,16,'Tragacete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16216,16,'Tresjuncos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16217,16,'Tribaldos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16218,16,'Uclés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16219,16,'Uña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16224,16,'Valdemeca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16225,16,'Valdemorillo de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16227,16,'Valdemoro-Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16228,16,'Valdeolivas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16231,16,'Valhermoso de la Fuente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16234,16,'Valsalobre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16236,16,'Valverde de Júcar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16237,16,'Valverdejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16238,16,'Vara de Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16239,16,'Vega del Codorno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16240,16,'Vellisca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16242,16,'Villaconejos de Trabaque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16243,16,'Villaescusa de Haro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16244,16,'Villagarcía del Llano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16245,16,'Villalba de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16246,16,'Villalba del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16247,16,'Villalgordo del Marquesado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16248,16,'Villalpardo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16249,16,'Villamayor de Santiago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16250,16,'Villanueva de Guadamejud')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16251,16,'Villanueva de la Jara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16253,16,'Villar de Cañas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16254,16,'Villar de Domingo García')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16255,16,'Villar de la Encina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16258,16,'Villar del Humo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16259,16,'Villar del Infantado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16263,16,'Villar de Olalla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16264,16,'Villarejo de Fuentes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16265,16,'Villarejo de la Peñuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16266,16,'Villarejo-Periesteban')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16269,16,'Villares del Saz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16270,16,'Villarrubio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16271,16,'Villarta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16272,16,'Villas de la Ventosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16273,16,'Villaverde y Pasaconsol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16274,16,'Víllora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16275,16,'Vindel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16276,16,'Yémeda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16277,16,'Zafra de Záncara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16278,16,'Zafrilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16279,16,'Zarza de Tajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16280,16,'Zarzuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16901,16,'Campos del Paraíso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16902,16,'Valdetórtola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16903,16,'Valeras, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16904,16,'Fuentenava de Jábaga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16905,16,'Arcas del Villar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16906,16,'Valdecolmenas, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16908,16,'Pozorrubielos de la Mancha')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16909,16,'Sotorribas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (16910,16,'Villar y Velasco')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17001,17,'Agullana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17002,17,'Aiguaviva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17003,17,'Albanyà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17004,17,'Albons')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17005,17,'Far d''Empordà, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17006,17,'Alp')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17007,17,'Amer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17008,17,'Anglès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17009,17,'Arbúcies')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17010,17,'Argelaguer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17011,17,'Armentera, L''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17012,17,'Avinyonet de Puigventós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17013,17,'Begur')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17014,17,'Vajol, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17015,17,'Banyoles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17016,17,'Bàscara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17018,17,'Bellcaire d''Empordà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17019,17,'Besalú')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17020,17,'Bescanó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17021,17,'Beuda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17022,17,'Bisbal d''Empordà, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17023,17,'Blanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17024,17,'Bolvir')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17025,17,'Bordils')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17026,17,'Borrassà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17027,17,'Breda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17028,17,'Brunyola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17029,17,'Boadella i les Escaules')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17030,17,'Cabanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17031,17,'Cabanelles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17032,17,'Cadaqués')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17033,17,'Caldes de Malavella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17034,17,'Calonge')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17035,17,'Camós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17036,17,'Campdevànol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17037,17,'Campelles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17038,17,'Campllong')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17039,17,'Camprodon')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17040,17,'Canet d''Adri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17041,17,'Cantallops')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17042,17,'Capmany')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17043,17,'Queralbs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17044,17,'Cassà de la Selva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17046,17,'Castellfollit de la Roca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17047,17,'Castelló d''Empúries')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17048,17,'Castell-Platja d''Aro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17049,17,'Celrà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17050,17,'Cervià de Ter')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17051,17,'Cistella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17052,17,'Siurana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17054,17,'Colera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17055,17,'Colomers')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17056,17,'Cornellà del Terri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17057,17,'Corçà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17058,17,'Crespià')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17060,17,'Darnius')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17061,17,'Das')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17062,17,'Escala, L''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17063,17,'Espinelves')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17064,17,'Espolla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17065,17,'Esponellà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17066,17,'Figueres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17067,17,'Flaçà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17068,17,'Foixà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17069,17,'Fontanals de Cerdanya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17070,17,'Fontanilles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17071,17,'Fontcoberta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17073,17,'Fornells de la Selva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17074,17,'Fortià')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17075,17,'Garrigàs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17076,17,'Garrigoles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17077,17,'Garriguella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17078,17,'Ger')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17079,17,'Girona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17080,17,'Gombrèn')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17081,17,'Gualta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17082,17,'Guils de Cerdanya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17083,17,'Hostalric')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17084,17,'Isòvol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17085,17,'Jafre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17086,17,'Jonquera, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17087,17,'Juià')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17088,17,'Lladó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17089,17,'Llagostera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17090,17,'Llambilles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17091,17,'Llanars')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17092,17,'Llançà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17093,17,'Llers')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17094,17,'Llívia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17095,17,'Lloret de Mar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17096,17,'Llosses, Les')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17097,17,'Madremanya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17098,17,'Maià de Montcal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17099,17,'Meranges')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17100,17,'Masarac')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17101,17,'Massanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17102,17,'Maçanet de Cabrenys')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17103,17,'Maçanet de la Selva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17105,17,'Mieres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17106,17,'Mollet de Peralada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17107,17,'Molló')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17109,17,'Montagut i Oix')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17110,17,'Mont-ras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17111,17,'Navata')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17112,17,'Ogassa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17114,17,'Olot')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17115,17,'Ordis')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17116,17,'Osor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17117,17,'Palafrugell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17118,17,'Palamós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17119,17,'Palau de Santa Eulàlia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17120,17,'Palau-saverdera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17121,17,'Palau-sator')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17123,17,'Palol de Revardit')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17124,17,'Pals')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17125,17,'Pardines')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17126,17,'Parlavà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17128,17,'Pau')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17129,17,'Pedret i Marzà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17130,17,'Pera, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17132,17,'Peralada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17133,17,'Planes d''Hostoles, Les')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17134,17,'Planoles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17135,17,'Pont de Molins')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17136,17,'Pontós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17137,17,'Porqueres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17138,17,'Portbou')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17139,17,'Preses, Les')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17140,17,'Port de la Selva, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17141,17,'Puigcerdà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17142,17,'Quart')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17143,17,'Rabós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17144,17,'Regencós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17145,17,'Ribes de Freser')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17146,17,'Riells i Viabrea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17147,17,'Ripoll')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17148,17,'Riudarenes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17149,17,'Riudaura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17150,17,'Riudellots de la Selva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17151,17,'Riumors')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17152,17,'Roses')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17153,17,'Rupià')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17154,17,'Sales de Llierca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17155,17,'Salt')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17157,17,'Sant Andreu Salou')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17158,17,'Sant Climent Sescebes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17159,17,'Sant Feliu de Buixalleu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17160,17,'Sant Feliu de Guíxols')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17161,17,'Sant Feliu de Pallerols')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17162,17,'Sant Ferriol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17163,17,'Sant Gregori')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17164,17,'Sant Hilari Sacalm')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17165,17,'Sant Jaume de Llierca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17166,17,'Sant Jordi Desvalls')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17167,17,'Sant Joan de les Abadesses')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17168,17,'Sant Joan de Mollet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17169,17,'Sant Julià de Ramis')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17170,17,'Vallfogona de Ripollès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17171,17,'Sant Llorenç de la Muga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17172,17,'Sant Martí de Llémena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17173,17,'Sant Martí Vell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17174,17,'Sant Miquel de Campmajor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17175,17,'Sant Miquel de Fluvià')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17176,17,'Sant Mori')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17177,17,'Sant Pau de Segúries')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17178,17,'Sant Pere Pescador')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17180,17,'Santa Coloma de Farners')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17181,17,'Santa Cristina d''Aro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17182,17,'Santa Llogaia d''Àlguema')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17183,17,'Sant Aniol de Finestres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17184,17,'Santa Pau')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17185,17,'Sant Joan les Fonts')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17186,17,'Sarrià de Ter')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17187,17,'Saus,  Camallera i Llampaies')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17188,17,'Selva de Mar, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17189,17,'Cellera de Ter, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17190,17,'Serinyà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17191,17,'Serra de Daró')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17192,17,'Setcases')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17193,17,'Sils')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17194,17,'Susqueda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17195,17,'Tallada d''Empordà, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17196,17,'Terrades')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17197,17,'Torrent')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17198,17,'Torroella de Fluvià')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17199,17,'Torroella de Montgrí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17200,17,'Tortellà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17201,17,'Toses')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17202,17,'Tossa de Mar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17203,17,'Ultramort')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17204,17,'Ullà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17205,17,'Ullastret')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17206,17,'Urús')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17207,17,'Vall d''en Bas, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17208,17,'Vall de Bianya, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17209,17,'Vall-llobrega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17210,17,'Ventalló')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17211,17,'Verges')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17212,17,'Vidrà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17213,17,'Vidreres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17214,17,'Vilabertran')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17215,17,'Vilablareix')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17216,17,'Viladasens')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17217,17,'Viladamat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17218,17,'Vilademuls')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17220,17,'Viladrau')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17221,17,'Vilafant')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17222,17,'Vilaür')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17223,17,'Vilajuïga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17224,17,'Vilallonga de Ter')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17225,17,'Vilamacolum')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17226,17,'Vilamalla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17227,17,'Vilamaniscle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17228,17,'Vilanant')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17230,17,'Vila-sacra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17232,17,'Vilopriu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17233,17,'Vilobí d''Onyar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17234,17,'Biure')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17901,17,'Cruïlles,  Monells i Sant Sadurní de l''Heura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17902,17,'Forallac')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (17903,17,'Sant Julià del Llor i Bonmatí')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18001,18,'Agrón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18002,18,'Alamedilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18003,18,'Albolote')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18004,18,'Albondón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18005,18,'Albuñán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18006,18,'Albuñol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18007,18,'Albuñuelas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18010,18,'Aldeire')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18011,18,'Alfacar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18012,18,'Algarinejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18013,18,'Alhama de Granada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18014,18,'Alhendín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18015,18,'Alicún de Ortega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18016,18,'Almegíjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18017,18,'Almuñécar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18018,18,'Alquife')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18020,18,'Arenas del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18021,18,'Armilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18022,18,'Atarfe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18023,18,'Baza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18024,18,'Beas de Granada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18025,18,'Beas de Guadix')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18027,18,'Benalúa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18028,18,'Benalúa de las Villas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18029,18,'Benamaurel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18030,18,'Bérchules')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18032,18,'Bubión')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18033,18,'Busquístar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18034,18,'Cacín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18035,18,'Cádiar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18036,18,'Cájar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18037,18,'Calicasas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18038,18,'Campotéjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18039,18,'Caniles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18040,18,'Cáñar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18042,18,'Capileira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18043,18,'Carataunas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18044,18,'Cástaras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18045,18,'Castilléjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18046,18,'Castril')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18047,18,'Cenes de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18048,18,'Cijuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18049,18,'Cogollos de Guadix')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18050,18,'Cogollos de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18051,18,'Colomera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18053,18,'Cortes de Baza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18054,18,'Cortes y Graena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18056,18,'Cúllar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18057,18,'Cúllar Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18059,18,'Chauchina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18061,18,'Chimeneas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18062,18,'Churriana de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18063,18,'Darro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18064,18,'Dehesas de Guadix')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18066,18,'Deifontes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18067,18,'Diezma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18068,18,'Dílar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18069,18,'Dólar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18070,18,'Dúdar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18071,18,'Dúrcal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18072,18,'Escúzar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18074,18,'Ferreira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18076,18,'Fonelas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18078,18,'Freila')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18079,18,'Fuente Vaqueros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18082,18,'Galera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18083,18,'Gobernador')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18084,18,'Gójar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18085,18,'Gor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18086,18,'Gorafe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18087,18,'Granada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18088,18,'Guadahortuna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18089,18,'Guadix')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18093,18,'Gualchos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18094,18,'Güejar Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18095,18,'Güevéjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18096,18,'Huélago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18097,18,'Huéneja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18098,18,'Huéscar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18099,18,'Huétor de Santillán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18100,18,'Huétor Tájar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18101,18,'Huétor Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18102,18,'Illora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18103,18,'Itrabo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18105,18,'Iznalloz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18107,18,'Jayena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18108,18,'Jerez del Marquesado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18109,18,'Jete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18111,18,'Jun')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18112,18,'Juviles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18114,18,'Calahorra, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18115,18,'Láchar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18116,18,'Lanjarón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18117,18,'Lanteira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18119,18,'Lecrín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18120,18,'Lentegí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18121,18,'Lobras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18122,18,'Loja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18123,18,'Lugros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18124,18,'Lújar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18126,18,'Malahá, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18127,18,'Maracena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18128,18,'Marchal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18132,18,'Moclín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18133,18,'Molvízar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18134,18,'Monachil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18135,18,'Montefrío')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18136,18,'Montejícar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18137,18,'Montillana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18138,18,'Moraleda de Zafayona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18140,18,'Motril')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18141,18,'Murtas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18143,18,'Nigüelas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18144,18,'Nívar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18145,18,'Ogíjares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18146,18,'Orce')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18147,18,'Órgiva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18148,18,'Otívar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18149,18,'Otura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18150,18,'Padul')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18151,18,'Pampaneira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18152,18,'Pedro Martínez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18153,18,'Peligros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18154,18,'Peza, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18157,18,'Pinos Genil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18158,18,'Pinos Puente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18159,18,'Píñar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18161,18,'Polícar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18162,18,'Polopos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18163,18,'Pórtugos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18164,18,'Puebla de Don Fadrique')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18165,18,'Pulianas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18167,18,'Purullena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18168,18,'Quéntar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18170,18,'Rubite')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18171,18,'Salar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18173,18,'Salobreña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18174,18,'Santa Cruz del Comercio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18175,18,'Santa Fe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18176,18,'Soportújar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18177,18,'Sorvilán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18178,18,'Torre-Cardela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18179,18,'Torvizcón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18180,18,'Trevélez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18181,18,'Turón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18182,18,'Ugíjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18183,18,'Válor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18184,18,'Vélez de Benaudalla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18185,18,'Ventas de Huelma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18187,18,'Villanueva de las Torres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18188,18,'Villanueva Mesía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18189,18,'Víznar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18192,18,'Zafarraya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18193,18,'Zubia, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18194,18,'Zújar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18901,18,'Taha, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18902,18,'Valle, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18903,18,'Nevada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18904,18,'Alpujarra de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18905,18,'Gabias, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18906,18,'Guajares, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18907,18,'Valle del Zalabí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18908,18,'Villamena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18909,18,'Morelábor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18910,18,'Pinar, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18911,18,'Vegas del Genil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18912,18,'Cuevas del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (18913,18,'Zagra')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19001,19,'Abánades')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19002,19,'Ablanque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19003,19,'Adobes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19004,19,'Alaminos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19005,19,'Alarilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19006,19,'Albalate de Zorita')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19007,19,'Albares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19008,19,'Albendiego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19009,19,'Alcocer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19010,19,'Alcolea de las Peñas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19011,19,'Alcolea del Pinar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19013,19,'Alcoroches')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19015,19,'Aldeanueva de Guadalajara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19016,19,'Algar de Mesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19017,19,'Algora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19018,19,'Alhóndiga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19019,19,'Alique')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19020,19,'Almadrones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19021,19,'Almoguera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19022,19,'Almonacid de Zorita')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19023,19,'Alocén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19024,19,'Alovera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19027,19,'Alustante')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19031,19,'Angón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19032,19,'Anguita')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19033,19,'Anquela del Ducado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19034,19,'Anquela del Pedregal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19036,19,'Aranzueque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19037,19,'Arbancón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19038,19,'Arbeteta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19039,19,'Argecilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19040,19,'Armallones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19041,19,'Armuña de Tajuña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19042,19,'Arroyo de las Fraguas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19043,19,'Atanzón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19044,19,'Atienza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19045,19,'Auñón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19046,19,'Azuqueca de Henares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19047,19,'Baides')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19048,19,'Baños de Tajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19049,19,'Bañuelos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19050,19,'Barriopedro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19051,19,'Berninches')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19052,19,'Bodera, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19053,19,'Brihuega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19054,19,'Budia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19055,19,'Bujalaro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19057,19,'Bustares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19058,19,'Cabanillas del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19059,19,'Campillo de Dueñas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19060,19,'Campillo de Ranas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19061,19,'Campisábalos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19064,19,'Canredondo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19065,19,'Cantalojas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19066,19,'Cañizar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19067,19,'Cardoso de la Sierra, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19070,19,'Casa de Uceda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19071,19,'Casar, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19073,19,'Casas de San Galindo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19074,19,'Caspueñas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19075,19,'Castejón de Henares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19076,19,'Castellar de la Muela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19078,19,'Castilforte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19079,19,'Castilnuevo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19080,19,'Cendejas de Enmedio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19081,19,'Cendejas de la Torre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19082,19,'Centenera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19086,19,'Cifuentes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19087,19,'Cincovillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19088,19,'Ciruelas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19089,19,'Ciruelos del Pinar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19090,19,'Cobeta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19091,19,'Cogollor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19092,19,'Cogolludo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19095,19,'Condemios de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19096,19,'Condemios de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19097,19,'Congostrina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19098,19,'Copernal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19099,19,'Corduente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19102,19,'Cubillo de Uceda, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19103,19,'Checa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19104,19,'Chequilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19105,19,'Chiloeches')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19106,19,'Chillarón del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19107,19,'Driebes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19108,19,'Durón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19109,19,'Embid')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19110,19,'Escamilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19111,19,'Escariche')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19112,19,'Escopete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19113,19,'Espinosa de Henares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19114,19,'Esplegares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19115,19,'Establés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19116,19,'Estriégana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19117,19,'Fontanar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19118,19,'Fuembellida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19119,19,'Fuencemillán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19120,19,'Fuentelahiguera de Albatages')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19121,19,'Fuentelencina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19122,19,'Fuentelsaz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19123,19,'Fuentelviejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19124,19,'Fuentenovilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19125,19,'Gajanejos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19126,19,'Galápagos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19127,19,'Galve de Sorbe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19129,19,'Gascueña de Bornova')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19130,19,'Guadalajara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19132,19,'Henche')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19133,19,'Heras de Ayuso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19134,19,'Herrería')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19135,19,'Hiendelaencina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19136,19,'Hijes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19138,19,'Hita')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19139,19,'Hombrados')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19142,19,'Hontoba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19143,19,'Horche')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19145,19,'Hortezuela de Océn')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19146,19,'Huerce, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19147,19,'Huérmeces del Cerro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19148,19,'Huertahernando')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19150,19,'Hueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19151,19,'Humanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19152,19,'Illana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19153,19,'Iniéstola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19154,19,'Inviernas, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19155,19,'Irueste')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19156,19,'Jadraque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19157,19,'Jirueque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19159,19,'Ledanca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19160,19,'Loranca de Tajuña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19161,19,'Lupiana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19162,19,'Luzaga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19163,19,'Luzón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19165,19,'Majaelrayo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19166,19,'Málaga del Fresno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19167,19,'Malaguilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19168,19,'Mandayona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19169,19,'Mantiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19170,19,'Maranchón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19171,19,'Marchamalo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19172,19,'Masegoso de Tajuña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19173,19,'Matarrubia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19174,19,'Matillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19175,19,'Mazarete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19176,19,'Mazuecos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19177,19,'Medranda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19178,19,'Megina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19179,19,'Membrillera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19181,19,'Miedes de Atienza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19182,19,'Mierla, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19183,19,'Milmarcos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19184,19,'Millana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19185,19,'Miñosa, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19186,19,'Mirabueno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19187,19,'Miralrío')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19188,19,'Mochales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19189,19,'Mohernando')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19190,19,'Molina de Aragón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19191,19,'Monasterio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19192,19,'Mondéjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19193,19,'Montarrón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19194,19,'Moratilla de los Meleros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19195,19,'Morenilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19196,19,'Muduex')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19197,19,'Navas de Jadraque, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19198,19,'Negredo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19199,19,'Ocentejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19200,19,'Olivar, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19201,19,'Olmeda de Cobeta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19202,19,'Olmeda de Jadraque, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19203,19,'Ordial, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19204,19,'Orea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19208,19,'Pálmaces de Jadraque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19209,19,'Pardos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19210,19,'Paredes de Sigüenza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19211,19,'Pareja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19212,19,'Pastrana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19213,19,'Pedregal, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19214,19,'Peñalén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19215,19,'Peñalver')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19216,19,'Peralejos de las Truchas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19217,19,'Peralveche')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19218,19,'Pinilla de Jadraque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19219,19,'Pinilla de Molina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19220,19,'Pioz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19221,19,'Piqueras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19222,19,'Pobo de Dueñas, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19223,19,'Poveda de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19224,19,'Pozo de Almoguera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19225,19,'Pozo de Guadalajara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19226,19,'Prádena de Atienza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19227,19,'Prados Redondos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19228,19,'Puebla de Beleña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19229,19,'Puebla de Valles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19230,19,'Quer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19231,19,'Rebollosa de Jadraque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19232,19,'Recuenco, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19233,19,'Renera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19234,19,'Retiendas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19235,19,'Riba de Saelices')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19237,19,'Rillo de Gallo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19238,19,'Riofrío del Llano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19239,19,'Robledillo de Mohernando')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19240,19,'Robledo de Corpes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19241,19,'Romanillos de Atienza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19242,19,'Romanones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19243,19,'Rueda de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19244,19,'Sacecorbo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19245,19,'Sacedón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19246,19,'Saelices de la Sal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19247,19,'Salmerón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19248,19,'San Andrés del Congosto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19249,19,'San Andrés del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19250,19,'Santiuste')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19251,19,'Saúca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19252,19,'Sayatón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19254,19,'Selas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19255,19,'Setiles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19256,19,'Sienes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19257,19,'Sigüenza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19258,19,'Solanillos del Extremo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19259,19,'Somolinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19260,19,'Sotillo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19261,19,'Sotodosos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19262,19,'Tamajón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19263,19,'Taragudo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19264,19,'Taravilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19265,19,'Tartanedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19266,19,'Tendilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19267,19,'Terzaga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19268,19,'Tierzo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19269,19,'Toba, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19270,19,'Tordelrábano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19271,19,'Tordellego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19272,19,'Tordesilos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19274,19,'Torija')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19277,19,'Torrecuadrada de Molina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19278,19,'Torrecuadradilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19279,19,'Torre del Burgo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19280,19,'Torrejón del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19281,19,'Torremocha de Jadraque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19282,19,'Torremocha del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19283,19,'Torremocha del Pinar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19284,19,'Torremochuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19285,19,'Torrubia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19286,19,'Tórtola de Henares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19287,19,'Tortuera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19288,19,'Tortuero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19289,19,'Traíd')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19290,19,'Trijueque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19291,19,'Trillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19293,19,'Uceda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19294,19,'Ujados')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19296,19,'Utande')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19297,19,'Valdarachas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19298,19,'Valdearenas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19299,19,'Valdeavellano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19300,19,'Valdeaveruelo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19301,19,'Valdeconcha')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19302,19,'Valdegrudas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19303,19,'Valdelcubo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19304,19,'Valdenuño Fernández')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19305,19,'Valdepeñas de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19306,19,'Valderrebollo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19307,19,'Valdesotos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19308,19,'Valfermoso de Tajuña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19309,19,'Valhermoso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19310,19,'Valtablado del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19311,19,'Valverde de los Arroyos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19314,19,'Viana de Jadraque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19317,19,'Villanueva de Alcorón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19318,19,'Villanueva de Argecilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19319,19,'Villanueva de la Torre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19321,19,'Villares de Jadraque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19322,19,'Villaseca de Henares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19323,19,'Villaseca de Uceda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19324,19,'Villel de Mesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19325,19,'Viñuelas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19326,19,'Yebes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19327,19,'Yebra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19329,19,'Yélamos de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19330,19,'Yélamos de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19331,19,'Yunquera de Henares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19332,19,'Yunta, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19333,19,'Zaorejas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19334,19,'Zarzuela de Jadraque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19335,19,'Zorita de los Canes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (19901,19,'Semillas')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20001,20,'Abaltzisketa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20002,20,'Aduna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20003,20,'Aizarnazabal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20004,20,'Albiztur')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20005,20,'Alegia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20006,20,'Alkiza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20007,20,'Altzo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20008,20,'Amezketa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20009,20,'Andoain')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20010,20,'Anoeta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20011,20,'Antzuola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20012,20,'Arama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20013,20,'Aretxabaleta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20014,20,'Asteasu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20015,20,'Ataun')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20016,20,'Aia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20017,20,'Azkoitia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20018,20,'Azpeitia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20019,20,'Beasain')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20020,20,'Beizama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20021,20,'Belauntza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20022,20,'Berastegi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20023,20,'Berrobi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20024,20,'Bidegoian')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20025,20,'Zegama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20026,20,'Zerain')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20027,20,'Zestoa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20028,20,'Zizurkil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20029,20,'Deba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20030,20,'Eibar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20031,20,'Elduain')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20032,20,'Elgoibar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20033,20,'Elgeta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20034,20,'Eskoriatza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20035,20,'Ezkio-Itsaso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20036,20,'Hondarribia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20037,20,'Gaintza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20038,20,'Gabiria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20039,20,'Getaria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20040,20,'Hernani')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20041,20,'Hernialde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20042,20,'Ibarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20043,20,'Idiazabal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20044,20,'Ikaztegieta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20045,20,'Irun')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20046,20,'Irura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20047,20,'Itsasondo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20048,20,'Larraul')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20049,20,'Lazkao')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20050,20,'Leaburu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20051,20,'Legazpi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20052,20,'Legorreta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20053,20,'Lezo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20054,20,'Lizartza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20055,20,'Arrasate/Mondragón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20056,20,'Mutriku')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20057,20,'Mutiloa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20058,20,'Olaberria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20059,20,'Oñati')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20060,20,'Orexa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20061,20,'Orio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20062,20,'Ormaiztegi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20063,20,'Oiartzun')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20064,20,'Pasaia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20065,20,'Soraluze/Placencia de las Armas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20066,20,'Errezil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20067,20,'Errenteria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20068,20,'Leintz-Gatzaga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20069,20,'Donostia-San Sebastián')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20070,20,'Segura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20071,20,'Tolosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20072,20,'Urnieta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20073,20,'Usurbil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20074,20,'Bergara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20075,20,'Villabona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20076,20,'Ordizia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20077,20,'Urretxu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20078,20,'Zaldibia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20079,20,'Zarautz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20080,20,'Zumarraga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20081,20,'Zumaia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20901,20,'Mendaro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20902,20,'Lasarte-Oria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20903,20,'Astigarraga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20904,20,'Baliarrain')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20905,20,'Orendain')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20906,20,'Altzaga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (20907,20,'Gaztelu')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21001,21,'Alájar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21002,21,'Aljaraque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21003,21,'Almendro, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21004,21,'Almonaster la Real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21005,21,'Almonte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21006,21,'Alosno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21007,21,'Aracena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21008,21,'Aroche')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21009,21,'Arroyomolinos de León')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21010,21,'Ayamonte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21011,21,'Beas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21012,21,'Berrocal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21013,21,'Bollullos Par del Condado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21014,21,'Bonares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21015,21,'Cabezas Rubias')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21016,21,'Cala')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21017,21,'Calañas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21018,21,'Campillo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21019,21,'Campofrío')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21020,21,'Cañaveral de León')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21021,21,'Cartaya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21022,21,'Castaño del Robledo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21023,21,'Cerro de Andévalo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21024,21,'Corteconcepción')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21025,21,'Cortegana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21026,21,'Cortelazor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21027,21,'Cumbres de Enmedio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21028,21,'Cumbres de San Bartolomé')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21029,21,'Cumbres Mayores')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21030,21,'Chucena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21031,21,'Encinasola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21032,21,'Escacena del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21033,21,'Fuenteheridos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21034,21,'Galaroza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21035,21,'Gibraleón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21036,21,'Granada de Río-Tinto, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21037,21,'Granado, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21038,21,'Higuera de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21039,21,'Hinojales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21040,21,'Hinojos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21041,21,'Huelva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21042,21,'Isla Cristina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21043,21,'Jabugo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21044,21,'Lepe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21045,21,'Linares de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21046,21,'Lucena del Puerto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21047,21,'Manzanilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21048,21,'Marines, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21049,21,'Minas de Riotinto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21050,21,'Moguer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21051,21,'Nava, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21052,21,'Nerva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21053,21,'Niebla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21054,21,'Palma del Condado, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21055,21,'Palos de la Frontera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21056,21,'Paterna del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21057,21,'Paymogo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21058,21,'Puebla de Guzmán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21059,21,'Puerto Moral')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21060,21,'Punta Umbría')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21061,21,'Rociana del Condado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21062,21,'Rosal de la Frontera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21063,21,'San Bartolomé de la Torre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21064,21,'San Juan del Puerto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21065,21,'Sanlúcar de Guadiana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21066,21,'San Silvestre de Guzmán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21067,21,'Santa Ana la Real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21068,21,'Santa Bárbara de Casa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21069,21,'Santa Olalla del Cala')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21070,21,'Trigueros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21071,21,'Valdelarco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21072,21,'Valverde del Camino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21073,21,'Villablanca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21074,21,'Villalba del Alcor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21075,21,'Villanueva de las Cruces')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21076,21,'Villanueva de los Castillejos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21077,21,'Villarrasa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21078,21,'Zalamea la Real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (21079,21,'Zufre')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22001,22,'Abiego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22002,22,'Abizanda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22003,22,'Adahuesca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22004,22,'Agüero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22006,22,'Aisa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22007,22,'Albalate de Cinca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22008,22,'Albalatillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22009,22,'Albelda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22011,22,'Albero Alto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22012,22,'Albero Bajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22013,22,'Alberuela de Tubo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22014,22,'Alcalá de Gurrea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22015,22,'Alcalá del Obispo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22016,22,'Alcampell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22017,22,'Alcolea de Cinca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22018,22,'Alcubierre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22019,22,'Alerre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22020,22,'Alfántega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22021,22,'Almudévar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22022,22,'Almunia de San Juan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22023,22,'Almuniente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22024,22,'Alquézar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22025,22,'Altorricón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22027,22,'Angüés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22028,22,'Ansó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22029,22,'Antillón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22032,22,'Aragüés del Puerto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22035,22,'Arén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22036,22,'Argavieso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22037,22,'Arguis')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22039,22,'Ayerbe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22040,22,'Azanuy-Alins')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22041,22,'Azara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22042,22,'Azlor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22043,22,'Baélls')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22044,22,'Bailo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22045,22,'Baldellou')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22046,22,'Ballobar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22047,22,'Banastás')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22048,22,'Barbastro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22049,22,'Barbués')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22050,22,'Barbuñales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22051,22,'Bárcabo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22052,22,'Belver de Cinca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22053,22,'Benabarre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22054,22,'Benasque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22055,22,'Berbegal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22057,22,'Bielsa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22058,22,'Bierge')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22059,22,'Biescas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22060,22,'Binaced')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22061,22,'Binéfar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22062,22,'Bisaurri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22063,22,'Biscarrués')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22064,22,'Blecua y Torres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22066,22,'Boltaña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22067,22,'Bonansa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22068,22,'Borau')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22069,22,'Broto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22072,22,'Caldearenas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22074,22,'Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22075,22,'Camporrélls')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22076,22,'Canal de Berdún')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22077,22,'Candasnos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22078,22,'Canfranc')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22079,22,'Capdesaso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22080,22,'Capella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22081,22,'Casbas de Huesca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22082,22,'Castejón del Puente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22083,22,'Castejón de Monegros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22084,22,'Castejón de Sos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22085,22,'Castelflorite')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22086,22,'Castiello de Jaca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22087,22,'Castigaleu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22088,22,'Castillazuelo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22089,22,'Castillonroy')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22090,22,'Colungo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22094,22,'Chalamera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22095,22,'Chía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22096,22,'Chimillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22099,22,'Esplús')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22102,22,'Estada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22103,22,'Estadilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22105,22,'Estopiñán del Castillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22106,22,'Fago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22107,22,'Fanlo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22109,22,'Fiscal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22110,22,'Fonz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22111,22,'Foradada del Toscar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22112,22,'Fraga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22113,22,'Fueva, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22114,22,'Gistaín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22115,22,'Grado, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22116,22,'Grañén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22117,22,'Graus')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22119,22,'Gurrea de Gállego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22122,22,'Hoz de Jaca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22124,22,'Huerto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22125,22,'Huesca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22126,22,'Ibieca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22127,22,'Igriés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22128,22,'Ilche')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22129,22,'Isábena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22130,22,'Jaca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22131,22,'Jasa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22133,22,'Labuerda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22135,22,'Laluenga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22136,22,'Lalueza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22137,22,'Lanaja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22139,22,'Laperdiguera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22141,22,'Lascellas-Ponzano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22142,22,'Lascuarre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22143,22,'Laspaúles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22144,22,'Laspuña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22149,22,'Loarre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22150,22,'Loporzano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22151,22,'Loscorrales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22155,22,'Monesma y Cajigar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22156,22,'Monflorite-Lascasas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22157,22,'Montanuy')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22158,22,'Monzón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22160,22,'Naval')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22162,22,'Novales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22163,22,'Nueno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22164,22,'Olvena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22165,22,'Ontiñena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22167,22,'Osso de Cinca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22168,22,'Palo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22170,22,'Panticosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22172,22,'Peñalba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22173,22,'Peñas de Riglos, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22174,22,'Peralta de Alcofea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22175,22,'Peralta de Calasanz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22176,22,'Peraltilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22177,22,'Perarrúa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22178,22,'Pertusa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22181,22,'Piracés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22182,22,'Plan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22184,22,'Poleñino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22186,22,'Pozán de Vero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22187,22,'Puebla de Castro, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22188,22,'Puente de Montañana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22189,22,'Puértolas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22190,22,'Pueyo de Araguás, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22193,22,'Pueyo de Santa Cruz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22195,22,'Quicena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22197,22,'Robres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22199,22,'Sabiñánigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22200,22,'Sahún')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22201,22,'Salas Altas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22202,22,'Salas Bajas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22203,22,'Salillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22204,22,'Sallent de Gállego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22205,22,'San Esteban de Litera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22206,22,'Sangarrén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22207,22,'San Juan de Plan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22208,22,'Santa Cilia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22209,22,'Santa Cruz de la Serós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22212,22,'Santaliestra y San Quílez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22213,22,'Sariñena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22214,22,'Secastilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22215,22,'Seira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22217,22,'Sena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22218,22,'Senés de Alcubierre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22220,22,'Sesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22221,22,'Sesué')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22222,22,'Siétamo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22223,22,'Sopeira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22225,22,'Tamarite de Litera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22226,22,'Tardienta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22227,22,'Tella-Sin')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22228,22,'Tierz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22229,22,'Tolva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22230,22,'Torla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22232,22,'Torralba de Aragón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22233,22,'Torre la Ribera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22234,22,'Torrente de Cinca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22235,22,'Torres de Alcanadre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22236,22,'Torres de Barbués')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22239,22,'Tramaced')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22242,22,'Valfarta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22243,22,'Valle de Bardají')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22244,22,'Valle de Lierp')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22245,22,'Velilla de Cinca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22246,22,'Beranuy')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22247,22,'Viacamp y Litera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22248,22,'Vicién')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22249,22,'Villanova')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22250,22,'Villanúa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22251,22,'Villanueva de Sigena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22252,22,'Yebra de Basa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22253,22,'Yésero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22254,22,'Zaidín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22901,22,'Valle de Hecho')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22902,22,'Puente la Reina de Jaca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22903,22,'San Miguel del Cinca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22904,22,'Sotonera, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22905,22,'Lupiñén-Ortilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22906,22,'Santa María de Dulcis')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22907,22,'Aínsa-Sobrarbe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22908,22,'Hoz y Costean')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (22909,22,'Vencillón')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23001,23,'Albanchez de Mágina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23002,23,'Alcalá la Real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23003,23,'Alcaudete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23004,23,'Aldeaquemada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23005,23,'Andújar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23006,23,'Arjona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23007,23,'Arjonilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23008,23,'Arquillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23009,23,'Baeza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23010,23,'Bailén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23011,23,'Baños de la Encina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23012,23,'Beas de Segura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23014,23,'Begíjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23015,23,'Bélmez de la Moraleda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23016,23,'Benatae')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23017,23,'Cabra del Santo Cristo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23018,23,'Cambil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23019,23,'Campillo de Arenas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23020,23,'Canena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23021,23,'Carboneros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23024,23,'Carolina, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23025,23,'Castellar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23026,23,'Castillo de Locubín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23027,23,'Cazalilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23028,23,'Cazorla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23029,23,'Chiclana de Segura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23030,23,'Chilluévar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23031,23,'Escañuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23032,23,'Espelúy')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23033,23,'Frailes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23034,23,'Fuensanta de Martos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23035,23,'Fuerte del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23037,23,'Génave')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23038,23,'Guardia de Jaén, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23039,23,'Guarromán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23040,23,'Lahiguera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23041,23,'Higuera de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23042,23,'Hinojares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23043,23,'Hornos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23044,23,'Huelma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23045,23,'Huesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23046,23,'Ibros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23047,23,'Iruela, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23048,23,'Iznatoraf')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23049,23,'Jabalquinto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23050,23,'Jaén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23051,23,'Jamilena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23052,23,'Jimena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23053,23,'Jódar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23054,23,'Larva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23055,23,'Linares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23056,23,'Lopera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23057,23,'Lupión')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23058,23,'Mancha Real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23059,23,'Marmolejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23060,23,'Martos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23061,23,'Mengíbar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23062,23,'Montizón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23063,23,'Navas de San Juan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23064,23,'Noalejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23065,23,'Orcera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23066,23,'Peal de Becerro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23067,23,'Pegalajar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23069,23,'Porcuna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23070,23,'Pozo Alcón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23071,23,'Puente de Génave')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23072,23,'Puerta de Segura, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23073,23,'Quesada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23074,23,'Rus')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23075,23,'Sabiote')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23076,23,'Santa Elena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23077,23,'Santiago de Calatrava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23079,23,'Santisteban del Puerto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23080,23,'Santo Tomé')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23081,23,'Segura de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23082,23,'Siles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23084,23,'Sorihuela del Guadalimar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23085,23,'Torreblascopedro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23086,23,'Torre del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23087,23,'Torredonjimeno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23088,23,'Torreperogil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23090,23,'Torres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23091,23,'Torres de Albánchez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23092,23,'Úbeda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23093,23,'Valdepeñas de Jaén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23094,23,'Vilches')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23095,23,'Villacarrillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23096,23,'Villanueva de la Reina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23097,23,'Villanueva del Arzobispo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23098,23,'Villardompardo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23099,23,'Villares, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23101,23,'Villarrodrigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23901,23,'Cárcheles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23902,23,'Bedmar y Garcíez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23903,23,'Villatorres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23904,23,'Santiago-Pontones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (23905,23,'Arroyo del Ojanco')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24001,24,'Acebedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24002,24,'Algadefe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24003,24,'Alija del Infantado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24004,24,'Almanza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24005,24,'Antigua, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24006,24,'Ardón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24007,24,'Arganza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24008,24,'Astorga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24009,24,'Balboa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24010,24,'Bañeza, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24011,24,'Barjas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24012,24,'Barrios de Luna, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24014,24,'Bembibre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24015,24,'Benavides')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24016,24,'Benuza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24017,24,'Bercianos del Páramo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24018,24,'Bercianos del Real Camino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24019,24,'Berlanga del Bierzo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24020,24,'Boca de Huérgano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24021,24,'Boñar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24022,24,'Borrenes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24023,24,'Brazuelo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24024,24,'Burgo Ranero, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24025,24,'Burón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24026,24,'Bustillo del Páramo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24027,24,'Cabañas Raras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24028,24,'Cabreros del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24029,24,'Cabrillanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24030,24,'Cacabelos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24031,24,'Calzada del Coto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24032,24,'Campazas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24033,24,'Campo de Villavidel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24034,24,'Camponaraya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24036,24,'Candín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24037,24,'Cármenes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24038,24,'Carracedelo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24039,24,'Carrizo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24040,24,'Carrocera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24041,24,'Carucedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24042,24,'Castilfalé')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24043,24,'Castrillo de Cabrera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24044,24,'Castrillo de la Valduerna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24046,24,'Castrocalbón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24047,24,'Castrocontrigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24049,24,'Castropodame')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24050,24,'Castrotierra de Valmadrigal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24051,24,'Cea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24052,24,'Cebanico')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24053,24,'Cebrones del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24054,24,'Cimanes de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24055,24,'Cimanes del Tejar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24056,24,'Cistierna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24057,24,'Congosto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24058,24,'Corbillos de los Oteros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24059,24,'Corullón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24060,24,'Crémenes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24061,24,'Cuadros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24062,24,'Cubillas de los Oteros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24063,24,'Cubillas de Rueda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24064,24,'Cubillos del Sil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24065,24,'Chozas de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24066,24,'Destriana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24067,24,'Encinedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24068,24,'Ercina, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24069,24,'Escobar de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24070,24,'Fabero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24071,24,'Folgoso de la Ribera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24073,24,'Fresno de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24074,24,'Fuentes de Carbajal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24076,24,'Garrafe de Torío')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24077,24,'Gordaliza del Pino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24078,24,'Gordoncillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24079,24,'Gradefes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24080,24,'Grajal de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24081,24,'Gusendos de los Oteros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24082,24,'Hospital de Órbigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24083,24,'Igüeña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24084,24,'Izagre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24086,24,'Joarilla de las Matas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24087,24,'Laguna Dalga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24088,24,'Laguna de Negrillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24089,24,'León')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24090,24,'Lucillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24091,24,'Luyego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24092,24,'Llamas de la Ribera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24093,24,'Magaz de Cepeda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24094,24,'Mansilla de las Mulas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24095,24,'Mansilla Mayor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24096,24,'Maraña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24097,24,'Matadeón de los Oteros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24098,24,'Matallana de Torío')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24099,24,'Matanza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24100,24,'Molinaseca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24101,24,'Murias de Paredes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24102,24,'Noceda del Bierzo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24103,24,'Oencia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24104,24,'Omañas, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24105,24,'Onzonilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24106,24,'Oseja de Sajambre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24107,24,'Pajares de los Oteros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24108,24,'Palacios de la Valduerna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24109,24,'Palacios del Sil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24110,24,'Páramo del Sil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24112,24,'Peranzanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24113,24,'Pobladura de Pelayo García')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24114,24,'Pola de Gordón, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24115,24,'Ponferrada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24116,24,'Posada de Valdeón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24117,24,'Pozuelo del Páramo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24118,24,'Prado de la Guzpeña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24119,24,'Priaranza del Bierzo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24120,24,'Prioro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24121,24,'Puebla de Lillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24122,24,'Puente de Domingo Flórez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24123,24,'Quintana del Castillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24124,24,'Quintana del Marco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24125,24,'Quintana y Congosto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24127,24,'Regueras de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24129,24,'Reyero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24130,24,'Riaño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24131,24,'Riego de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24132,24,'Riello')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24133,24,'Rioseco de Tapia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24134,24,'Robla, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24136,24,'Roperuelos del Páramo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24137,24,'Sabero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24139,24,'Sahagún')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24141,24,'San Adrián del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24142,24,'San Andrés del Rabanedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24143,24,'Sancedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24144,24,'San Cristóbal de la Polantera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24145,24,'San Emiliano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24146,24,'San Esteban de Nogales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24148,24,'San Justo de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24149,24,'San Millán de los Caballeros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24150,24,'San Pedro Bercianos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24151,24,'Santa Colomba de Curueño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24152,24,'Santa Colomba de Somoza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24153,24,'Santa Cristina de Valmadrigal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24154,24,'Santa Elena de Jamuz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24155,24,'Santa María de la Isla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24156,24,'Santa María del Monte de Cea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24157,24,'Santa María del Páramo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24158,24,'Santa María de Ordás')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24159,24,'Santa Marina del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24160,24,'Santas Martas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24161,24,'Santiago Millas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24162,24,'Santovenia de la Valdoncina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24163,24,'Sariegos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24164,24,'Sena de Luna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24165,24,'Sobrado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24166,24,'Soto de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24167,24,'Soto y Amío')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24168,24,'Toral de los Guzmanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24169,24,'Toreno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24170,24,'Torre del Bierzo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24171,24,'Trabadelo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24172,24,'Truchas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24173,24,'Turcia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24174,24,'Urdiales del Páramo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24175,24,'Valdefresno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24176,24,'Valdefuentes del Páramo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24177,24,'Valdelugueros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24178,24,'Valdemora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24179,24,'Valdepiélago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24180,24,'Valdepolo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24181,24,'Valderas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24182,24,'Valderrey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24183,24,'Valderrueda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24184,24,'Valdesamario')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24185,24,'Val de San Lorenzo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24187,24,'Valdevimbre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24188,24,'Valencia de Don Juan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24189,24,'Valverde de la Virgen')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24190,24,'Valverde-Enrique')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24191,24,'Vallecillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24193,24,'Vecilla, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24194,24,'Vegacervera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24196,24,'Vega de Espinareda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24197,24,'Vega de Infanzones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24198,24,'Vega de Valcarce')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24199,24,'Vegaquemada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24201,24,'Vegas del Condado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24202,24,'Villablino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24203,24,'Villabraz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24205,24,'Villadangos del Páramo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24206,24,'Toral de los Vados')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24207,24,'Villademor de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24209,24,'Villafranca del Bierzo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24210,24,'Villagatón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24211,24,'Villamandos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24212,24,'Villamañán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24213,24,'Villamartín de Don Sancho')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24214,24,'Villamejil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24215,24,'Villamol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24216,24,'Villamontán de la Valduerna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24217,24,'Villamoratiel de las Matas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24218,24,'Villanueva de las Manzanas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24219,24,'Villaobispo de Otero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24221,24,'Villaquejida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24222,24,'Villaquilambre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24223,24,'Villarejo de Órbigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24224,24,'Villares de Órbigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24225,24,'Villasabariego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24226,24,'Villaselán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24227,24,'Villaturiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24228,24,'Villazala')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24229,24,'Villazanzo de Valderaduey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24230,24,'Zotes del Páramo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24901,24,'Villamanín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (24902,24,'Villaornate y Castro')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25001,25,'Abella de la Conca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25002,25,'Àger')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25003,25,'Agramunt')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25004,25,'Alamús, Els')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25005,25,'Alàs i Cerc')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25006,25,'Albagés, L''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25007,25,'Albatàrrec')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25008,25,'Albesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25009,25,'Albi, L''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25010,25,'Alcanó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25011,25,'Alcarràs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25012,25,'Alcoletge')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25013,25,'Alfarràs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25014,25,'Alfés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25015,25,'Algerri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25016,25,'Alguaire')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25017,25,'Alins')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25019,25,'Almacelles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25020,25,'Almatret')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25021,25,'Almenar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25022,25,'Alòs de Balaguer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25023,25,'Alpicat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25024,25,'Alt Àneu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25025,25,'Naut Aran')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25027,25,'Anglesola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25029,25,'Arbeca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25030,25,'Pont de Bar, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25031,25,'Arres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25032,25,'Arsèguel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25033,25,'Artesa de Lleida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25034,25,'Artesa de Segre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25035,25,'Sentiu de Sió, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25036,25,'Aspa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25037,25,'Avellanes i Santa Linya, Les')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25038,25,'Aitona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25039,25,'Baix Pallars')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25040,25,'Balaguer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25041,25,'Barbens')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25042,25,'Baronia de Rialb, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25043,25,'Vall de Boí, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25044,25,'Bassella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25045,25,'Bausen')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25046,25,'Belianes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25047,25,'Bellcaire d''Urgell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25048,25,'Bell-lloc d''Urgell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25049,25,'Bellmunt d''Urgell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25050,25,'Bellpuig')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25051,25,'Bellver de Cerdanya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25052,25,'Bellvís')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25053,25,'Benavent de Segrià')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25055,25,'Biosca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25056,25,'Bovera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25057,25,'Bòrdes, Es')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25058,25,'Borges Blanques, Les')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25059,25,'Bossòst')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25060,25,'Cabanabona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25061,25,'Cabó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25062,25,'Camarasa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25063,25,'Canejan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25064,25,'Castellar de la Ribera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25067,25,'Castelldans')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25068,25,'Castellnou de Seana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25069,25,'Castelló de Farfanya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25070,25,'Castellserà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25071,25,'Cava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25072,25,'Cervera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25073,25,'Cervià de les Garrigues')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25074,25,'Ciutadilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25075,25,'Clariana de Cardener')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25076,25,'Cogul, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25077,25,'Coll de Nargó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25078,25,'Corbins')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25079,25,'Cubells')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25081,25,'Espluga Calba, L''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25082,25,'Espot')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25085,25,'Estaràs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25086,25,'Esterri d''Àneu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25087,25,'Esterri de Cardós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25088,25,'Estamariu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25089,25,'Farrera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25092,25,'Floresta, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25093,25,'Fondarella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25094,25,'Foradada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25096,25,'Fuliola, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25097,25,'Fulleda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25098,25,'Gavet de la Conca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25099,25,'Golmés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25100,25,'Gósol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25101,25,'Granadella, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25102,25,'Granja d''Escarp, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25103,25,'Granyanella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25104,25,'Granyena de Segarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25105,25,'Granyena de les Garrigues')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25109,25,'Guimerà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25110,25,'Guissona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25111,25,'Guixers')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25112,25,'Ivars de Noguera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25113,25,'Ivars d''Urgell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25114,25,'Ivorra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25115,25,'Isona i Conca Dellà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25118,25,'Juncosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25119,25,'Juneda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25120,25,'Lleida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25121,25,'Les')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25122,25,'Linyola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25123,25,'Lladorre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25124,25,'Lladurs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25125,25,'Llardecans')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25126,25,'Llavorsí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25127,25,'Lles de Cerdanya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25128,25,'Llimiana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25129,25,'Llobera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25130,25,'Maldà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25131,25,'Massalcoreig')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25132,25,'Massoteres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25133,25,'Maials')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25134,25,'Menàrguens')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25135,25,'Miralcamp')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25136,25,'Molsosa, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25137,25,'Mollerussa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25138,25,'Montgai')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25139,25,'Montellà i Martinet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25140,25,'Montferrer i Castellbò')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25141,25,'Montoliu de Segarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25142,25,'Montoliu de Lleida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25143,25,'Montornès de Segarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25145,25,'Nalec')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25146,25,'Navès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25148,25,'Odèn')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25149,25,'Oliana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25150,25,'Oliola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25151,25,'Olius')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25152,25,'Oluges, Les')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25153,25,'Omellons, Els')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25154,25,'Omells de na Gaia, Els')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25155,25,'Organyà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25156,25,'Os de Balaguer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25157,25,'Ossó de Sió')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25158,25,'Palau d''Anglesola, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25161,25,'Conca de Dalt')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25163,25,'Coma i la Pedra, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25164,25,'Penelles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25165,25,'Peramola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25166,25,'Pinell de Solsonès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25167,25,'Pinós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25168,25,'Poal, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25169,25,'Pobla de Cérvoles, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25170,25,'Bellaguarda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25171,25,'Pobla de Segur, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25172,25,'Ponts')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25173,25,'Pont de Suert, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25174,25,'Portella, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25175,25,'Prats i Sansor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25176,25,'Preixana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25177,25,'Preixens')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25179,25,'Prullans')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25180,25,'Puiggròs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25181,25,'Puigverd d''Agramunt')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25182,25,'Puigverd de Lleida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25183,25,'Rialp')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25185,25,'Ribera d''Urgellet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25186,25,'Riner')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25189,25,'Rosselló')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25190,25,'Salàs de Pallars')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25191,25,'Sanaüja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25192,25,'Sant Guim de Freixenet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25193,25,'Sant Llorenç de Morunys')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25194,25,'Sant Ramon')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25196,25,'Sant Esteve de la Sarga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25197,25,'Sant Guim de la Plana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25200,25,'Sarroca de Lleida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25201,25,'Sarroca de Bellera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25202,25,'Senterada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25203,25,'Seu d''Urgell, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25204,25,'Seròs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25205,25,'Sidamon')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25206,25,'Soleràs, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25207,25,'Solsona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25208,25,'Soriguera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25209,25,'Sort')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25210,25,'Soses')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25211,25,'Sudanell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25212,25,'Sunyer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25215,25,'Talarn')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25216,25,'Talavera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25217,25,'Tàrrega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25218,25,'Tarrés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25219,25,'Tarroja de Segarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25220,25,'Térmens')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25221,25,'Tírvia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25222,25,'Tiurana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25223,25,'Torà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25224,25,'Torms, Els')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25225,25,'Tornabous')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25226,25,'Torrebesses')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25227,25,'Torre de Cabdella, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25228,25,'Torrefarrera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25230,25,'Torregrossa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25231,25,'Torrelameu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25232,25,'Torres de Segre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25233,25,'Torre-serona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25234,25,'Tremp')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25238,25,'Vallbona de les Monges')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25239,25,'Valls de Valira, Les')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25240,25,'Vallfogona de Balaguer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25242,25,'Verdú')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25243,25,'Vielha e Mijaran')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25244,25,'Vilagrassa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25245,25,'Vilaller')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25247,25,'Vilamòs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25248,25,'Vilanova de Bellpuig')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25249,25,'Vilanova de l''Aguda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25250,25,'Vilanova de Meià')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25251,25,'Vilanova de Segrià')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25252,25,'Vila-sana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25253,25,'Vilosell, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25254,25,'Vilanova de la Barca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25255,25,'Vinaixa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25901,25,'Vall de Cardós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25902,25,'Sant Martí de Riucorb')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25903,25,'Guingueta d''Àneu, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25904,25,'Castell de Mur')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25905,25,'Ribera d''Ondara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25906,25,'Valls d''Aguilar, Les')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25907,25,'Torrefeta i Florejacs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25908,25,'Fígols i Alinyà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25909,25,'Vansa i Fórnols, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25910,25,'Josa i Tuixén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25911,25,'Plans de Sió, Els')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25912,25,'Gimenells i el Pla de la Font')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (25913,25,'Riu de Cerdanya')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26001,26,'Ábalos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26002,26,'Agoncillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26003,26,'Aguilar del Río Alhama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26004,26,'Ajamil de Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26005,26,'Albelda de Iregua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26006,26,'Alberite')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26007,26,'Alcanadre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26008,26,'Aldeanueva de Ebro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26009,26,'Alesanco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26010,26,'Alesón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26011,26,'Alfaro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26012,26,'Almarza de Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26013,26,'Anguciana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26014,26,'Anguiano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26015,26,'Arenzana de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26016,26,'Arenzana de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26017,26,'Arnedillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26018,26,'Arnedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26019,26,'Arrúbal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26020,26,'Ausejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26021,26,'Autol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26022,26,'Azofra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26023,26,'Badarán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26024,26,'Bañares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26025,26,'Baños de Rioja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26026,26,'Baños de Río Tobía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26027,26,'Berceo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26028,26,'Bergasa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26029,26,'Bergasillas Bajera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26030,26,'Bezares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26031,26,'Bobadilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26032,26,'Brieva de Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26033,26,'Briñas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26034,26,'Briones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26035,26,'Cabezón de Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26036,26,'Calahorra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26037,26,'Camprovín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26038,26,'Canales de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26039,26,'Canillas de Río Tuerto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26040,26,'Cañas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26041,26,'Cárdenas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26042,26,'Casalarreina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26043,26,'Castañares de Rioja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26044,26,'Castroviejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26045,26,'Cellorigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26046,26,'Cenicero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26047,26,'Cervera del Río Alhama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26048,26,'Cidamón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26049,26,'Cihuri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26050,26,'Cirueña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26051,26,'Clavijo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26052,26,'Cordovín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26053,26,'Corera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26054,26,'Cornago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26055,26,'Corporales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26056,26,'Cuzcurrita de Río Tirón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26057,26,'Daroca de Rioja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26058,26,'Enciso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26059,26,'Entrena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26060,26,'Estollo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26061,26,'Ezcaray')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26062,26,'Foncea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26063,26,'Fonzaleche')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26064,26,'Fuenmayor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26065,26,'Galbárruli')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26066,26,'Galilea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26067,26,'Gallinero de Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26068,26,'Gimileo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26069,26,'Grañón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26070,26,'Grávalos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26071,26,'Haro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26072,26,'Herce')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26073,26,'Herramélluri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26074,26,'Hervías')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26075,26,'Hormilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26076,26,'Hormilleja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26077,26,'Hornillos de Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26078,26,'Hornos de Moncalvillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26079,26,'Huércanos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26080,26,'Igea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26081,26,'Jalón de Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26082,26,'Laguna de Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26083,26,'Lagunilla del Jubera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26084,26,'Lardero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26086,26,'Ledesma de la Cogolla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26087,26,'Leiva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26088,26,'Leza de Río Leza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26089,26,'Logroño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26091,26,'Lumbreras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26092,26,'Manjarrés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26093,26,'Mansilla de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26094,26,'Manzanares de Rioja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26095,26,'Matute')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26096,26,'Medrano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26098,26,'Munilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26099,26,'Murillo de Río Leza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26100,26,'Muro de Aguas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26101,26,'Muro en Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26102,26,'Nájera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26103,26,'Nalda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26104,26,'Navajún')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26105,26,'Navarrete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26106,26,'Nestares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26107,26,'Nieva de Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26108,26,'Ocón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26109,26,'Ochánduri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26110,26,'Ojacastro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26111,26,'Ollauri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26112,26,'Ortigosa de Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26113,26,'Pazuengos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26114,26,'Pedroso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26115,26,'Pinillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26117,26,'Pradejón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26118,26,'Pradillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26119,26,'Préjano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26120,26,'Quel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26121,26,'Rabanera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26122,26,'Rasillo de Cameros, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26123,26,'Redal, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26124,26,'Ribafrecha')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26125,26,'Rincón de Soto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26126,26,'Robres del Castillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26127,26,'Rodezno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26128,26,'Sajazarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26130,26,'San Millán de la Cogolla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26131,26,'San Millán de Yécora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26132,26,'San Román de Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26134,26,'Santa Coloma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26135,26,'Santa Engracia del Jubera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26136,26,'Santa Eulalia Bajera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26138,26,'Santo Domingo de la Calzada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26139,26,'San Torcuato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26140,26,'Santurde de Rioja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26141,26,'Santurdejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26142,26,'San Vicente de la Sonsierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26143,26,'Sojuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26144,26,'Sorzano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26145,26,'Sotés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26146,26,'Soto en Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26147,26,'Terroba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26148,26,'Tirgo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26149,26,'Tobía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26150,26,'Tormantos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26151,26,'Torrecilla en Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26152,26,'Torrecilla sobre Alesanco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26153,26,'Torre en Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26154,26,'Torremontalbo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26155,26,'Treviana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26157,26,'Tricio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26158,26,'Tudelilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26160,26,'Uruñuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26161,26,'Valdemadera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26162,26,'Valgañón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26163,26,'Ventosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26164,26,'Ventrosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26165,26,'Viguera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26166,26,'Villalba de Rioja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26167,26,'Villalobar de Rioja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26168,26,'Villamediana de Iregua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26169,26,'Villanueva de Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26170,26,'Villar de Arnedo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26171,26,'Villar de Torre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26172,26,'Villarejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26173,26,'Villarroya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26174,26,'Villarta-Quintana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26175,26,'Villavelayo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26176,26,'Villaverde de Rioja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26177,26,'Villoslada de Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26178,26,'Viniegra de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26179,26,'Viniegra de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26180,26,'Zarratón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26181,26,'Zarzosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26183,26,'Zorraquín')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27001,27,'Abadín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27002,27,'Alfoz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27003,27,'Antas de Ulla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27004,27,'Baleira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27005,27,'Barreiros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27006,27,'Becerreá')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27007,27,'Begonte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27008,27,'Bóveda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27009,27,'Carballedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27010,27,'Castro de Rei')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27011,27,'Castroverde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27012,27,'Cervantes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27013,27,'Cervo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27014,27,'Corgo, O')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27015,27,'Cospeito')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27016,27,'Chantada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27017,27,'Folgoso do Courel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27018,27,'Fonsagrada, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27019,27,'Foz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27020,27,'Friol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27021,27,'Xermade')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27022,27,'Guitiriz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27023,27,'Guntín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27024,27,'Incio, O')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27025,27,'Xove')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27026,27,'Láncara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27027,27,'Lourenzá')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27028,27,'Lugo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27029,27,'Meira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27030,27,'Mondoñedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27031,27,'Monforte de Lemos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27032,27,'Monterroso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27033,27,'Muras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27034,27,'Navia de Suarna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27035,27,'Negueira de Muñiz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27037,27,'Nogais, As')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27038,27,'Ourol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27039,27,'Outeiro de Rei')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27040,27,'Palas de Rei')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27041,27,'Pantón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27042,27,'Paradela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27043,27,'Páramo, O')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27044,27,'Pastoriza, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27045,27,'Pedrafita do Cebreiro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27046,27,'Pol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27047,27,'Pobra do Brollón, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27048,27,'Pontenova, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27049,27,'Portomarín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27050,27,'Quiroga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27051,27,'Ribadeo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27052,27,'Ribas de Sil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27053,27,'Ribeira de Piquín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27054,27,'Riotorto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27055,27,'Samos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27056,27,'Rábade')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27057,27,'Sarria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27058,27,'Saviñao, O')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27059,27,'Sober')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27060,27,'Taboada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27061,27,'Trabada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27062,27,'Triacastela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27063,27,'Valadouro, O')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27064,27,'Vicedo, O')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27065,27,'Vilalba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27066,27,'Viveiro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27901,27,'Baralla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (27902,27,'Burela')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28001,28,'Acebeda, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28002,28,'Ajalvir')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28003,28,'Alameda del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28004,28,'Álamo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28005,28,'Alcalá de Henares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28006,28,'Alcobendas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28007,28,'Alcorcón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28008,28,'Aldea del Fresno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28009,28,'Algete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28010,28,'Alpedrete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28011,28,'Ambite')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28012,28,'Anchuelo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28013,28,'Aranjuez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28014,28,'Arganda del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28015,28,'Arroyomolinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28016,28,'Atazar, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28017,28,'Batres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28018,28,'Becerril de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28019,28,'Belmonte de Tajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28020,28,'Berzosa del Lozoya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28021,28,'Berrueco, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28022,28,'Boadilla del Monte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28023,28,'Boalo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28024,28,'Braojos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28025,28,'Brea de Tajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28026,28,'Brunete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28027,28,'Buitrago del Lozoya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28028,28,'Bustarviejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28029,28,'Cabanillas de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28030,28,'Cabrera, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28031,28,'Cadalso de los Vidrios')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28032,28,'Camarma de Esteruelas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28033,28,'Campo Real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28034,28,'Canencia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28035,28,'Carabaña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28036,28,'Casarrubuelos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28037,28,'Cenicientos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28038,28,'Cercedilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28039,28,'Cervera de Buitrago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28040,28,'Ciempozuelos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28041,28,'Cobeña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28042,28,'Colmenar del Arroyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28043,28,'Colmenar de Oreja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28044,28,'Colmenarejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28045,28,'Colmenar Viejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28046,28,'Collado Mediano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28047,28,'Collado Villalba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28048,28,'Corpa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28049,28,'Coslada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28050,28,'Cubas de la Sagra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28051,28,'Chapinería')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28052,28,'Chinchón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28053,28,'Daganzo de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28054,28,'Escorial, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28055,28,'Estremera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28056,28,'Fresnedillas de la Oliva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28057,28,'Fresno de Torote')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28058,28,'Fuenlabrada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28059,28,'Fuente el Saz de Jarama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28060,28,'Fuentidueña de Tajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28061,28,'Galapagar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28062,28,'Garganta de los Montes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28063,28,'Gargantilla del Lozoya y Pinilla de Buitrago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28064,28,'Gascones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28065,28,'Getafe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28066,28,'Griñón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28067,28,'Guadalix de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28068,28,'Guadarrama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28069,28,'Hiruela, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28070,28,'Horcajo de la Sierra-Aoslos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28071,28,'Horcajuelo de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28072,28,'Hoyo de Manzanares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28073,28,'Humanes de Madrid')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28074,28,'Leganés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28075,28,'Loeches')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28076,28,'Lozoya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28078,28,'Madarcos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28079,28,'Madrid')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28080,28,'Majadahonda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28082,28,'Manzanares el Real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28083,28,'Meco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28084,28,'Mejorada del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28085,28,'Miraflores de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28086,28,'Molar, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28087,28,'Molinos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28088,28,'Montejo de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28089,28,'Moraleja de Enmedio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28090,28,'Moralzarzal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28091,28,'Morata de Tajuña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28092,28,'Móstoles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28093,28,'Navacerrada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28094,28,'Navalafuente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28095,28,'Navalagamella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28096,28,'Navalcarnero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28097,28,'Navarredonda y San Mamés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28099,28,'Navas del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28100,28,'Nuevo Baztán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28101,28,'Olmeda de las Fuentes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28102,28,'Orusco de Tajuña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28104,28,'Paracuellos de Jarama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28106,28,'Parla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28107,28,'Patones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28108,28,'Pedrezuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28109,28,'Pelayos de la Presa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28110,28,'Perales de Tajuña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28111,28,'Pezuela de las Torres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28112,28,'Pinilla del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28113,28,'Pinto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28114,28,'Piñuécar-Gandullas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28115,28,'Pozuelo de Alarcón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28116,28,'Pozuelo del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28117,28,'Prádena del Rincón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28118,28,'Puebla de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28119,28,'Quijorna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28120,28,'Rascafría')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28121,28,'Redueña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28122,28,'Ribatejada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28123,28,'Rivas-Vaciamadrid')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28124,28,'Robledillo de la Jara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28125,28,'Robledo de Chavela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28126,28,'Robregordo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28127,28,'Rozas de Madrid, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28128,28,'Rozas de Puerto Real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28129,28,'San Agustín del Guadalix')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28130,28,'San Fernando de Henares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28131,28,'San Lorenzo de El Escorial')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28132,28,'San Martín de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28133,28,'San Martín de Valdeiglesias')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28134,28,'San Sebastián de los Reyes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28135,28,'Santa María de la Alameda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28136,28,'Santorcaz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28137,28,'Santos de la Humosa, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28138,28,'Serna del Monte, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28140,28,'Serranillos del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28141,28,'Sevilla la Nueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28143,28,'Somosierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28144,28,'Soto del Real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28145,28,'Talamanca de Jarama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28146,28,'Tielmes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28147,28,'Titulcia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28148,28,'Torrejón de Ardoz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28149,28,'Torrejón de la Calzada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28150,28,'Torrejón de Velasco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28151,28,'Torrelaguna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28152,28,'Torrelodones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28153,28,'Torremocha de Jarama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28154,28,'Torres de la Alameda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28155,28,'Valdaracete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28156,28,'Valdeavero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28157,28,'Valdelaguna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28158,28,'Valdemanco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28159,28,'Valdemaqueda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28160,28,'Valdemorillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28161,28,'Valdemoro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28162,28,'Valdeolmos-Alalpardo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28163,28,'Valdepiélagos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28164,28,'Valdetorres de Jarama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28165,28,'Valdilecha')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28166,28,'Valverde de Alcalá')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28167,28,'Velilla de San Antonio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28168,28,'Vellón, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28169,28,'Venturada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28170,28,'Villaconejos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28171,28,'Villa del Prado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28172,28,'Villalbilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28173,28,'Villamanrique de Tajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28174,28,'Villamanta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28175,28,'Villamantilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28176,28,'Villanueva de la Cañada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28177,28,'Villanueva del Pardillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28178,28,'Villanueva de Perales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28179,28,'Villar del Olmo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28180,28,'Villarejo de Salvanés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28181,28,'Villaviciosa de Odón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28182,28,'Villavieja del Lozoya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28183,28,'Zarzalejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28901,28,'Lozoyuela-Navas-Sieteiglesias')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28902,28,'Puentes Viejas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (28903,28,'Tres Cantos')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29001,29,'Alameda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29002,29,'Alcaucín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29003,29,'Alfarnate')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29004,29,'Alfarnatejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29005,29,'Algarrobo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29006,29,'Algatocín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29007,29,'Alhaurín de la Torre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29008,29,'Alhaurín el Grande')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29009,29,'Almáchar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29010,29,'Almargen')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29011,29,'Almogía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29012,29,'Álora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29013,29,'Alozaina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29014,29,'Alpandeire')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29015,29,'Antequera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29016,29,'Árchez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29017,29,'Archidona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29018,29,'Ardales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29019,29,'Arenas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29020,29,'Arriate')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29021,29,'Atajate')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29022,29,'Benadalid')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29023,29,'Benahavís')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29024,29,'Benalauría')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29025,29,'Benalmádena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29026,29,'Benamargosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29027,29,'Benamocarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29028,29,'Benaoján')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29029,29,'Benarrabá')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29030,29,'Borge, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29031,29,'Burgo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29032,29,'Campillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29033,29,'Canillas de Aceituno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29034,29,'Canillas de Albaida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29035,29,'Cañete la Real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29036,29,'Carratraca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29037,29,'Cartajima')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29038,29,'Cártama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29039,29,'Casabermeja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29040,29,'Casarabonela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29041,29,'Casares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29042,29,'Coín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29043,29,'Colmenar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29044,29,'Comares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29045,29,'Cómpeta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29046,29,'Cortes de la Frontera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29047,29,'Cuevas Bajas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29048,29,'Cuevas del Becerro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29049,29,'Cuevas de San Marcos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29050,29,'Cútar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29051,29,'Estepona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29052,29,'Faraján')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29053,29,'Frigiliana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29054,29,'Fuengirola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29055,29,'Fuente de Piedra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29056,29,'Gaucín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29057,29,'Genalguacil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29058,29,'Guaro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29059,29,'Humilladero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29060,29,'Igualeja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29061,29,'Istán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29062,29,'Iznate')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29063,29,'Jimera de Líbar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29064,29,'Jubrique')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29065,29,'Júzcar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29066,29,'Macharaviaya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29067,29,'Málaga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29068,29,'Manilva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29069,29,'Marbella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29070,29,'Mijas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29071,29,'Moclinejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29072,29,'Mollina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29073,29,'Monda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29074,29,'Montejaque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29075,29,'Nerja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29076,29,'Ojén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29077,29,'Parauta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29079,29,'Periana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29080,29,'Pizarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29081,29,'Pujerra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29082,29,'Rincón de la Victoria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29083,29,'Riogordo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29084,29,'Ronda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29085,29,'Salares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29086,29,'Sayalonga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29087,29,'Sedella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29088,29,'Sierra de Yeguas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29089,29,'Teba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29090,29,'Tolox')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29091,29,'Torrox')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29092,29,'Totalán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29093,29,'Valle de Abdalajís')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29094,29,'Vélez-Málaga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29095,29,'Villanueva de Algaidas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29096,29,'Villanueva del Rosario')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29097,29,'Villanueva del Trabuco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29098,29,'Villanueva de Tapia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29099,29,'Viñuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29100,29,'Yunquera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29901,29,'Torremolinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (29902,29,'Villanueva de la Concepción')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30001,30,'Abanilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30002,30,'Abarán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30003,30,'Águilas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30004,30,'Albudeite')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30005,30,'Alcantarilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30006,30,'Aledo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30007,30,'Alguazas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30008,30,'Alhama de Murcia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30009,30,'Archena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30010,30,'Beniel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30011,30,'Blanca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30012,30,'Bullas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30013,30,'Calasparra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30014,30,'Campos del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30015,30,'Caravaca de la Cruz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30016,30,'Cartagena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30017,30,'Cehegín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30018,30,'Ceutí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30019,30,'Cieza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30020,30,'Fortuna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30021,30,'Fuente Álamo de Murcia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30022,30,'Jumilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30023,30,'Librilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30024,30,'Lorca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30025,30,'Lorquí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30026,30,'Mazarrón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30027,30,'Molina de Segura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30028,30,'Moratalla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30029,30,'Mula')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30030,30,'Murcia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30031,30,'Ojós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30032,30,'Pliego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30033,30,'Puerto Lumbreras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30034,30,'Ricote')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30035,30,'San Javier')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30036,30,'San Pedro del Pinatar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30037,30,'Torre-Pacheco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30038,30,'Torres de Cotillas, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30039,30,'Totana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30040,30,'Ulea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30041,30,'Unión, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30042,30,'Villanueva del Río Segura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30043,30,'Yecla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30901,30,'Santomera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (30902,30,'Alcázares, Los')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31001,31,'Abáigar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31002,31,'Abárzuza/Abartzuza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31003,31,'Abaurregaina/Abaurrea Alta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31004,31,'Abaurrepea/Abaurrea Baja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31005,31,'Aberin')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31006,31,'Ablitas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31007,31,'Adiós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31008,31,'Aguilar de Codés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31009,31,'Aibar/Oibar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31010,31,'Altsasu/Alsasua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31011,31,'Allín/Allin')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31012,31,'Allo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31013,31,'Améscoa Baja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31014,31,'Ancín/Antzin')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31015,31,'Andosilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31016,31,'Ansoáin/Antsoain')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31017,31,'Anue')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31018,31,'Añorbe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31019,31,'Aoiz/Agoitz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31020,31,'Araitz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31021,31,'Aranarache/Aranaratxe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31022,31,'Arantza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31023,31,'Aranguren')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31024,31,'Arano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31025,31,'Arakil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31026,31,'Aras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31027,31,'Arbizu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31028,31,'Arce/Artzi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31029,31,'Arcos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31030,31,'Arellano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31031,31,'Areso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31032,31,'Arguedas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31033,31,'Aria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31034,31,'Aribe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31035,31,'Armañanzas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31036,31,'Arróniz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31037,31,'Arruazu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31038,31,'Artajona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31039,31,'Artazu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31040,31,'Atez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31041,31,'Ayegui/Aiegi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31042,31,'Azagra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31043,31,'Azuelo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31044,31,'Bakaiku')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31045,31,'Barásoain')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31046,31,'Barbarin')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31047,31,'Bargota')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31048,31,'Barillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31049,31,'Basaburua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31050,31,'Baztan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31051,31,'Beire')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31052,31,'Belascoáin')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31053,31,'Berbinzana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31054,31,'Bertizarana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31055,31,'Betelu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31056,31,'Biurrun-Olcoz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31057,31,'Buñuel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31058,31,'Auritz/Burguete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31059,31,'Burgui/Burgi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31060,31,'Burlada/Burlata')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31061,31,'Busto, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31062,31,'Cabanillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31063,31,'Cabredo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31064,31,'Cadreita')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31065,31,'Caparroso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31066,31,'Cárcar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31067,31,'Carcastillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31068,31,'Cascante')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31069,31,'Cáseda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31070,31,'Castejón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31071,31,'Castillonuevo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31072,31,'Cintruénigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31073,31,'Ziordia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31074,31,'Cirauqui/Zirauki')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31075,31,'Ciriza/Ziritza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31076,31,'Cizur')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31077,31,'Corella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31078,31,'Cortes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31079,31,'Desojo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31080,31,'Dicastillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31081,31,'Donamaria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31082,31,'Etxalar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31083,31,'Echarri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31084,31,'Etxarri-Aranatz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31085,31,'Etxauri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31086,31,'Egüés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31087,31,'Elgorriaga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31088,31,'Noáin (Valle de Elorz)/Noain (Elortzibar)')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31089,31,'Enériz/Eneritz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31090,31,'Eratsun')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31091,31,'Ergoiena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31092,31,'Erro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31093,31,'Ezcároz/Ezkaroze')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31094,31,'Eslava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31095,31,'Esparza de Salazar/Espartza Zaraitzu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31096,31,'Espronceda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31097,31,'Estella-Lizarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31098,31,'Esteribar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31099,31,'Etayo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31100,31,'Eulate')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31101,31,'Ezcabarte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31102,31,'Ezkurra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31103,31,'Ezprogui')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31104,31,'Falces')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31105,31,'Fitero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31106,31,'Fontellas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31107,31,'Funes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31108,31,'Fustiñana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31109,31,'Galar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31110,31,'Gallipienzo/Galipentzu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31111,31,'Gallués/Galoze')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31112,31,'Garaioa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31113,31,'Garde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31114,31,'Garínoain')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31115,31,'Garralda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31116,31,'Genevilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31117,31,'Goizueta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31118,31,'Goñi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31119,31,'Güesa/Gorza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31120,31,'Guesálaz/Gesalatz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31121,31,'Guirguillano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31122,31,'Huarte/Uharte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31123,31,'Uharte-Arakil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31124,31,'Ibargoiti')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31125,31,'Igúzquiza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31126,31,'Imotz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31127,31,'Irañeta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31128,31,'Isaba/Izaba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31129,31,'Ituren')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31130,31,'Iturmendi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31131,31,'Iza/Itza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31132,31,'Izagaondoa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31133,31,'Izalzu/Itzaltzu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31134,31,'Jaurrieta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31135,31,'Javier')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31136,31,'Juslapeña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31137,31,'Beintza-Labaien')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31138,31,'Lakuntza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31139,31,'Lana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31140,31,'Lantz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31141,31,'Lapoblación')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31142,31,'Larraga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31143,31,'Larraona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31144,31,'Larraun')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31145,31,'Lazagurría')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31146,31,'Leache')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31147,31,'Legarda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31148,31,'Legaria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31149,31,'Leitza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31150,31,'Leoz/Leotz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31151,31,'Lerga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31152,31,'Lerín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31153,31,'Lesaka')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31154,31,'Lezáun')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31155,31,'Liédena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31156,31,'Lizoáin-Arriasgoiti')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31157,31,'Lodosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31158,31,'Lónguida/Longida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31159,31,'Lumbier')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31160,31,'Luquin')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31161,31,'Mañeru')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31162,31,'Marañón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31163,31,'Marcilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31164,31,'Mélida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31165,31,'Mendavia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31166,31,'Mendaza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31167,31,'Mendigorría')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31168,31,'Metauten')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31169,31,'Milagro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31170,31,'Mirafuentes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31171,31,'Miranda de Arga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31172,31,'Monreal/Elo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31173,31,'Monteagudo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31174,31,'Morentin')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31175,31,'Mues')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31176,31,'Murchante')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31177,31,'Murieta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31178,31,'Murillo el Cuende')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31179,31,'Murillo el Fruto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31180,31,'Muruzábal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31181,31,'Navascués/Nabaskoze')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31182,31,'Nazar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31183,31,'Obanos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31184,31,'Oco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31185,31,'Ochagavía/Otsagabia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31186,31,'Odieta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31187,31,'Oitz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31188,31,'Olaibar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31189,31,'Olazti/Olazagutía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31190,31,'Olejua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31191,31,'Olite/Erriberri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31192,31,'Olóriz/Oloritz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31193,31,'Cendea de Olza/Oltza Zendea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31194,31,'Ollo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31195,31,'Orbaizeta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31196,31,'Orbara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31197,31,'Orísoain')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31198,31,'Oronz/Orontze')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31199,31,'Oroz-Betelu/Orotz-Betelu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31200,31,'Oteiza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31201,31,'Pamplona/Iruña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31202,31,'Peralta/Azkoien')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31203,31,'Petilla de Aragón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31204,31,'Piedramillera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31205,31,'Pitillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31206,31,'Puente la Reina/Gares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31207,31,'Pueyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31208,31,'Ribaforada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31209,31,'Romanzado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31210,31,'Roncal/Erronkari')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31211,31,'Orreaga/Roncesvalles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31212,31,'Sada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31213,31,'Saldías')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31214,31,'Salinas de Oro/Jaitz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31215,31,'San Adrián')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31216,31,'Sangüesa/Zangoza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31217,31,'San Martín de Unx')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31219,31,'Sansol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31220,31,'Santacara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31221,31,'Doneztebe/Santesteban')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31222,31,'Sarriés/Sartze')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31223,31,'Sartaguda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31224,31,'Sesma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31225,31,'Sorlada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31226,31,'Sunbilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31227,31,'Tafalla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31228,31,'Tiebas-Muruarte de Reta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31229,31,'Tirapu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31230,31,'Torralba del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31231,31,'Torres del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31232,31,'Tudela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31233,31,'Tulebras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31234,31,'Ucar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31235,31,'Ujué')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31236,31,'Ultzama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31237,31,'Unciti')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31238,31,'Unzué/Untzue')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31239,31,'Urdazubi/Urdax')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31240,31,'Urdiain')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31241,31,'Urraul Alto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31242,31,'Urraul Bajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31243,31,'Urroz-Villa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31244,31,'Urrotz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31245,31,'Urzainqui/Urzainki')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31246,31,'Uterga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31247,31,'Uztárroz/Uztarroze')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31248,31,'Luzaide/Valcarlos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31249,31,'Valtierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31250,31,'Bera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31251,31,'Viana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31252,31,'Vidángoz/Bidankoze')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31253,31,'Bidaurreta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31254,31,'Villafranca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31255,31,'Villamayor de Monjardín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31256,31,'Hiriberri/Villanueva de Aezkoa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31257,31,'Villatuerta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31258,31,'Villava/Atarrabia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31259,31,'Igantzi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31260,31,'Valle de Yerri/Deierri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31261,31,'Yesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31262,31,'Zabalza/Zabaltza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31263,31,'Zubieta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31264,31,'Zugarramurdi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31265,31,'Zúñiga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31901,31,'Barañain')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31902,31,'Berrioplano/Berriobeiti')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31903,31,'Berriozar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31904,31,'Irurtzun')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31905,31,'Beriáin')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31906,31,'Orkoien')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31907,31,'Zizur Mayor/Zizur Nagusia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (31908,31,'Lekunberri')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32001,32,'Allariz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32002,32,'Amoeiro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32003,32,'Arnoia, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32004,32,'Avión')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32005,32,'Baltar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32006,32,'Bande')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32007,32,'Baños de Molgas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32008,32,'Barbadás')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32009,32,'Barco de Valdeorras, O')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32010,32,'Beade')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32011,32,'Beariz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32012,32,'Blancos, Os')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32013,32,'Boborás')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32014,32,'Bola, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32015,32,'Bolo, O')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32016,32,'Calvos de Randín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32017,32,'Carballeda de Valdeorras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32018,32,'Carballeda de Avia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32019,32,'Carballiño, O')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32020,32,'Cartelle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32021,32,'Castrelo do Val')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32022,32,'Castrelo de Miño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32023,32,'Castro Caldelas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32024,32,'Celanova')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32025,32,'Cenlle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32026,32,'Coles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32027,32,'Cortegada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32028,32,'Cualedro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32029,32,'Chandrexa de Queixa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32030,32,'Entrimo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32031,32,'Esgos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32032,32,'Xinzo de Limia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32033,32,'Gomesende')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32034,32,'Gudiña, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32035,32,'Irixo, O')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32036,32,'Xunqueira de Ambía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32037,32,'Xunqueira de Espadanedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32038,32,'Larouco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32039,32,'Laza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32040,32,'Leiro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32041,32,'Lobeira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32042,32,'Lobios')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32043,32,'Maceda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32044,32,'Manzaneda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32045,32,'Maside')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32046,32,'Melón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32047,32,'Merca, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32048,32,'Mezquita, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32049,32,'Montederramo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32050,32,'Monterrei')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32051,32,'Muíños')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32052,32,'Nogueira de Ramuín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32053,32,'Oímbra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32054,32,'Ourense')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32055,32,'Paderne de Allariz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32056,32,'Padrenda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32057,32,'Parada de Sil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32058,32,'Pereiro de Aguiar, O')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32059,32,'Peroxa, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32060,32,'Petín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32061,32,'Piñor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32062,32,'Porqueira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32063,32,'Pobra de Trives, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32064,32,'Pontedeva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32065,32,'Punxín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32066,32,'Quintela de Leirado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32067,32,'Rairiz de Veiga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32068,32,'Ramirás')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32069,32,'Ribadavia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32070,32,'San Xoán de Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32071,32,'Riós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32072,32,'Rúa, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32073,32,'Rubiá')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32074,32,'San Amaro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32075,32,'San Cibrao das Viñas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32076,32,'San Cristovo de Cea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32077,32,'Sandiás')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32078,32,'Sarreaus')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32079,32,'Taboadela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32080,32,'Teixeira, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32081,32,'Toén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32082,32,'Trasmiras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32083,32,'Veiga, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32084,32,'Verea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32085,32,'Verín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32086,32,'Viana do Bolo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32087,32,'Vilamarín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32088,32,'Vilamartín de Valdeorras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32089,32,'Vilar de Barrio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32090,32,'Vilar de Santos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32091,32,'Vilardevós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (32092,32,'Vilariño de Conso')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33001,33,'Allande')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33002,33,'Aller')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33003,33,'Amieva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33004,33,'Avilés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33005,33,'Belmonte de Miranda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33006,33,'Bimenes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33007,33,'Boal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33008,33,'Cabrales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33009,33,'Cabranes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33010,33,'Candamo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33011,33,'Cangas del Narcea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33012,33,'Cangas de Onís')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33013,33,'Caravia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33014,33,'Carreño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33015,33,'Caso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33016,33,'Castrillón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33017,33,'Castropol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33018,33,'Coaña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33019,33,'Colunga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33020,33,'Corvera de Asturias')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33021,33,'Cudillero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33022,33,'Degaña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33023,33,'Franco, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33024,33,'Gijón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33025,33,'Gozón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33026,33,'Grado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33027,33,'Grandas de Salime')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33028,33,'Ibias')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33029,33,'Illano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33030,33,'Illas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33031,33,'Langreo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33032,33,'Laviana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33033,33,'Lena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33034,33,'Valdés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33035,33,'Llanera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33036,33,'Llanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33037,33,'Mieres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33038,33,'Morcín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33039,33,'Muros de Nalón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33040,33,'Nava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33041,33,'Navia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33042,33,'Noreña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33043,33,'Onís')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33044,33,'Oviedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33045,33,'Parres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33046,33,'Peñamellera Alta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33047,33,'Peñamellera Baja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33048,33,'Pesoz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33049,33,'Piloña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33050,33,'Ponga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33051,33,'Pravia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33052,33,'Proaza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33053,33,'Quirós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33054,33,'Regueras, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33055,33,'Ribadedeva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33056,33,'Ribadesella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33057,33,'Ribera de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33058,33,'Riosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33059,33,'Salas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33060,33,'San Martín del Rey Aurelio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33061,33,'San Martín de Oscos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33062,33,'Santa Eulalia de Oscos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33063,33,'San Tirso de Abres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33064,33,'Santo Adriano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33065,33,'Sariego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33066,33,'Siero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33067,33,'Sobrescobio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33068,33,'Somiedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33069,33,'Soto del Barco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33070,33,'Tapia de Casariego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33071,33,'Taramundi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33072,33,'Teverga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33073,33,'Tineo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33074,33,'Vegadeo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33075,33,'Villanueva de Oscos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33076,33,'Villaviciosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33077,33,'Villayón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (33078,33,'Yernes y Tameza')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34001,34,'Abarca de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34003,34,'Abia de las Torres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34004,34,'Aguilar de Campoo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34005,34,'Alar del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34006,34,'Alba de Cerrato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34009,34,'Amayuelas de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34010,34,'Ampudia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34011,34,'Amusco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34012,34,'Antigüedad')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34015,34,'Arconada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34017,34,'Astudillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34018,34,'Autilla del Pino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34019,34,'Autillo de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34020,34,'Ayuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34022,34,'Baltanás')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34023,34,'Venta de Baños')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34024,34,'Baquerín de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34025,34,'Bárcena de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34027,34,'Barruelo de Santullán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34028,34,'Báscones de Ojeda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34029,34,'Becerril de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34031,34,'Belmonte de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34032,34,'Berzosilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34033,34,'Boada de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34034,34,'Boadilla del Camino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34035,34,'Boadilla de Rioseco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34036,34,'Brañosera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34037,34,'Buenavista de Valdavia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34038,34,'Bustillo de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34039,34,'Bustillo del Páramo de Carrión')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34041,34,'Calahorra de Boedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34042,34,'Calzada de los Molinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34045,34,'Capillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34046,34,'Cardeñosa de Volpejera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34047,34,'Carrión de los Condes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34048,34,'Castil de Vela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34049,34,'Castrejón de la Peña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34050,34,'Castrillo de Don Juan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34051,34,'Castrillo de Onielo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34052,34,'Castrillo de Villavega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34053,34,'Castromocho')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34055,34,'Cervatos de la Cueza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34056,34,'Cervera de Pisuerga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34057,34,'Cevico de la Torre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34058,34,'Cevico Navero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34059,34,'Cisneros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34060,34,'Cobos de Cerrato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34061,34,'Collazos de Boedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34062,34,'Congosto de Valdavia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34063,34,'Cordovilla la Real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34066,34,'Cubillas de Cerrato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34067,34,'Dehesa de Montejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34068,34,'Dehesa de Romanos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34069,34,'Dueñas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34070,34,'Espinosa de Cerrato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34071,34,'Espinosa de Villagonzalo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34072,34,'Frechilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34073,34,'Fresno del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34074,34,'Frómista')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34076,34,'Fuentes de Nava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34077,34,'Fuentes de Valdepero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34079,34,'Grijota')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34080,34,'Guardo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34081,34,'Guaza de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34082,34,'Hérmedes de Cerrato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34083,34,'Herrera de Pisuerga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34084,34,'Herrera de Valdecañas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34086,34,'Hontoria de Cerrato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34087,34,'Hornillos de Cerrato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34088,34,'Husillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34089,34,'Itero de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34091,34,'Lagartos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34092,34,'Lantadilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34093,34,'Vid de Ojeda, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34094,34,'Ledigos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34096,34,'Lomas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34098,34,'Magaz de Pisuerga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34099,34,'Manquillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34100,34,'Mantinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34101,34,'Marcilla de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34102,34,'Mazariegos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34103,34,'Mazuecos de Valdeginate')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34104,34,'Melgar de Yuso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34106,34,'Meneses de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34107,34,'Micieces de Ojeda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34108,34,'Monzón de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34109,34,'Moratinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34110,34,'Mudá')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34112,34,'Nogal de las Huertas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34113,34,'Olea de Boedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34114,34,'Olmos de Ojeda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34116,34,'Osornillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34120,34,'Palencia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34121,34,'Palenzuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34122,34,'Páramo de Boedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34123,34,'Paredes de Nava')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34124,34,'Payo de Ojeda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34125,34,'Pedraza de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34126,34,'Pedrosa de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34127,34,'Perales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34129,34,'Pino del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34130,34,'Piña de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34131,34,'Población de Arroyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34132,34,'Población de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34133,34,'Población de Cerrato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34134,34,'Polentinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34135,34,'Pomar de Valdivia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34136,34,'Poza de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34137,34,'Pozo de Urama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34139,34,'Prádanos de Ojeda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34140,34,'Puebla de Valdavia, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34141,34,'Quintana del Puente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34143,34,'Quintanilla de Onsoña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34146,34,'Reinoso de Cerrato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34147,34,'Renedo de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34149,34,'Requena de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34151,34,'Respenda de la Peña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34152,34,'Revenga de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34154,34,'Revilla de Collazos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34155,34,'Ribas de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34156,34,'Riberos de la Cueza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34157,34,'Saldaña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34158,34,'Salinas de Pisuerga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34159,34,'San Cebrián de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34160,34,'San Cebrián de Mudá')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34161,34,'San Cristóbal de Boedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34163,34,'San Mamés de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34165,34,'San Román de la Cuba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34167,34,'Santa Cecilia del Alcor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34168,34,'Santa Cruz de Boedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34169,34,'Santervás de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34170,34,'Santibáñez de Ecla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34171,34,'Santibáñez de la Peña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34174,34,'Santoyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34175,34,'Serna, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34176,34,'Sotobañado y Priorato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34177,34,'Soto de Cerrato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34178,34,'Tabanera de Cerrato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34179,34,'Tabanera de Valdavia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34180,34,'Támara de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34181,34,'Tariego de Cerrato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34182,34,'Torquemada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34184,34,'Torremormojón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34185,34,'Triollo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34186,34,'Valbuena de Pisuerga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34189,34,'Valdeolmillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34190,34,'Valderrábano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34192,34,'Valde-Ucieza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34196,34,'Valle de Cerrato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34199,34,'Velilla del Río Carrión')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34201,34,'Vertavillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34202,34,'Villabasta de Valdavia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34204,34,'Villacidaler')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34205,34,'Villaconancio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34206,34,'Villada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34208,34,'Villaeles de Valdavia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34210,34,'Villahán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34211,34,'Villaherreros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34213,34,'Villalaco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34214,34,'Villalba de Guardo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34215,34,'Villalcázar de Sirga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34216,34,'Villalcón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34217,34,'Villalobón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34218,34,'Villaluenga de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34220,34,'Villamartín de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34221,34,'Villamediana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34222,34,'Villameriel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34223,34,'Villamoronta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34224,34,'Villamuera de la Cueza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34225,34,'Villamuriel de Cerrato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34227,34,'Villanueva del Rebollar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34228,34,'Villanuño de Valdavia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34229,34,'Villaprovedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34230,34,'Villarmentero de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34231,34,'Villarrabé')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34232,34,'Villarramiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34233,34,'Villasarracino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34234,34,'Villasila de Valdavia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34236,34,'Villaturde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34237,34,'Villaumbrales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34238,34,'Villaviudas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34240,34,'Villerías de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34241,34,'Villodre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34242,34,'Villodrigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34243,34,'Villoldo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34245,34,'Villota del Páramo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34246,34,'Villovieco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34901,34,'Osorno la Mayor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34902,34,'Valle del Retortillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34903,34,'Loma de Ucieza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (34904,34,'Pernía, La')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35001,35,'Agaete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35002,35,'Agüimes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35003,35,'Antigua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35004,35,'Arrecife')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35005,35,'Artenara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35006,35,'Arucas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35007,35,'Betancuria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35008,35,'Firgas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35009,35,'Gáldar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35010,35,'Haría')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35011,35,'Ingenio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35012,35,'Mogán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35013,35,'Moya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35014,35,'Oliva, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35015,35,'Pájara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35016,35,'Palmas de Gran Canaria, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35017,35,'Puerto del Rosario')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35018,35,'San Bartolomé')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35019,35,'San Bartolomé de Tirajana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35020,35,'Aldea de San Nicolás, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35021,35,'Santa Brígida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35022,35,'Santa Lucía de Tirajana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35023,35,'Santa María de Guía de Gran Canaria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35024,35,'Teguise')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35025,35,'Tejeda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35026,35,'Telde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35027,35,'Teror')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35028,35,'Tías')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35029,35,'Tinajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35030,35,'Tuineje')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35031,35,'Valsequillo de Gran Canaria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35032,35,'Valleseco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35033,35,'Vega de San Mateo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (35034,35,'Yaiza')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36001,36,'Arbo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36002,36,'Barro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36003,36,'Baiona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36004,36,'Bueu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36005,36,'Caldas de Reis')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36006,36,'Cambados')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36007,36,'Campo Lameiro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36008,36,'Cangas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36009,36,'Cañiza, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36010,36,'Catoira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36011,36,'Cerdedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36012,36,'Cotobade')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36013,36,'Covelo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36014,36,'Crecente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36015,36,'Cuntis')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36016,36,'Dozón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36017,36,'Estrada, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36018,36,'Forcarei')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36019,36,'Fornelos de Montes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36020,36,'Agolada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36021,36,'Gondomar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36022,36,'Grove, O')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36023,36,'Guarda, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36024,36,'Lalín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36025,36,'Lama, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36026,36,'Marín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36027,36,'Meaño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36028,36,'Meis')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36029,36,'Moaña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36030,36,'Mondariz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36031,36,'Mondariz-Balneario')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36032,36,'Moraña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36033,36,'Mos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36034,36,'Neves, As')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36035,36,'Nigrán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36036,36,'Oia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36037,36,'Pazos de Borbén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36038,36,'Pontevedra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36039,36,'Porriño, O')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36040,36,'Portas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36041,36,'Poio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36042,36,'Ponteareas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36043,36,'Ponte Caldelas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36044,36,'Pontecesures')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36045,36,'Redondela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36046,36,'Ribadumia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36047,36,'Rodeiro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36048,36,'Rosal, O')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36049,36,'Salceda de Caselas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36050,36,'Salvaterra de Miño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36051,36,'Sanxenxo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36052,36,'Silleda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36053,36,'Soutomaior')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36054,36,'Tomiño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36055,36,'Tui')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36056,36,'Valga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36057,36,'Vigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36058,36,'Vilaboa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36059,36,'Vila de Cruces')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36060,36,'Vilagarcía de Arousa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36061,36,'Vilanova de Arousa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (36901,36,'Illa de Arousa, A')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37001,37,'Abusejo')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37002,37,'Agallas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37003,37,'Ahigal de los Aceiteros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37004,37,'Ahigal de Villarino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37005,37,'Alameda de Gardón, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37006,37,'Alamedilla, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37007,37,'Alaraz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37008,37,'Alba de Tormes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37009,37,'Alba de Yeltes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37010,37,'Alberca, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37011,37,'Alberguería de Argañán, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37012,37,'Alconada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37013,37,'Aldeacipreste')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37014,37,'Aldeadávila de la Ribera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37015,37,'Aldea del Obispo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37016,37,'Aldealengua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37017,37,'Aldeanueva de Figueroa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37018,37,'Aldeanueva de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37019,37,'Aldearrodrigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37020,37,'Aldearrubia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37021,37,'Aldeaseca de Alba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37022,37,'Aldeaseca de la Frontera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37023,37,'Aldeatejada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37024,37,'Aldeavieja de Tormes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37025,37,'Aldehuela de la Bóveda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37026,37,'Aldehuela de Yeltes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37027,37,'Almenara de Tormes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37028,37,'Almendra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37029,37,'Anaya de Alba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37030,37,'Añover de Tormes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37031,37,'Arabayona de Mógica')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37032,37,'Arapiles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37033,37,'Arcediano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37034,37,'Arco, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37035,37,'Armenteros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37036,37,'San Miguel del Robledo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37037,37,'Atalaya, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37038,37,'Babilafuente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37039,37,'Bañobárez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37040,37,'Barbadillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37041,37,'Barbalos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37042,37,'Barceo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37044,37,'Barruecopardo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37045,37,'Bastida, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37046,37,'Béjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37047,37,'Beleña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37049,37,'Bermellar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37050,37,'Berrocal de Huebra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37051,37,'Berrocal de Salvatierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37052,37,'Boada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37054,37,'Bodón, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37055,37,'Bogajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37056,37,'Bouza, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37057,37,'Bóveda del Río Almar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37058,37,'Brincones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37059,37,'Buenamadre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37060,37,'Buenavista')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37061,37,'Cabaco, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37062,37,'Cabezabellosa de la Calzada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37063,37,'Cabeza de Béjar, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37065,37,'Cabeza del Caballo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37067,37,'Cabrerizos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37068,37,'Cabrillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37069,37,'Calvarrasa de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37070,37,'Calvarrasa de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37071,37,'Calzada de Béjar, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37072,37,'Calzada de Don Diego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37073,37,'Calzada de Valdunciel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37074,37,'Campillo de Azaba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37077,37,'Campo de Peñaranda, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37078,37,'Candelario')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37079,37,'Canillas de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37080,37,'Cantagallo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37081,37,'Cantalapiedra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37082,37,'Cantalpino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37083,37,'Cantaracillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37085,37,'Carbajosa de la Sagrada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37086,37,'Carpio de Azaba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37087,37,'Carrascal de Barregas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37088,37,'Carrascal del Obispo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37089,37,'Casafranca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37090,37,'Casas del Conde, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37091,37,'Casillas de Flores')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37092,37,'Castellanos de Moriscos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37096,37,'Castillejo de Martín Viejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37097,37,'Castraz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37098,37,'Cepeda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37099,37,'Cereceda de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37100,37,'Cerezal de Peñahorcada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37101,37,'Cerralbo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37102,37,'Cerro, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37103,37,'Cespedosa de Tormes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37104,37,'Cilleros de la Bastida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37106,37,'Cipérez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37107,37,'Ciudad Rodrigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37108,37,'Coca de Alba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37109,37,'Colmenar de Montemayor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37110,37,'Cordovilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37112,37,'Cristóbal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37113,37,'Cubo de Don Sancho, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37114,37,'Chagarcía Medianero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37115,37,'Dios le Guarde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37116,37,'Doñinos de Ledesma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37117,37,'Doñinos de Salamanca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37118,37,'Ejeme')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37119,37,'Encina, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37120,37,'Encina de San Silvestre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37121,37,'Encinas de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37122,37,'Encinas de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37123,37,'Encinasola de los Comendadores')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37124,37,'Endrinal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37125,37,'Escurial de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37126,37,'Espadaña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37127,37,'Espeja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37128,37,'Espino de la Orbada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37129,37,'Florida de Liébana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37130,37,'Forfoleda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37131,37,'Frades de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37132,37,'Fregeneda, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37133,37,'Fresnedoso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37134,37,'Fresno Alhándiga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37135,37,'Fuente de San Esteban, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37136,37,'Fuenteguinaldo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37137,37,'Fuenteliante')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37138,37,'Fuenterroble de Salvatierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37139,37,'Fuentes de Béjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37140,37,'Fuentes de Oñoro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37141,37,'Gajates')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37142,37,'Galindo y Perahuy')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37143,37,'Galinduste')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37144,37,'Galisancho')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37145,37,'Gallegos de Argañán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37146,37,'Gallegos de Solmirón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37147,37,'Garcibuey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37148,37,'Garcihernández')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37149,37,'Garcirrey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37150,37,'Gejuelo del Barro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37151,37,'Golpejas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37152,37,'Gomecello')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37154,37,'Guadramiro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37155,37,'Guijo de Ávila')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37156,37,'Guijuelo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37157,37,'Herguijuela de Ciudad Rodrigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37158,37,'Herguijuela de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37159,37,'Herguijuela del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37160,37,'Hinojosa de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37161,37,'Horcajo de Montemayor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37162,37,'Horcajo Medianero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37163,37,'Hoya, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37164,37,'Huerta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37165,37,'Iruelos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37166,37,'Ituero de Azaba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37167,37,'Juzbado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37168,37,'Lagunilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37169,37,'Larrodrigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37170,37,'Ledesma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37171,37,'Ledrada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37172,37,'Linares de Riofrío')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37173,37,'Lumbrales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37174,37,'Macotera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37175,37,'Machacón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37176,37,'Madroñal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37177,37,'Maíllo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37178,37,'Malpartida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37179,37,'Mancera de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37180,37,'Manzano, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37181,37,'Martiago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37182,37,'Martinamor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37183,37,'Martín de Yeltes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37184,37,'Masueco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37185,37,'Castellanos de Villiquera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37186,37,'Mata de Ledesma, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37187,37,'Matilla de los Caños del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37188,37,'Maya, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37189,37,'Membribe de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37190,37,'Mieza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37191,37,'Milano, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37192,37,'Miranda de Azán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37193,37,'Miranda del Castañar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37194,37,'Mogarraz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37195,37,'Molinillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37196,37,'Monforte de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37197,37,'Monleón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37198,37,'Monleras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37199,37,'Monsagro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37200,37,'Montejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37201,37,'Montemayor del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37202,37,'Monterrubio de Armuña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37203,37,'Monterrubio de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37204,37,'Morasverdes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37205,37,'Morille')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37206,37,'Moríñigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37207,37,'Moriscos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37208,37,'Moronta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37209,37,'Mozárbez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37211,37,'Narros de Matalayegua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37212,37,'Navacarros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37213,37,'Nava de Béjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37214,37,'Nava de Francia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37215,37,'Nava de Sotrobal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37216,37,'Navales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37217,37,'Navalmoral de Béjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37218,37,'Navamorales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37219,37,'Navarredonda de la Rinconada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37221,37,'Navasfrías')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37222,37,'Negrilla de Palencia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37223,37,'Olmedo de Camaces')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37224,37,'Orbada, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37225,37,'Pajares de la Laguna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37226,37,'Palacios del Arzobispo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37228,37,'Palaciosrubios')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37229,37,'Palencia de Negrilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37230,37,'Parada de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37231,37,'Parada de Rubiales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37232,37,'Paradinas de San Juan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37233,37,'Pastores')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37234,37,'Payo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37235,37,'Pedraza de Alba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37236,37,'Pedrosillo de Alba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37237,37,'Pedrosillo de los Aires')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37238,37,'Pedrosillo el Ralo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37239,37,'Pedroso de la Armuña, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37240,37,'Pelabravo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37241,37,'Pelarrodríguez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37242,37,'Pelayos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37243,37,'Peña, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37244,37,'Peñacaballera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37245,37,'Peñaparda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37246,37,'Peñaranda de Bracamonte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37247,37,'Peñarandilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37248,37,'Peralejos de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37249,37,'Peralejos de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37250,37,'Pereña de la Ribera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37251,37,'Peromingo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37252,37,'Pinedas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37253,37,'Pino de Tormes, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37254,37,'Pitiegua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37255,37,'Pizarral')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37256,37,'Poveda de las Cintas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37257,37,'Pozos de Hinojo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37258,37,'Puebla de Azaba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37259,37,'Puebla de San Medel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37260,37,'Puebla de Yeltes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37261,37,'Puente del Congosto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37262,37,'Puertas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37263,37,'Puerto de Béjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37264,37,'Puerto Seguro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37265,37,'Rágama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37266,37,'Redonda, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37267,37,'Retortillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37268,37,'Rinconada de la Sierra, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37269,37,'Robleda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37270,37,'Robliza de Cojos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37271,37,'Rollán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37272,37,'Saelices el Chico')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37273,37,'Sagrada, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37274,37,'Salamanca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37275,37,'Saldeana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37276,37,'Salmoral')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37277,37,'Salvatierra de Tormes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37278,37,'San Cristóbal de la Cuesta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37279,37,'Sancti-Spíritus')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37280,37,'Sanchón de la Ribera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37281,37,'Sanchón de la Sagrada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37282,37,'Sanchotello')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37283,37,'Sando')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37284,37,'San Esteban de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37285,37,'San Felices de los Gallegos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37286,37,'San Martín del Castañar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37287,37,'San Miguel de Valero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37288,37,'San Morales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37289,37,'San Muñoz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37290,37,'San Pedro del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37291,37,'San Pedro de Rozados')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37292,37,'San Pelayo de Guareña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37293,37,'Santa María de Sando')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37294,37,'Santa Marta de Tormes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37296,37,'Santiago de la Puebla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37297,37,'Santibáñez de Béjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37298,37,'Santibáñez de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37299,37,'Santiz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37300,37,'Santos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37301,37,'Sardón de los Frailes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37302,37,'Saucelle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37303,37,'Sahugo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37304,37,'Sepulcro-Hilario')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37305,37,'Sequeros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37306,37,'Serradilla del Arroyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37307,37,'Serradilla del Llano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37309,37,'Sierpe, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37310,37,'Sieteiglesias de Tormes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37311,37,'Sobradillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37312,37,'Sorihuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37313,37,'Sotoserrano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37314,37,'Tabera de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37315,37,'Tala, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37316,37,'Tamames')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37317,37,'Tarazona de Guareña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37318,37,'Tardáguila')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37319,37,'Tejado, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37320,37,'Tejeda y Segoyuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37321,37,'Tenebrón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37322,37,'Terradillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37323,37,'Topas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37324,37,'Tordillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37325,37,'Tornadizo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37327,37,'Torresmenudas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37328,37,'Trabanca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37329,37,'Tremedal de Tormes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37330,37,'Valdecarros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37331,37,'Valdefuentes de Sangusín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37332,37,'Valdehijaderos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37333,37,'Valdelacasa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37334,37,'Valdelageve')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37335,37,'Valdelosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37336,37,'Valdemierque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37337,37,'Valderrodrigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37338,37,'Valdunciel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37339,37,'Valero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37340,37,'Valsalabroso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37341,37,'Valverde de Valdelacasa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37342,37,'Valverdón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37343,37,'Vallejera de Riofrío')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37344,37,'Vecinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37345,37,'Vega de Tirados')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37346,37,'Veguillas, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37347,37,'Vellés, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37348,37,'Ventosa del Río Almar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37349,37,'Vídola, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37350,37,'Vilvestre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37351,37,'Villaflores')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37352,37,'Villagonzalo de Tormes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37353,37,'Villalba de los Llanos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37354,37,'Villamayor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37355,37,'Villanueva del Conde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37356,37,'Villar de Argañán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37357,37,'Villar de Ciervo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37358,37,'Villar de Gallimazo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37359,37,'Villar de la Yegua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37360,37,'Villar de Peralonso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37361,37,'Villar de Samaniego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37362,37,'Villares de la Reina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37363,37,'Villares de Yeltes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37364,37,'Villarino de los Aires')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37365,37,'Villarmayor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37366,37,'Villarmuerto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37367,37,'Villasbuenas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37368,37,'Villasdardo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37369,37,'Villaseco de los Gamitos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37370,37,'Villaseco de los Reyes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37371,37,'Villasrubias')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37372,37,'Villaverde de Guareña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37373,37,'Villavieja de Yeltes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37374,37,'Villoria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37375,37,'Villoruela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37376,37,'Vitigudino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37377,37,'Yecla de Yeltes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37378,37,'Zamarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37379,37,'Zamayón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37380,37,'Zarapicos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37381,37,'Zarza de Pumareda, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (37382,37,'Zorita de la Frontera')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38001,38,'Adeje')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38002,38,'Agulo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38003,38,'Alajeró')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38004,38,'Arafo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38005,38,'Arico')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38006,38,'Arona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38007,38,'Barlovento')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38008,38,'Breña Alta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38009,38,'Breña Baja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38010,38,'Buenavista del Norte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38011,38,'Candelaria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38012,38,'Fasnia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38013,38,'Frontera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38014,38,'Fuencaliente de la Palma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38015,38,'Garachico')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38016,38,'Garafía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38017,38,'Granadilla de Abona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38018,38,'Guancha, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38019,38,'Guía de Isora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38020,38,'Güímar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38021,38,'Hermigua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38022,38,'Icod de los Vinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38023,38,'San Cristóbal de La Laguna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38024,38,'Llanos de Aridane, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38025,38,'Matanza de Acentejo, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38026,38,'Orotava, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38027,38,'Paso, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38028,38,'Puerto de la Cruz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38029,38,'Puntagorda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38030,38,'Puntallana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38031,38,'Realejos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38032,38,'Rosario, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38033,38,'San Andrés y Sauces')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38034,38,'San Juan de la Rambla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38035,38,'San Miguel de Abona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38036,38,'San Sebastián de la Gomera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38037,38,'Santa Cruz de la Palma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38038,38,'Santa Cruz de Tenerife')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38039,38,'Santa Úrsula')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38040,38,'Santiago del Teide')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38041,38,'Sauzal, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38042,38,'Silos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38043,38,'Tacoronte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38044,38,'Tanque, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38045,38,'Tazacorte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38046,38,'Tegueste')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38047,38,'Tijarafe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38048,38,'Valverde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38049,38,'Valle Gran Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38050,38,'Vallehermoso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38051,38,'Victoria de Acentejo, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38052,38,'Vilaflor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38053,38,'Villa de Mazo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (38901,38,'Pinar de El Hierro, El')");


        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39001,39,'Alfoz de Lloredo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39002,39,'Ampuero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39003,39,'Anievas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39004,39,'Arenas de Iguña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39005,39,'Argoños')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39006,39,'Arnuero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39007,39,'Arredondo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39008,39,'Astillero, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39009,39,'Bárcena de Cicero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39010,39,'Bárcena de Pie de Concha')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39011,39,'Bareyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39012,39,'Cabezón de la Sal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39013,39,'Cabezón de Liébana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39014,39,'Cabuérniga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39015,39,'Camaleño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39016,39,'Camargo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39017,39,'Campoo de Yuso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39018,39,'Cartes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39019,39,'Castañeda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39020,39,'Castro-Urdiales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39021,39,'Cieza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39022,39,'Cillorigo de Liébana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39023,39,'Colindres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39024,39,'Comillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39025,39,'Corrales de Buelna, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39026,39,'Corvera de Toranzo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39027,39,'Campoo de Enmedio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39028,39,'Entrambasaguas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39029,39,'Escalante')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39030,39,'Guriezo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39031,39,'Hazas de Cesto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39032,39,'Hermandad de Campoo de Suso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39033,39,'Herrerías')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39034,39,'Lamasón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39035,39,'Laredo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39036,39,'Liendo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39037,39,'Liérganes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39038,39,'Limpias')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39039,39,'Luena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39040,39,'Marina de Cudeyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39041,39,'Mazcuerras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39042,39,'Medio Cudeyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39043,39,'Meruelo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39044,39,'Miengo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39045,39,'Miera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39046,39,'Molledo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39047,39,'Noja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39048,39,'Penagos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39049,39,'Peñarrubia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39050,39,'Pesaguero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39051,39,'Pesquera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39052,39,'Piélagos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39053,39,'Polaciones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39054,39,'Polanco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39055,39,'Potes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39056,39,'Puente Viesgo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39057,39,'Ramales de la Victoria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39058,39,'Rasines')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39059,39,'Reinosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39060,39,'Reocín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39061,39,'Ribamontán al Mar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39062,39,'Ribamontán al Monte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39063,39,'Rionansa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39064,39,'Riotuerto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39065,39,'Rozas de Valdearroyo, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39066,39,'Ruente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39067,39,'Ruesga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39068,39,'Ruiloba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39069,39,'San Felices de Buelna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39070,39,'San Miguel de Aguayo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39071,39,'San Pedro del Romeral')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39072,39,'San Roque de Riomiera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39073,39,'Santa Cruz de Bezana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39074,39,'Santa María de Cayón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39075,39,'Santander')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39076,39,'Santillana del Mar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39077,39,'Santiurde de Reinosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (26129,26,'San Asensio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39078,39,'Santiurde de Toranzo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39080,39,'San Vicente de la Barquera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39081,39,'Saro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39082,39,'Selaya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39083,39,'Soba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39084,39,'Solórzano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39085,39,'Suances')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39086,39,'Tojos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39087,39,'Torrelavega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39088,39,'Tresviso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39089,39,'Tudanca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39090,39,'Udías')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39091,39,'Valdáliga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39092,39,'Valdeolea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39093,39,'Valdeprado del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39094,39,'Valderredible')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39095,39,'Val de San Vicente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39096,39,'Vega de Liébana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39097,39,'Vega de Pas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39098,39,'Villacarriedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39099,39,'Villaescusa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39100,39,'Villafufre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39101,39,'Valle de Villaverde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39102,39,'Voto')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40001,40,'Abades')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40002,40,'Adrada de Pirón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40003,40,'Adrados')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40004,40,'Aguilafuente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40005,40,'Alconada de Maderuelo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40006,40,'Aldealcorvo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40007,40,'Aldealengua de Pedraza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40008,40,'Aldealengua de Santa María')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40009,40,'Aldeanueva de la Serrezuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40010,40,'Aldeanueva del Codonal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40012,40,'Aldea Real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40013,40,'Aldeasoña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40014,40,'Aldehorno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40015,40,'Aldehuela del Codonal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40016,40,'Aldeonte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40017,40,'Anaya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40018,40,'Añe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40019,40,'Arahuetes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40020,40,'Arcones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40021,40,'Arevalillo de Cega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40022,40,'Armuña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40024,40,'Ayllón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40025,40,'Barbolla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40026,40,'Basardilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40028,40,'Bercial')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40029,40,'Bercimuel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40030,40,'Bernardos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40031,40,'Bernuy de Porreros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40032,40,'Boceguillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40033,40,'Brieva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40034,40,'Caballar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40035,40,'Cabañas de Polendos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40036,40,'Cabezuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40037,40,'Calabazas de Fuentidueña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40039,40,'Campo de San Pedro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40040,40,'Cantalejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40041,40,'Cantimpalos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40043,40,'Carbonero el Mayor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40044,40,'Carrascal del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40045,40,'Casla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40046,40,'Castillejo de Mesleón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40047,40,'Castro de Fuentidueña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40048,40,'Castrojimeno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40049,40,'Castroserna de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40051,40,'Castroserracín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40052,40,'Cedillo de la Torre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40053,40,'Cerezo de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40054,40,'Cerezo de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40055,40,'Cilleruelo de San Mamés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40056,40,'Cobos de Fuentidueña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40057,40,'Coca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40058,40,'Codorniz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40059,40,'Collado Hermoso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40060,40,'Condado de Castilnovo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40061,40,'Corral de Ayllón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40062,40,'Cubillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40063,40,'Cuéllar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40065,40,'Chañe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40068,40,'Domingo García')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40069,40,'Donhierro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40070,40,'Duruelo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40071,40,'Encinas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40072,40,'Encinillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40073,40,'Escalona del Prado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40074,40,'Escarabajosa de Cabezas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40075,40,'Escobar de Polendos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40076,40,'Espinar, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40077,40,'Espirdo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40078,40,'Fresneda de Cuéllar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40079,40,'Fresno de Cantespino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40080,40,'Fresno de la Fuente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40081,40,'Frumales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40082,40,'Fuente de Santa Cruz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40083,40,'Fuente el Olmo de Fuentidueña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40084,40,'Fuente el Olmo de Íscar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40086,40,'Fuentepelayo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40087,40,'Fuentepiñel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40088,40,'Fuenterrebollo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40089,40,'Fuentesaúco de Fuentidueña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40091,40,'Fuentesoto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40092,40,'Fuentidueña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40093,40,'Gallegos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40094,40,'Garcillán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40095,40,'Gomezserracín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40097,40,'Grajera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40099,40,'Honrubia de la Cuesta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40100,40,'Hontalbilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40101,40,'Hontanares de Eresma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40103,40,'Huertos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40104,40,'Ituero y Lama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40105,40,'Juarros de Riomoros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40106,40,'Juarros de Voltoya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40107,40,'Labajos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40108,40,'Laguna de Contreras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40109,40,'Languilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40110,40,'Lastras de Cuéllar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40111,40,'Lastras del Pozo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40112,40,'Lastrilla, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40113,40,'Losa, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40115,40,'Maderuelo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40118,40,'Marazuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40119,40,'Martín Miguel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40120,40,'Martín Muñoz de la Dehesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40121,40,'Martín Muñoz de las Posadas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40122,40,'Marugán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40123,40,'Matabuena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40124,40,'Mata de Cuéllar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40125,40,'Matilla, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40126,40,'Melque de Cercos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40127,40,'Membibre de la Hoz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40128,40,'Migueláñez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40129,40,'Montejo de Arévalo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40130,40,'Montejo de la Vega de la Serrezuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40131,40,'Monterrubio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40132,40,'Moral de Hornuez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40134,40,'Mozoncillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40135,40,'Muñopedro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40136,40,'Muñoveros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40138,40,'Nava de la Asunción')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40139,40,'Navafría')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40140,40,'Navalilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40141,40,'Navalmanzano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40142,40,'Navares de Ayuso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40143,40,'Navares de Enmedio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40144,40,'Navares de las Cuevas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40145,40,'Navas de Oro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40146,40,'Navas de San Antonio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40148,40,'Nieva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40149,40,'Olombrada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40150,40,'Orejana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40151,40,'Ortigosa de Pestaño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40152,40,'Otero de Herreros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40154,40,'Pajarejos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40155,40,'Palazuelos de Eresma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40156,40,'Pedraza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40157,40,'Pelayos del Arroyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40158,40,'Perosillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40159,40,'Pinarejos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40160,40,'Pinarnegrillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40161,40,'Pradales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40162,40,'Prádena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40163,40,'Puebla de Pedraza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40164,40,'Rapariegos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40165,40,'Rebollo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40166,40,'Remondo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40168,40,'Riaguas de San Bartolomé')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40170,40,'Riaza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40171,40,'Ribota')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40172,40,'Riofrío de Riaza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40173,40,'Roda de Eresma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40174,40,'Sacramenia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40176,40,'Samboal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40177,40,'San Cristóbal de Cuéllar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40178,40,'San Cristóbal de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40179,40,'Sanchonuño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40180,40,'Sangarcía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40181,40,'Real Sitio de San Ildefonso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40182,40,'San Martín y Mudrián')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40183,40,'San Miguel de Bernuy')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40184,40,'San Pedro de Gaíllos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40185,40,'Santa María la Real de Nieva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40186,40,'Santa Marta del Cerro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40188,40,'Santiuste de Pedraza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40189,40,'Santiuste de San Juan Bautista')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40190,40,'Santo Domingo de Pirón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40191,40,'Santo Tomé del Puerto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40192,40,'Sauquillo de Cabezas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40193,40,'Sebúlcor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40194,40,'Segovia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40195,40,'Sepúlveda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40196,40,'Sequera de Fresno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40198,40,'Sotillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40199,40,'Sotosalbos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40200,40,'Tabanera la Luenga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40201,40,'Tolocirio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40202,40,'Torreadrada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40203,40,'Torrecaballeros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40204,40,'Torrecilla del Pinar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40205,40,'Torreiglesias')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40206,40,'Torre Val de San Pedro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40207,40,'Trescasas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40208,40,'Turégano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40210,40,'Urueñas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40211,40,'Valdeprados')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40212,40,'Valdevacas de Montejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40213,40,'Valdevacas y Guijar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40214,40,'Valseca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40215,40,'Valtiendas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40216,40,'Valverde del Majano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40218,40,'Valle de Tabladillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40219,40,'Vallelado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40220,40,'Valleruela de Pedraza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40221,40,'Valleruela de Sepúlveda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40222,40,'Veganzones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40223,40,'Vegas de Matute')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40224,40,'Ventosilla y Tejadilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40225,40,'Villacastín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40228,40,'Villaverde de Íscar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40229,40,'Villaverde de Montejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40230,40,'Villeguillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40231,40,'Yanguas de Eresma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40233,40,'Zarzuela del Monte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40234,40,'Zarzuela del Pinar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40901,40,'Ortigosa del Monte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40902,40,'Cozuelos de Fuentidueña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40903,40,'Marazoleja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40904,40,'Navas de Riofrío')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40905,40,'Cuevas de Provanco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (40906,40,'San Cristóbal de Segovia')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41001,41,'Aguadulce')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41002,41,'Alanís')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41003,41,'Albaida del Aljarafe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41004,41,'Alcalá de Guadaíra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41005,41,'Alcalá del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41006,41,'Alcolea del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41007,41,'Algaba, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41008,41,'Algámitas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41009,41,'Almadén de la Plata')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41010,41,'Almensilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41011,41,'Arahal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41012,41,'Aznalcázar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41013,41,'Aznalcóllar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41014,41,'Badolatosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41015,41,'Benacazón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41016,41,'Bollullos de la Mitación')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41017,41,'Bormujos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41018,41,'Brenes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41019,41,'Burguillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41020,41,'Cabezas de San Juan, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41021,41,'Camas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41022,41,'Campana, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41023,41,'Cantillana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41024,41,'Carmona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41025,41,'Carrión de los Céspedes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41026,41,'Casariche')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41027,41,'Castilblanco de los Arroyos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41028,41,'Castilleja de Guzmán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41029,41,'Castilleja de la Cuesta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41030,41,'Castilleja del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41031,41,'Castillo de las Guardas, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41032,41,'Cazalla de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41033,41,'Constantina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41034,41,'Coria del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41035,41,'Coripe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41036,41,'Coronil, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41037,41,'Corrales, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41038,41,'Dos Hermanas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41039,41,'Écija')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41040,41,'Espartinas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41041,41,'Estepa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41042,41,'Fuentes de Andalucía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41043,41,'Garrobo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41044,41,'Gelves')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41045,41,'Gerena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41046,41,'Gilena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41047,41,'Gines')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41048,41,'Guadalcanal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41049,41,'Guillena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41050,41,'Herrera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41051,41,'Huévar del Aljarafe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41052,41,'Lantejuela, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41053,41,'Lebrija')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41054,41,'Lora de Estepa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41055,41,'Lora del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41056,41,'Luisiana, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41057,41,'Madroño, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41058,41,'Mairena del Alcor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41059,41,'Mairena del Aljarafe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41060,41,'Marchena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41061,41,'Marinaleda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41062,41,'Martín de la Jara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41063,41,'Molares, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41064,41,'Montellano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41065,41,'Morón de la Frontera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41066,41,'Navas de la Concepción, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41067,41,'Olivares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41068,41,'Osuna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41069,41,'Palacios y Villafranca, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41070,41,'Palomares del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41071,41,'Paradas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41072,41,'Pedrera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41073,41,'Pedroso, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41074,41,'Peñaflor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41075,41,'Pilas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41076,41,'Pruna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41077,41,'Puebla de Cazalla, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41078,41,'Puebla de los Infantes, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41079,41,'Puebla del Río, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41080,41,'Real de la Jara, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41081,41,'Rinconada, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41082,41,'Roda de Andalucía, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41083,41,'Ronquillo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41084,41,'Rubio, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41085,41,'Salteras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41086,41,'San Juan de Aznalfarache')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41087,41,'Sanlúcar la Mayor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41088,41,'San Nicolás del Puerto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41089,41,'Santiponce')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41090,41,'Saucejo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41091,41,'Sevilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41092,41,'Tocina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41093,41,'Tomares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41094,41,'Umbrete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41095,41,'Utrera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41096,41,'Valencina de la Concepción')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41097,41,'Villamanrique de la Condesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41098,41,'Villanueva del Ariscal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41099,41,'Villanueva del Río y Minas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41100,41,'Villanueva de San Juan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41101,41,'Villaverde del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41102,41,'Viso del Alcor, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41901,41,'Cañada Rosal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41902,41,'Isla Mayor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (41903,41,'Cuervo de Sevilla, El')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42001,42,'Abejar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42003,42,'Adradas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42004,42,'Ágreda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42006,42,'Alconaba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42007,42,'Alcubilla de Avellaneda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42008,42,'Alcubilla de las Peñas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42009,42,'Aldealafuente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42010,42,'Aldealices')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42011,42,'Aldealpozo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42012,42,'Aldealseñor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42013,42,'Aldehuela de Periáñez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42014,42,'Aldehuelas, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42015,42,'Alentisque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42016,42,'Aliud')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42017,42,'Almajano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42018,42,'Almaluez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42019,42,'Almarza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42020,42,'Almazán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42021,42,'Almazul')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42022,42,'Almenar de Soria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42023,42,'Alpanseque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42024,42,'Arancón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42025,42,'Arcos de Jalón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42026,42,'Arenillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42027,42,'Arévalo de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42028,42,'Ausejo de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42029,42,'Baraona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42030,42,'Barca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42031,42,'Barcones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42032,42,'Bayubas de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42033,42,'Bayubas de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42034,42,'Beratón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42035,42,'Berlanga de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42036,42,'Blacos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42037,42,'Bliecos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42038,42,'Borjabad')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42039,42,'Borobia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42041,42,'Buberos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42042,42,'Buitrago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42043,42,'Burgo de Osma-Ciudad de Osma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42044,42,'Cabrejas del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42045,42,'Cabrejas del Pinar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42046,42,'Calatañazor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42048,42,'Caltojar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42049,42,'Candilichera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42050,42,'Cañamaque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42051,42,'Carabantes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42052,42,'Caracena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42053,42,'Carrascosa de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42054,42,'Carrascosa de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42055,42,'Casarejos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42056,42,'Castilfrío de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42057,42,'Castilruiz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42058,42,'Castillejo de Robledo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42059,42,'Centenera de Andaluz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42060,42,'Cerbón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42061,42,'Cidones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42062,42,'Cigudosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42063,42,'Cihuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42064,42,'Ciria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42065,42,'Cirujales del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42068,42,'Coscurita')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42069,42,'Covaleda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42070,42,'Cubilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42071,42,'Cubo de la Solana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42073,42,'Cueva de Ágreda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42075,42,'Dévanos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42076,42,'Deza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42078,42,'Duruelo de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42079,42,'Escobosa de Almazán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42080,42,'Espeja de San Marcelino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42081,42,'Espejón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42082,42,'Estepa de San Juan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42083,42,'Frechilla de Almazán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42084,42,'Fresno de Caracena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42085,42,'Fuentearmegil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42086,42,'Fuentecambrón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42087,42,'Fuentecantos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42088,42,'Fuentelmonge')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42089,42,'Fuentelsaz de Soria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42090,42,'Fuentepinilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42092,42,'Fuentes de Magaña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42093,42,'Fuentestrún')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42094,42,'Garray')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42095,42,'Golmayo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42096,42,'Gómara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42097,42,'Gormaz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42098,42,'Herrera de Soria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42100,42,'Hinojosa del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42103,42,'Langa de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42105,42,'Liceras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42106,42,'Losilla, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42107,42,'Magaña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42108,42,'Maján')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42110,42,'Matalebreras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42111,42,'Matamala de Almazán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42113,42,'Medinaceli')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42115,42,'Miño de Medinaceli')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42116,42,'Miño de San Esteban')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42117,42,'Molinos de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42118,42,'Momblona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42119,42,'Monteagudo de las Vicarías')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42120,42,'Montejo de Tiermes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42121,42,'Montenegro de Cameros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42123,42,'Morón de Almazán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42124,42,'Muriel de la Fuente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42125,42,'Muriel Viejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42127,42,'Nafría de Ucero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42128,42,'Narros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42129,42,'Navaleno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42130,42,'Nepas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42131,42,'Nolay')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42132,42,'Noviercas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42134,42,'Ólvega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42135,42,'Oncala')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42139,42,'Pinilla del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42140,42,'Portillo de Soria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42141,42,'Póveda de Soria, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42142,42,'Pozalmuro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42144,42,'Quintana Redonda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42145,42,'Quintanas de Gormaz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42148,42,'Quiñonería')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42149,42,'Rábanos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42151,42,'Rebollar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42152,42,'Recuerda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42153,42,'Rello')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42154,42,'Renieblas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42155,42,'Retortillo de Soria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42156,42,'Reznos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42157,42,'Riba de Escalote, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42158,42,'Rioseco de Soria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42159,42,'Rollamienta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42160,42,'Royo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42161,42,'Salduero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42162,42,'San Esteban de Gormaz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42163,42,'San Felices')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42164,42,'San Leonardo de Yagüe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42165,42,'San Pedro Manrique')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42166,42,'Santa Cruz de Yanguas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42167,42,'Santa María de Huerta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42168,42,'Santa María de las Hoyas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42171,42,'Serón de Nágima')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42172,42,'Soliedra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42173,42,'Soria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42174,42,'Sotillo del Rincón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42175,42,'Suellacabras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42176,42,'Tajahuerce')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42177,42,'Tajueco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42178,42,'Talveila')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42181,42,'Tardelcuende')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42182,42,'Taroda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42183,42,'Tejado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42184,42,'Torlengua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42185,42,'Torreblacos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42187,42,'Torrubia de Soria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42188,42,'Trévago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42189,42,'Ucero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42190,42,'Vadillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42191,42,'Valdeavellano de Tera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42192,42,'Valdegeña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42193,42,'Valdelagua del Cerro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42194,42,'Valdemaluque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42195,42,'Valdenebro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42196,42,'Valdeprado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42197,42,'Valderrodilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42198,42,'Valtajeros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42200,42,'Velamazán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42201,42,'Velilla de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42202,42,'Velilla de los Ajos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42204,42,'Viana de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42205,42,'Villaciervos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42206,42,'Villanueva de Gormaz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42207,42,'Villar del Ala')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42208,42,'Villar del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42209,42,'Villar del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42211,42,'Villares de Soria, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42212,42,'Villasayas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42213,42,'Villaseca de Arciel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42215,42,'Vinuesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42216,42,'Vizmanos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42217,42,'Vozmediano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42218,42,'Yanguas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (42219,42,'Yelo')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43001,43,'Aiguamúrcia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43002,43,'Albinyana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43003,43,'Albiol, L''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43004,43,'Alcanar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43005,43,'Alcover')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43006,43,'Aldover')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43007,43,'Aleixar, L''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43008,43,'Alfara de Carles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43009,43,'Alforja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43010,43,'Alió')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43011,43,'Almoster')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43012,43,'Altafulla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43013,43,'Ametlla de Mar, L''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43014,43,'Amposta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43015,43,'Arbolí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43016,43,'Arboç, L''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43017,43,'Argentera, L''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43018,43,'Arnes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43019,43,'Ascó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43020,43,'Banyeres del Penedès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43021,43,'Barberà de la Conca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43022,43,'Batea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43023,43,'Bellmunt del Priorat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43024,43,'Bellvei')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43025,43,'Benifallet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43026,43,'Benissanet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43027,43,'Bisbal de Falset, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43028,43,'Bisbal del Penedès, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43029,43,'Blancafort')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43030,43,'Bonastre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43031,43,'Borges del Camp, Les')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43032,43,'Bot')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43033,43,'Botarell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43034,43,'Bràfim')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43035,43,'Cabacés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43036,43,'Cabra del Camp')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43037,43,'Calafell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43038,43,'Cambrils')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43039,43,'Capafonts')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43040,43,'Capçanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43041,43,'Caseres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43042,43,'Castellvell del Camp')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43043,43,'Catllar, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43044,43,'Sénia, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43045,43,'Colldejou')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43046,43,'Conesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43047,43,'Constantí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43048,43,'Corbera d''Ebre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43049,43,'Cornudella de Montsant')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43050,43,'Creixell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43051,43,'Cunit')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43052,43,'Xerta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43053,43,'Duesaigües')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43054,43,'Espluga de Francolí, L''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43055,43,'Falset')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43056,43,'Fatarella, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43057,43,'Febró, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43058,43,'Figuera, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43059,43,'Figuerola del Camp')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43060,43,'Flix')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43061,43,'Forès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43062,43,'Freginals')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43063,43,'Galera, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43064,43,'Gandesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43065,43,'Garcia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43066,43,'Garidells, Els')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43067,43,'Ginestar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43068,43,'Godall')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43069,43,'Gratallops')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43070,43,'Guiamets, Els')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43071,43,'Horta de Sant Joan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43072,43,'Lloar, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43073,43,'Llorac')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43074,43,'Llorenç del Penedès')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43075,43,'Margalef')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43076,43,'Marçà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43077,43,'Mas de Barberans')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43078,43,'Masdenverge')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43079,43,'Masllorenç')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43080,43,'Masó, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43081,43,'Maspujols')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43082,43,'Masroig, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43083,43,'Milà, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43084,43,'Miravet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43085,43,'Molar, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43086,43,'Montblanc')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43088,43,'Montbrió del Camp')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43089,43,'Montferri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43090,43,'Montmell, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43091,43,'Mont-ral')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43092,43,'Mont-roig del Camp')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43093,43,'Móra d''Ebre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43094,43,'Móra la Nova')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43095,43,'Morell, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43096,43,'Morera de Montsant, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43097,43,'Nou de Gaià, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43098,43,'Nulles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43099,43,'Palma d''Ebre, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43100,43,'Pallaresos, Els')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43101,43,'Passanant i Belltall')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43102,43,'Paüls')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43103,43,'Perafort')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43104,43,'Perelló, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43105,43,'Piles, Les')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43106,43,'Pinell de Brai, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43107,43,'Pira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43108,43,'Pla de Santa Maria, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43109,43,'Pobla de Mafumet, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43110,43,'Pobla de Massaluca, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43111,43,'Pobla de Montornès, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43112,43,'Poboleda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43113,43,'Pont d''Armentera, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43114,43,'Porrera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43115,43,'Pradell de la Teixeta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43116,43,'Prades')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43117,43,'Prat de Comte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43118,43,'Pratdip')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43119,43,'Puigpelat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43120,43,'Querol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43121,43,'Rasquera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43122,43,'Renau')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43123,43,'Reus')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43124,43,'Riba, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43125,43,'Riba-roja d''Ebre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43126,43,'Riera de Gaià, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43127,43,'Riudecanyes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43128,43,'Riudecols')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43129,43,'Riudoms')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43130,43,'Rocafort de Queralt')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43131,43,'Roda de Barà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43132,43,'Rodonyà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43133,43,'Roquetes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43134,43,'Rourell, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43135,43,'Salomó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43136,43,'Sant Carles de la Ràpita')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43137,43,'Sant Jaume dels Domenys')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43138,43,'Santa Bàrbara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43139,43,'Santa Coloma de Queralt')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43140,43,'Santa Oliva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43141,43,'Pontils')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43142,43,'Sarral')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43143,43,'Savallà del Comtat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43144,43,'Secuita, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43145,43,'Selva del Camp, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43146,43,'Senan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43147,43,'Solivella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43148,43,'Tarragona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43149,43,'Tivenys')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43150,43,'Tivissa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43151,43,'Torre de Fontaubella, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43152,43,'Torre de l''Espanyol, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43153,43,'Torredembarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43154,43,'Torroja del Priorat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43155,43,'Tortosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43156,43,'Ulldecona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43157,43,'Ulldemolins')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43158,43,'Vallclara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43159,43,'Vallfogona de Riucorb')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43160,43,'Vallmoll')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43161,43,'Valls')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43162,43,'Vandellòs i l''Hospitalet de l''Infant')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43163,43,'Vendrell, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43164,43,'Vespella de Gaià')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43165,43,'Vilabella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43166,43,'Vilallonga del Camp')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43167,43,'Vilanova d''Escornalbou')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43168,43,'Vilanova de Prades')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43169,43,'Vilaplana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43170,43,'Vila-rodona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43171,43,'Vila-seca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43172,43,'Vilaverd')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43173,43,'Vilella Alta, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43174,43,'Vilella Baixa, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43175,43,'Vilalba dels Arcs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43176,43,'Vimbodí i Poblet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43177,43,'Vinebre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43178,43,'Vinyols i els Arcs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43901,43,'Deltebre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43902,43,'Sant Jaume d''Enveja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43903,43,'Camarles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43904,43,'Aldea, L''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43905,43,'Salou')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43906,43,'Ampolla, L''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (43907,43,'Canonja, La')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44001,44,'Ababuj')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44002,44,'Abejuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44003,44,'Aguatón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44004,44,'Aguaviva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44005,44,'Aguilar del Alfambra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44006,44,'Alacón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44007,44,'Alba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44008,44,'Albalate del Arzobispo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44009,44,'Albarracín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44010,44,'Albentosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44011,44,'Alcaine')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44012,44,'Alcalá de la Selva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44013,44,'Alcañiz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44014,44,'Alcorisa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44016,44,'Alfambra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44017,44,'Aliaga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44018,44,'Almohaja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44019,44,'Alobras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44020,44,'Alpeñés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44021,44,'Allepuz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44022,44,'Alloza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44023,44,'Allueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44024,44,'Anadón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44025,44,'Andorra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44026,44,'Arcos de las Salinas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44027,44,'Arens de Lledó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44028,44,'Argente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44029,44,'Ariño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44031,44,'Azaila')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44032,44,'Bádenas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44033,44,'Báguena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44034,44,'Bañón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44035,44,'Barrachina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44036,44,'Bea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44037,44,'Beceite')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44038,44,'Belmonte de San José')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44039,44,'Bello')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44040,44,'Berge')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44041,44,'Bezas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44042,44,'Blancas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44043,44,'Blesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44044,44,'Bordón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44045,44,'Bronchales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44046,44,'Bueña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44047,44,'Burbáguena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44048,44,'Cabra de Mora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44049,44,'Calaceite')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44050,44,'Calamocha')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44051,44,'Calanda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44052,44,'Calomarde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44053,44,'Camañas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44054,44,'Camarena de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44055,44,'Camarillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44056,44,'Caminreal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44059,44,'Cantavieja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44060,44,'Cañada de Benatanduz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44061,44,'Cañada de Verich, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44062,44,'Cañada Vellida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44063,44,'Cañizar del Olivar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44064,44,'Cascante del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44065,44,'Castejón de Tornos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44066,44,'Castel de Cabra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44067,44,'Castelnou')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44068,44,'Castelserás')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44070,44,'Castellar, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44071,44,'Castellote')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44074,44,'Cedrillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44075,44,'Celadas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44076,44,'Cella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44077,44,'Cerollera, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44080,44,'Codoñera, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44082,44,'Corbalán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44084,44,'Cortes de Aragón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44085,44,'Cosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44086,44,'Cretas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44087,44,'Crivillén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44088,44,'Cuba, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44089,44,'Cubla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44090,44,'Cucalón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44092,44,'Cuervo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44093,44,'Cuevas de Almudén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44094,44,'Cuevas Labradas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44096,44,'Ejulve')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44097,44,'Escorihuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44099,44,'Escucha')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44100,44,'Estercuel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44101,44,'Ferreruela de Huerva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44102,44,'Fonfría')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44103,44,'Formiche Alto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44105,44,'Fórnoles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44106,44,'Fortanete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44107,44,'Foz-Calanda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44108,44,'Fresneda, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44109,44,'Frías de Albarracín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44110,44,'Fuenferrada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44111,44,'Fuentes Calientes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44112,44,'Fuentes Claras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44113,44,'Fuentes de Rubielos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44114,44,'Fuentespalda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44115,44,'Galve')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44116,44,'Gargallo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44117,44,'Gea de Albarracín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44118,44,'Ginebrosa, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44119,44,'Griegos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44120,44,'Guadalaviar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (39079,39,'Santoña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44121,44,'Gúdar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44122,44,'Híjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44123,44,'Hinojosa de Jarque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44124,44,'Hoz de la Vieja, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44125,44,'Huesa del Común')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44126,44,'Iglesuela del Cid, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44127,44,'Jabaloyas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44128,44,'Jarque de la Val')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44129,44,'Jatiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44130,44,'Jorcas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44131,44,'Josa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44132,44,'Lagueruela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44133,44,'Lanzuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44135,44,'Libros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44136,44,'Lidón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44137,44,'Linares de Mora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44138,44,'Loscos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44141,44,'Lledó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44142,44,'Maicas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44143,44,'Manzanera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44144,44,'Martín del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44145,44,'Mas de las Matas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44146,44,'Mata de los Olmos, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44147,44,'Mazaleón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44148,44,'Mezquita de Jarque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44149,44,'Mirambel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44150,44,'Miravete de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44151,44,'Molinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44152,44,'Monforte de Moyuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44153,44,'Monreal del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44154,44,'Monroyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44155,44,'Montalbán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44156,44,'Monteagudo del Castillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44157,44,'Monterde de Albarracín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44158,44,'Mora de Rubielos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44159,44,'Moscardón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44160,44,'Mosqueruela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44161,44,'Muniesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44163,44,'Noguera de Albarracín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44164,44,'Nogueras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44165,44,'Nogueruelas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44167,44,'Obón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44168,44,'Odón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44169,44,'Ojos Negros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44171,44,'Olba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44172,44,'Oliete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44173,44,'Olmos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44174,44,'Orihuela del Tremedal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44175,44,'Orrios')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44176,44,'Palomar de Arroyos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44177,44,'Pancrudo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44178,44,'Parras de Castellote, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44179,44,'Peñarroya de Tastavins')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44180,44,'Peracense')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44181,44,'Peralejos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44182,44,'Perales del Alfambra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44183,44,'Pitarque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44184,44,'Plou')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44185,44,'Pobo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44187,44,'Portellada, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44189,44,'Pozondón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44190,44,'Pozuel del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44191,44,'Puebla de Híjar, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44192,44,'Puebla de Valverde, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44193,44,'Puertomingalvo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44194,44,'Ráfales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44195,44,'Rillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44196,44,'Riodeva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44197,44,'Ródenas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44198,44,'Royuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44199,44,'Rubiales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44200,44,'Rubielos de la Cérida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44201,44,'Rubielos de Mora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44203,44,'Salcedillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44204,44,'Saldón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44205,44,'Samper de Calanda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44206,44,'San Agustín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44207,44,'San Martín del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44208,44,'Santa Cruz de Nogueras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44209,44,'Santa Eulalia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44210,44,'Sarrión')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44211,44,'Segura de los Baños')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44212,44,'Seno')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44213,44,'Singra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44215,44,'Terriente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44216,44,'Teruel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44217,44,'Toril y Masegoso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44218,44,'Tormón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44219,44,'Tornos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44220,44,'Torralba de los Sisones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44221,44,'Torrecilla de Alcañiz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44222,44,'Torrecilla del Rebollar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44223,44,'Torre de Arcas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44224,44,'Torre de las Arcas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44225,44,'Torre del Compte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44226,44,'Torrelacárcel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44227,44,'Torre los Negros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44228,44,'Torremocha de Jiloca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44229,44,'Torres de Albarracín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44230,44,'Torrevelilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44231,44,'Torrijas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44232,44,'Torrijo del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44234,44,'Tramacastiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44235,44,'Tramacastilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44236,44,'Tronchón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44237,44,'Urrea de Gaén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44238,44,'Utrillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44239,44,'Valacloche')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44240,44,'Valbona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44241,44,'Valdealgorfa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44243,44,'Valdecuenca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44244,44,'Valdelinares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44245,44,'Valdeltormo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44246,44,'Valderrobres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44247,44,'Valjunquera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44249,44,'Vallecillo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44250,44,'Veguillas de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44251,44,'Villafranca del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44252,44,'Villahermosa del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44256,44,'Villanueva del Rebollar de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44257,44,'Villar del Cobo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44258,44,'Villar del Salz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44260,44,'Villarluengo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44261,44,'Villarquemado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44262,44,'Villarroya de los Pinares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44263,44,'Villastar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44264,44,'Villel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44265,44,'Vinaceite')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44266,44,'Visiedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44267,44,'Vivel del Río Martín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (44268,44,'Zoma, La')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45001,45,'Ajofrín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45002,45,'Alameda de la Sagra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45003,45,'Albarreal de Tajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45004,45,'Alcabón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45005,45,'Alcañizo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45006,45,'Alcaudete de la Jara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45007,45,'Alcolea de Tajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45008,45,'Aldea en Cabo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45009,45,'Aldeanueva de Barbarroya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45010,45,'Aldeanueva de San Bartolomé')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45011,45,'Almendral de la Cañada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45012,45,'Almonacid de Toledo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45013,45,'Almorox')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45014,45,'Añover de Tajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45015,45,'Arcicóllar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45016,45,'Argés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45017,45,'Azután')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45018,45,'Barcience')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45019,45,'Bargas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45020,45,'Belvís de la Jara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45021,45,'Borox')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45022,45,'Buenaventura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45023,45,'Burguillos de Toledo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45024,45,'Burujón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45025,45,'Cabañas de la Sagra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45026,45,'Cabañas de Yepes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45027,45,'Cabezamesada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45028,45,'Calera y Chozas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45029,45,'Caleruela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45030,45,'Calzada de Oropesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45031,45,'Camarena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45032,45,'Camarenilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45033,45,'Campillo de la Jara, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45034,45,'Camuñas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45035,45,'Cardiel de los Montes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45036,45,'Carmena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45037,45,'Carpio de Tajo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45038,45,'Carranque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45039,45,'Carriches')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45040,45,'Casar de Escalona, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45041,45,'Casarrubios del Monte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45042,45,'Casasbuenas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45043,45,'Castillo de Bayuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45045,45,'Cazalegas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45046,45,'Cebolla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45047,45,'Cedillo del Condado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45048,45,'Cerralbos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45049,45,'Cervera de los Montes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45050,45,'Ciruelos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45051,45,'Cobeja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45052,45,'Cobisa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45053,45,'Consuegra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45054,45,'Corral de Almaguer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45055,45,'Cuerva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45056,45,'Chozas de Canales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45057,45,'Chueca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45058,45,'Domingo Pérez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45059,45,'Dosbarrios')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45060,45,'Erustes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45061,45,'Escalona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45062,45,'Escalonilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45063,45,'Espinoso del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45064,45,'Esquivias')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45065,45,'Estrella, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45066,45,'Fuensalida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45067,45,'Gálvez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45068,45,'Garciotum')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45069,45,'Gerindote')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45070,45,'Guadamur')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45071,45,'Guardia, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45072,45,'Herencias, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45073,45,'Herreruela de Oropesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45074,45,'Hinojosa de San Vicente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45075,45,'Hontanar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45076,45,'Hormigos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45077,45,'Huecas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45078,45,'Huerta de Valdecarábanos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45079,45,'Iglesuela, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45080,45,'Illán de Vacas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45081,45,'Illescas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45082,45,'Lagartera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45083,45,'Layos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45084,45,'Lillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45085,45,'Lominchar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45086,45,'Lucillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45087,45,'Madridejos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45088,45,'Magán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45089,45,'Malpica de Tajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45090,45,'Manzaneque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45091,45,'Maqueda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45092,45,'Marjaliza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45093,45,'Marrupe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45094,45,'Mascaraque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45095,45,'Mata, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45096,45,'Mazarambroz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45097,45,'Mejorada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45098,45,'Menasalbas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45099,45,'Méntrida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45100,45,'Mesegar de Tajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45101,45,'Miguel Esteban')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45102,45,'Mocejón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45103,45,'Mohedas de la Jara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45104,45,'Montearagón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45105,45,'Montesclaros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45106,45,'Mora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45107,45,'Nambroca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45108,45,'Nava de Ricomalillo, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45109,45,'Navahermosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45110,45,'Navalcán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45111,45,'Navalmoralejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45112,45,'Navalmorales, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45113,45,'Navalucillos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45114,45,'Navamorcuende')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45115,45,'Noblejas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45116,45,'Noez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45117,45,'Nombela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45118,45,'Novés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45119,45,'Numancia de la Sagra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45120,45,'Nuño Gómez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45121,45,'Ocaña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45122,45,'Olías del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45123,45,'Ontígola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45124,45,'Orgaz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45125,45,'Oropesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45126,45,'Otero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45127,45,'Palomeque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45128,45,'Pantoja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45129,45,'Paredes de Escalona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45130,45,'Parrillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45131,45,'Pelahustán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45132,45,'Pepino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45133,45,'Polán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45134,45,'Portillo de Toledo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45135,45,'Puebla de Almoradiel, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45136,45,'Puebla de Montalbán, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45137,45,'Pueblanueva, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45138,45,'Puente del Arzobispo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45139,45,'Puerto de San Vicente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45140,45,'Pulgar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45141,45,'Quero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45142,45,'Quintanar de la Orden')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45143,45,'Quismondo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45144,45,'Real de San Vicente, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45145,45,'Recas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45146,45,'Retamoso de la Jara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45147,45,'Rielves')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45148,45,'Robledo del Mazo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45149,45,'Romeral, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45150,45,'San Bartolomé de las Abiertas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45151,45,'San Martín de Montalbán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45152,45,'San Martín de Pusa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45153,45,'San Pablo de los Montes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45154,45,'San Román de los Montes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45155,45,'Santa Ana de Pusa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45156,45,'Santa Cruz de la Zarza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45157,45,'Santa Cruz del Retamar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45158,45,'Santa Olalla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45159,45,'Sartajada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45160,45,'Segurilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45161,45,'Seseña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45162,45,'Sevilleja de la Jara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45163,45,'Sonseca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45164,45,'Sotillo de las Palomas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45165,45,'Talavera de la Reina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45166,45,'Tembleque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45167,45,'Toboso, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45168,45,'Toledo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45169,45,'Torralba de Oropesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45170,45,'Torrecilla de la Jara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45171,45,'Torre de Esteban Hambrán, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45172,45,'Torrico')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45173,45,'Torrijos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45174,45,'Totanés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45175,45,'Turleque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45176,45,'Ugena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45177,45,'Urda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45179,45,'Valdeverdeja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45180,45,'Valmojado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45181,45,'Velada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45182,45,'Ventas con Peña Aguilera, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45183,45,'Ventas de Retamosa, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45184,45,'Ventas de San Julián, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45185,45,'Villacañas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45186,45,'Villa de Don Fadrique, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45187,45,'Villafranca de los Caballeros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45188,45,'Villaluenga de la Sagra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45189,45,'Villamiel de Toledo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45190,45,'Villaminaya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45191,45,'Villamuelas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45192,45,'Villanueva de Alcardete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45193,45,'Villanueva de Bogas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45194,45,'Villarejo de Montalbán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45195,45,'Villarrubia de Santiago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45196,45,'Villaseca de la Sagra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45197,45,'Villasequilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45198,45,'Villatobas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45199,45,'Viso de San Juan, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45200,45,'Yébenes, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45201,45,'Yeles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45202,45,'Yepes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45203,45,'Yuncler')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45204,45,'Yunclillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45205,45,'Yuncos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (45901,45,'Santo Domingo-Caudilla')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46001,46,'Ademuz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46002,46,'Ador')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46003,46,'Atzeneta d''Albaida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46004,46,'Agullent')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46005,46,'Alaquàs')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46006,46,'Albaida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46007,46,'Albal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46008,46,'Albalat de la Ribera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46009,46,'Albalat dels Sorells')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46010,46,'Albalat dels Tarongers')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46011,46,'Alberic')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46012,46,'Alborache')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46013,46,'Alboraya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46014,46,'Albuixech')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46015,46,'Alcàsser')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46016,46,'Alcàntera de Xúquer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46017,46,'Alzira')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46018,46,'Alcublas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46019,46,'Alcúdia, l''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46020,46,'Alcúdia de Crespins, l''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46021,46,'Aldaia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46022,46,'Alfafar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46023,46,'Alfauir')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46024,46,'Alfara de la Baronia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46025,46,'Alfara del Patriarca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46026,46,'Alfarp')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46027,46,'Alfarrasí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46028,46,'Algar de Palancia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46029,46,'Algemesí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46030,46,'Algimia de Alfara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46031,46,'Alginet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46032,46,'Almàssera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46033,46,'Almiserà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46034,46,'Almoines')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46035,46,'Almussafes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46036,46,'Alpuente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46037,46,'Alqueria de la Comtessa, l''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46038,46,'Andilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46039,46,'Anna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46040,46,'Antella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46041,46,'Aras de los Olmos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46042,46,'Aielo de Malferit')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46043,46,'Aielo de Rugat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46044,46,'Ayora')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46045,46,'Barxeta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46046,46,'Barx')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46047,46,'Bèlgida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46048,46,'Bellreguard')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46049,46,'Bellús')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46050,46,'Benagéber')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46051,46,'Benaguasil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46052,46,'Benavites')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46053,46,'Beneixida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46054,46,'Benetússer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46055,46,'Beniarjó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46056,46,'Beniatjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46057,46,'Benicolet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46058,46,'Benifairó de les Valls')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46059,46,'Benifairó de la Valldigna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46060,46,'Benifaió')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46061,46,'Beniflá')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46062,46,'Benigánim')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46063,46,'Benimodo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46064,46,'Benimuslem')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46065,46,'Beniparrell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46066,46,'Benirredrà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46067,46,'Benisanó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46068,46,'Benissoda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46069,46,'Benisuera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46070,46,'Bétera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46071,46,'Bicorp')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46072,46,'Bocairent')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46073,46,'Bolbaite')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46074,46,'Bonrepòs i Mirambell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46075,46,'Bufali')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46076,46,'Bugarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46077,46,'Buñol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46078,46,'Burjassot')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46079,46,'Calles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46080,46,'Camporrobles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46081,46,'Canals')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46082,46,'Canet d''En Berenguer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46083,46,'Carcaixent')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46084,46,'Càrcer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46085,46,'Carlet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46086,46,'Carrícola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46087,46,'Casas Altas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46088,46,'Casas Bajas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46089,46,'Casinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46090,46,'Castelló de Rugat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46091,46,'Castellonet de la Conquesta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46092,46,'Castielfabib')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46093,46,'Catadau')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46094,46,'Catarroja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46095,46,'Caudete de las Fuentes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46096,46,'Cerdà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46097,46,'Cofrentes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46098,46,'Corbera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46099,46,'Cortes de Pallás')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46100,46,'Cotes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46101,46,'Quart de les Valls')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46102,46,'Quart de Poblet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46103,46,'Quartell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46104,46,'Quatretonda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46105,46,'Cullera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46106,46,'Chelva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46107,46,'Chella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46108,46,'Chera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46109,46,'Cheste')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46110,46,'Xirivella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46111,46,'Chiva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46112,46,'Chulilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46113,46,'Daimús')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46114,46,'Domeño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46115,46,'Dos Aguas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46116,46,'Eliana, l''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46117,46,'Emperador')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46118,46,'Enguera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46119,46,'Ènova, l''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46120,46,'Estivella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46121,46,'Estubeny')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46122,46,'Faura')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46123,46,'Favara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46124,46,'Fontanars dels Alforins')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46125,46,'Fortaleny')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46126,46,'Foios')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46127,46,'Font d''En Carròs, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46128,46,'Font de la Figuera, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46129,46,'Fuenterrobles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46130,46,'Gavarda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46131,46,'Gandia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46132,46,'Genovés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46133,46,'Gestalgar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46134,46,'Gilet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46135,46,'Godella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46136,46,'Godelleta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46137,46,'Granja de la Costera, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46138,46,'Guadasséquies')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46139,46,'Guadassuar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46140,46,'Guardamar de la Safor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46141,46,'Higueruelas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46142,46,'Jalance')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46143,46,'Xeraco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46144,46,'Jarafuel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46145,46,'Xàtiva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46146,46,'Xeresa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46147,46,'Llíria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46148,46,'Loriguilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46149,46,'Losa del Obispo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46150,46,'Llutxent')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46151,46,'Llocnou d''En Fenollet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46152,46,'Llocnou de la Corona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46153,46,'Llocnou de Sant Jeroni')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46154,46,'Llanera de Ranes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46155,46,'Llaurí')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46156,46,'Llombai')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46157,46,'Llosa de Ranes, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46158,46,'Macastre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46159,46,'Manises')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46160,46,'Manuel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46161,46,'Marines')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46162,46,'Massalavés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46163,46,'Massalfassar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46164,46,'Massamagrell')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46165,46,'Massanassa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46166,46,'Meliana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46167,46,'Millares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46168,46,'Miramar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46169,46,'Mislata')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46170,46,'Mogente/Moixent')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46171,46,'Moncada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46172,46,'Montserrat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46173,46,'Montaverner')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46174,46,'Montesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46175,46,'Montitxelvo/Montichelvo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46176,46,'Montroy')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46177,46,'Museros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46178,46,'Náquera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46179,46,'Navarrés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46180,46,'Novelé/Novetlè')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46181,46,'Oliva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46182,46,'Olocau')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46183,46,'Olleria, l''')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46184,46,'Ontinyent')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46185,46,'Otos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46186,46,'Paiporta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46187,46,'Palma de Gandía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46188,46,'Palmera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46189,46,'Palomar, el')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46190,46,'Paterna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46191,46,'Pedralba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46192,46,'Petrés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46193,46,'Picanya')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46194,46,'Picassent')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46195,46,'Piles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46196,46,'Pinet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46197,46,'Polinyà de Xúquer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46198,46,'Potríes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46199,46,'Pobla de Farnals, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46200,46,'Pobla del Duc, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46201,46,'Puebla de San Miguel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46202,46,'Pobla de Vallbona, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46203,46,'Pobla Llarga, la')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46204,46,'Puig')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46205,46,'Puçol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46206,46,'Quesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46207,46,'Rafelbuñol/Rafelbunyol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46208,46,'Rafelcofer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46209,46,'Rafelguaraf')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46210,46,'Ráfol de Salem')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46211,46,'Real de Gandía')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46212,46,'Real')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46213,46,'Requena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46214,46,'Riba-roja de Túria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46215,46,'Riola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46216,46,'Rocafort')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46217,46,'Rotglà i Corberà')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46218,46,'Rótova')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46219,46,'Rugat')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46220,46,'Sagunto/Sagunt')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46221,46,'Salem')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46222,46,'Sant Joanet')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46223,46,'Sedaví')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46224,46,'Segart')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46225,46,'Sellent')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46226,46,'Sempere')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46227,46,'Senyera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46228,46,'Serra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46229,46,'Siete Aguas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46230,46,'Silla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46231,46,'Simat de la Valldigna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46232,46,'Sinarcas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46233,46,'Sollana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46234,46,'Sot de Chera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46235,46,'Sueca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46236,46,'Sumacàrcer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46237,46,'Tavernes Blanques')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46238,46,'Tavernes de la Valldigna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46239,46,'Teresa de Cofrentes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46240,46,'Terrateig')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46241,46,'Titaguas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46242,46,'Torrebaja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46243,46,'Torrella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46244,46,'Torrent')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46245,46,'Torres Torres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46246,46,'Tous')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46247,46,'Tuéjar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46248,46,'Turís')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46249,46,'Utiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46250,46,'Valencia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46251,46,'Vallada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46252,46,'Vallanca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46253,46,'Vallés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46254,46,'Venta del Moro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46255,46,'Villalonga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46256,46,'Vilamarxant')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46257,46,'Villanueva de Castellón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46258,46,'Villar del Arzobispo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46259,46,'Villargordo del Cabriel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46260,46,'Vinalesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46261,46,'Yátova')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46262,46,'Yesa, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46263,46,'Zarra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46902,46,'Gátova')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46903,46,'San Antonio de Benagéber')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (46904,46,'Benicull de Xúquer')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47001,47,'Adalia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47002,47,'Aguasal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47003,47,'Aguilar de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47004,47,'Alaejos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47005,47,'Alcazarén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47006,47,'Aldea de San Miguel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47007,47,'Aldeamayor de San Martín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47008,47,'Almenara de Adaja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47009,47,'Amusquillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47010,47,'Arroyo de la Encomienda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47011,47,'Ataquines')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47012,47,'Bahabón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47013,47,'Barcial de la Loma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47014,47,'Barruelo del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47015,47,'Becilla de Valderaduey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47016,47,'Benafarces')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47017,47,'Bercero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47018,47,'Berceruelo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47019,47,'Berrueces')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47020,47,'Bobadilla del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47021,47,'Bocigas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47022,47,'Bocos de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47023,47,'Boecillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47024,47,'Bolaños de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47025,47,'Brahojos de Medina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47026,47,'Bustillo de Chaves')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47027,47,'Cabezón de Pisuerga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47028,47,'Cabezón de Valderaduey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47029,47,'Cabreros del Monte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47030,47,'Campaspero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47031,47,'Campillo, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47032,47,'Camporredondo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47033,47,'Canalejas de Peñafiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47034,47,'Canillas de Esgueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47035,47,'Carpio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47036,47,'Casasola de Arión')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47037,47,'Castrejón de Trabancos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47038,47,'Castrillo de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47039,47,'Castrillo-Tejeriego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47040,47,'Castrobol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47041,47,'Castrodeza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47042,47,'Castromembibre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47043,47,'Castromonte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47044,47,'Castronuevo de Esgueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47045,47,'Castronuño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47046,47,'Castroponce')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47047,47,'Castroverde de Cerrato')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47048,47,'Ceinos de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47049,47,'Cervillego de la Cruz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47050,47,'Cigales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47051,47,'Ciguñuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47052,47,'Cistérniga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47053,47,'Cogeces de Íscar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47054,47,'Cogeces del Monte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47055,47,'Corcos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47056,47,'Corrales de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47057,47,'Cubillas de Santa Marta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47058,47,'Cuenca de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47059,47,'Curiel de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47060,47,'Encinas de Esgueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47061,47,'Esguevillas de Esgueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47062,47,'Fombellida')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47063,47,'Fompedraza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47064,47,'Fontihoyuelo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47065,47,'Fresno el Viejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47066,47,'Fuensaldaña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47067,47,'Fuente el Sol')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47068,47,'Fuente-Olmedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47069,47,'Gallegos de Hornija')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47070,47,'Gatón de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47071,47,'Geria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47073,47,'Herrín de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47074,47,'Hornillos de Eresma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47075,47,'Íscar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47076,47,'Laguna de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47077,47,'Langayo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47078,47,'Lomoviejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47079,47,'Llano de Olmedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47080,47,'Manzanillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47081,47,'Marzales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47082,47,'Matapozuelos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47083,47,'Matilla de los Caños')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47084,47,'Mayorga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47085,47,'Medina del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47086,47,'Medina de Rioseco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47087,47,'Megeces')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47088,47,'Melgar de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47089,47,'Melgar de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47090,47,'Mojados')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47091,47,'Monasterio de Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47092,47,'Montealegre de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47093,47,'Montemayor de Pililla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47094,47,'Moral de la Reina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47095,47,'Moraleja de las Panaderas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47096,47,'Morales de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47097,47,'Mota del Marqués')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47098,47,'Mucientes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47099,47,'Mudarra, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47100,47,'Muriel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47101,47,'Nava del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47102,47,'Nueva Villa de las Torres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47103,47,'Olivares de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47104,47,'Olmedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47105,47,'Olmos de Esgueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47106,47,'Olmos de Peñafiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47109,47,'Palazuelo de Vedija')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47110,47,'Parrilla, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47111,47,'Pedraja de Portillo, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47112,47,'Pedrajas de San Esteban')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47113,47,'Pedrosa del Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47114,47,'Peñafiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47115,47,'Peñaflor de Hornija')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47116,47,'Pesquera de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47117,47,'Piña de Esgueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47118,47,'Piñel de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47119,47,'Piñel de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47121,47,'Pollos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47122,47,'Portillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47123,47,'Pozal de Gallinas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47124,47,'Pozaldez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47125,47,'Pozuelo de la Orden')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47126,47,'Puras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47127,47,'Quintanilla de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47128,47,'Quintanilla del Molar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47129,47,'Quintanilla de Onésimo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47130,47,'Quintanilla de Trigueros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47131,47,'Rábano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47132,47,'Ramiro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47133,47,'Renedo de Esgueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47134,47,'Roales de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47135,47,'Robladillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47137,47,'Roturas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47138,47,'Rubí de Bracamonte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47139,47,'Rueda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47140,47,'Saelices de Mayorga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47141,47,'Salvador de Zapardiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47142,47,'San Cebrián de Mazote')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47143,47,'San Llorente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47144,47,'San Martín de Valvení')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47145,47,'San Miguel del Arroyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47146,47,'San Miguel del Pino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47147,47,'San Pablo de la Moraleja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47148,47,'San Pedro de Latarce')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47149,47,'San Pelayo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47150,47,'San Román de Hornija')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47151,47,'San Salvador')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47152,47,'Santa Eufemia del Arroyo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47153,47,'Santervás de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47154,47,'Santibáñez de Valcorba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47155,47,'Santovenia de Pisuerga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47156,47,'San Vicente del Palacio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47157,47,'Sardón de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47158,47,'Seca, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47159,47,'Serrada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47160,47,'Siete Iglesias de Trabancos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47161,47,'Simancas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47162,47,'Tamariz de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47163,47,'Tiedra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47164,47,'Tordehumos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47165,47,'Tordesillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47166,47,'Torrecilla de la Abadesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47167,47,'Torrecilla de la Orden')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47168,47,'Torrecilla de la Torre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47169,47,'Torre de Esgueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47170,47,'Torre de Peñafiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47171,47,'Torrelobatón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47172,47,'Torrescárcela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47173,47,'Traspinedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47174,47,'Trigueros del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47175,47,'Tudela de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47176,47,'Unión de Campos, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47177,47,'Urones de Castroponce')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47178,47,'Urueña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47179,47,'Valbuena de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47180,47,'Valdearcos de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47181,47,'Valdenebro de los Valles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47182,47,'Valdestillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47183,47,'Valdunquillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47184,47,'Valoria la Buena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47185,47,'Valverde de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47186,47,'Valladolid')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47187,47,'Vega de Ruiponce')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47188,47,'Vega de Valdetronco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47189,47,'Velascálvaro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47190,47,'Velilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47191,47,'Velliza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47192,47,'Ventosa de la Cuesta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47193,47,'Viana de Cega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47194,47,'Viloria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47195,47,'Villabáñez')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47196,47,'Villabaruz de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47197,47,'Villabrágima')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47198,47,'Villacarralón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47199,47,'Villacid de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47200,47,'Villaco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47203,47,'Villafrades de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47204,47,'Villafranca de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47205,47,'Villafrechós')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47206,47,'Villafuerte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47207,47,'Villagarcía de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47208,47,'Villagómez la Nueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47209,47,'Villalán de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47210,47,'Villalar de los Comuneros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47211,47,'Villalba de la Loma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47212,47,'Villalba de los Alcores')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47213,47,'Villalbarba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47214,47,'Villalón de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47215,47,'Villamuriel de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47216,47,'Villán de Tordesillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47217,47,'Villanubla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47218,47,'Villanueva de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47219,47,'Villanueva de la Condesa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47220,47,'Villanueva de los Caballeros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47221,47,'Villanueva de los Infantes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47222,47,'Villanueva de San Mancio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47223,47,'Villardefrades')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47224,47,'Villarmentero de Esgueva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47225,47,'Villasexmir')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47226,47,'Villavaquerín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47227,47,'Villavellid')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47228,47,'Villaverde de Medina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47229,47,'Villavicencio de los Caballeros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47230,47,'Wamba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47231,47,'Zaratán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (47232,47,'Zarza, La')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48001,48,'Abadiño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48002,48,'Abanto y Ciérvana-Abanto Zierbena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48003,48,'Amorebieta-Etxano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48004,48,'Amoroto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48005,48,'Arakaldo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48006,48,'Arantzazu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48007,48,'Munitibar-Arbatzegi Gerrikaitz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48008,48,'Artzentales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48009,48,'Arrankudiaga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48010,48,'Arrieta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48011,48,'Arrigorriaga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48012,48,'Bakio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48013,48,'Barakaldo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48014,48,'Barrika')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48015,48,'Basauri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48016,48,'Berango')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48017,48,'Bermeo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48018,48,'Berriatua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48019,48,'Berriz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48020,48,'Bilbao')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48021,48,'Busturia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48022,48,'Karrantza Harana/Valle de Carranza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48023,48,'Artea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48024,48,'Zeanuri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48025,48,'Zeberio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48026,48,'Dima')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48027,48,'Durango')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48028,48,'Ea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48029,48,'Etxebarri')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48030,48,'Etxebarria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48031,48,'Elantxobe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48032,48,'Elorrio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48033,48,'Ereño')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48034,48,'Ermua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48035,48,'Fruiz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48036,48,'Galdakao')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48037,48,'Galdames')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48038,48,'Gamiz-Fika')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48039,48,'Garai')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48040,48,'Gatika')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48041,48,'Gautegiz Arteaga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48042,48,'Gordexola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48043,48,'Gorliz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48044,48,'Getxo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48045,48,'Güeñes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48046,48,'Gernika-Lumo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48047,48,'Gizaburuaga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48048,48,'Ibarrangelu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48049,48,'Ispaster')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48050,48,'Izurtza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48051,48,'Lanestosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48052,48,'Larrabetzu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48053,48,'Laukiz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48054,48,'Leioa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48055,48,'Lemoa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48056,48,'Lemoiz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48057,48,'Lekeitio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48058,48,'Mallabia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48059,48,'Mañaria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48060,48,'Markina-Xemein')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48061,48,'Maruri-Jatabe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48062,48,'Mendata')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48063,48,'Mendexa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48064,48,'Meñaka')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48065,48,'Ugao-Miraballes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48066,48,'Morga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48067,48,'Muxika')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48068,48,'Mundaka')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48069,48,'Mungia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48070,48,'Aulesti')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48071,48,'Muskiz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48072,48,'Otxandio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48073,48,'Ondarroa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48074,48,'Urduña/Orduña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48075,48,'Orozko')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48076,48,'Sukarrieta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48077,48,'Plentzia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48078,48,'Portugalete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48079,48,'Errigoiti')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48080,48,'Valle de Trápaga-Trapagaran')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48081,48,'Lezama')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48082,48,'Santurtzi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48083,48,'Ortuella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48084,48,'Sestao')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48085,48,'Sopelana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48086,48,'Sopuerta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48087,48,'Trucios-Turtzioz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48088,48,'Ubide')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48089,48,'Urduliz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48090,48,'Balmaseda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48091,48,'Atxondo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48092,48,'Bedia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48093,48,'Areatza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48094,48,'Igorre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48095,48,'Zaldibar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48096,48,'Zalla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48097,48,'Zaratamo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48901,48,'Derio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48902,48,'Erandio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48903,48,'Loiu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48904,48,'Sondika')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48905,48,'Zamudio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48906,48,'Forua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48907,48,'Kortezubi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48908,48,'Murueta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48909,48,'Nabarniz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48910,48,'Iurreta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48911,48,'Ajangiz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48912,48,'Alonsotegi')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48913,48,'Zierbena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48914,48,'Arratzu')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (48915,48,'Ziortza-Bolibar')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49002,49,'Abezames')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49003,49,'Alcañices')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49004,49,'Alcubilla de Nogales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49005,49,'Alfaraz de Sayago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49006,49,'Algodre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49007,49,'Almaraz de Duero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49008,49,'Almeida de Sayago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49009,49,'Andavías')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49010,49,'Arcenillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49011,49,'Arcos de la Polvorosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49012,49,'Argañín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49013,49,'Argujillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49014,49,'Arquillinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49015,49,'Arrabalde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49016,49,'Aspariegos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49017,49,'Asturianos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49018,49,'Ayoó de Vidriales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49019,49,'Barcial del Barco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49020,49,'Belver de los Montes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49021,49,'Benavente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49022,49,'Benegiles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49023,49,'Bermillo de Sayago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49024,49,'Bóveda de Toro, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49025,49,'Bretó')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49026,49,'Bretocino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49027,49,'Brime de Sog')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49028,49,'Brime de Urz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49029,49,'Burganes de Valverde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49030,49,'Bustillo del Oro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49031,49,'Cabañas de Sayago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49032,49,'Calzadilla de Tera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49033,49,'Camarzana de Tera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49034,49,'Cañizal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49035,49,'Cañizo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49036,49,'Carbajales de Alba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49037,49,'Carbellino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49038,49,'Casaseca de Campeán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49039,49,'Casaseca de las Chanas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49040,49,'Castrillo de la Guareña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49041,49,'Castrogonzalo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49042,49,'Castronuevo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49043,49,'Castroverde de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49044,49,'Cazurra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49046,49,'Cerecinos de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49047,49,'Cerecinos del Carrizal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49048,49,'Cernadilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49050,49,'Cobreros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49052,49,'Coomonte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49053,49,'Coreses')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49054,49,'Corrales del Vino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49055,49,'Cotanes del Monte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49056,49,'Cubillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49057,49,'Cubo de Benavente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49058,49,'Cubo de Tierra del Vino, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49059,49,'Cuelgamures')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49061,49,'Entrala')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49062,49,'Espadañedo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49063,49,'Faramontanos de Tábara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49064,49,'Fariza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49065,49,'Fermoselle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49066,49,'Ferreras de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49067,49,'Ferreras de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49068,49,'Ferreruela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49069,49,'Figueruela de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49071,49,'Fonfría')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49075,49,'Fresno de la Polvorosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49076,49,'Fresno de la Ribera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49077,49,'Fresno de Sayago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49078,49,'Friera de Valverde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49079,49,'Fuente Encalada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49080,49,'Fuentelapeña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49081,49,'Fuentesaúco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49082,49,'Fuentes de Ropel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49083,49,'Fuentesecas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49084,49,'Fuentespreadas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49085,49,'Galende')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49086,49,'Gallegos del Pan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49087,49,'Gallegos del Río')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49088,49,'Gamones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49090,49,'Gema')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49091,49,'Granja de Moreruela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49092,49,'Granucillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49093,49,'Guarrate')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49094,49,'Hermisende')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49095,49,'Hiniesta, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49096,49,'Jambrina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49097,49,'Justel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49098,49,'Losacino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49099,49,'Losacio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49100,49,'Lubián')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49101,49,'Luelmo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49102,49,'Maderal, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49103,49,'Madridanos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49104,49,'Mahide')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49105,49,'Maire de Castroponce')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49107,49,'Malva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49108,49,'Manganeses de la Lampreana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49109,49,'Manganeses de la Polvorosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49110,49,'Manzanal de Arriba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49111,49,'Manzanal del Barco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49112,49,'Manzanal de los Infantes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49113,49,'Matilla de Arzón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49114,49,'Matilla la Seca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49115,49,'Mayalde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49116,49,'Melgar de Tera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49117,49,'Micereces de Tera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49118,49,'Milles de la Polvorosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49119,49,'Molacillos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49120,49,'Molezuelas de la Carballeda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49121,49,'Mombuey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49122,49,'Monfarracinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49123,49,'Montamarta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49124,49,'Moral de Sayago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49125,49,'Moraleja del Vino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49126,49,'Moraleja de Sayago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49127,49,'Morales del Vino')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49128,49,'Morales de Rey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49129,49,'Morales de Toro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49130,49,'Morales de Valverde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49131,49,'Moralina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49132,49,'Moreruela de los Infanzones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49133,49,'Moreruela de Tábara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49134,49,'Muelas de los Caballeros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49135,49,'Muelas del Pan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49136,49,'Muga de Sayago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49137,49,'Navianos de Valverde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49138,49,'Olmillos de Castro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49139,49,'Otero de Bodas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49141,49,'Pajares de la Lampreana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49142,49,'Palacios del Pan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49143,49,'Palacios de Sanabria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49145,49,'Pedralba de la Pradería')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49146,49,'Pego, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49147,49,'Peleagonzalo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49148,49,'Peleas de Abajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49149,49,'Peñausende')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49150,49,'Peque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49151,49,'Perdigón, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49152,49,'Pereruela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49153,49,'Perilla de Castro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49154,49,'Pías')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49155,49,'Piedrahita de Castro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49156,49,'Pinilla de Toro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49157,49,'Pino del Oro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49158,49,'Piñero, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49159,49,'Pobladura del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49160,49,'Pobladura de Valderaduey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49162,49,'Porto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49163,49,'Pozoantiguo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49164,49,'Pozuelo de Tábara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49165,49,'Prado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49166,49,'Puebla de Sanabria')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49167,49,'Pueblica de Valverde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49168,49,'Quintanilla del Monte')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49169,49,'Quintanilla del Olmo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49170,49,'Quintanilla de Urz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49171,49,'Quiruelas de Vidriales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49172,49,'Rabanales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49173,49,'Rábano de Aliste')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49174,49,'Requejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49175,49,'Revellinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49176,49,'Riofrío de Aliste')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49177,49,'Rionegro del Puente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49178,49,'Roales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49179,49,'Robleda-Cervantes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49180,49,'Roelos de Sayago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49181,49,'Rosinos de la Requejada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49183,49,'Salce')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49184,49,'Samir de los Caños')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49185,49,'San Agustín del Pozo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49186,49,'San Cebrián de Castro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49187,49,'San Cristóbal de Entreviñas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49188,49,'San Esteban del Molar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49189,49,'San Justo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49190,49,'San Martín de Valderaduey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49191,49,'San Miguel de la Ribera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49192,49,'San Miguel del Valle')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49193,49,'San Pedro de Ceque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49194,49,'San Pedro de la Nave-Almendra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49197,49,'Santa Clara de Avedillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49199,49,'Santa Colomba de las Monjas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49200,49,'Santa Cristina de la Polvorosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49201,49,'Santa Croya de Tera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49202,49,'Santa Eufemia del Barco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49203,49,'Santa María de la Vega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49204,49,'Santa María de Valverde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49205,49,'Santibáñez de Tera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49206,49,'Santibáñez de Vidriales')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49207,49,'Santovenia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49208,49,'San Vicente de la Cabeza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49209,49,'San Vitero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49210,49,'Sanzoles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49214,49,'Tábara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49216,49,'Tapioles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49219,49,'Toro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49220,49,'Torre del Valle, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49221,49,'Torregamones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49222,49,'Torres del Carrizal')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49223,49,'Trabazos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49224,49,'Trefacio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49225,49,'Uña de Quintana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49226,49,'Vadillo de la Guareña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49227,49,'Valcabado')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49228,49,'Valdefinjas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49229,49,'Valdescorriel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49230,49,'Vallesa de la Guareña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49231,49,'Vega de Tera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49232,49,'Vega de Villalobos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49233,49,'Vegalatrave')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49234,49,'Venialbo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49235,49,'Vezdemarbán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49236,49,'Vidayanes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49237,49,'Videmala')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49238,49,'Villabrázaro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49239,49,'Villabuena del Puente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49240,49,'Villadepera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49241,49,'Villaescusa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49242,49,'Villafáfila')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49243,49,'Villaferrueña')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49244,49,'Villageriz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49245,49,'Villalazán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49246,49,'Villalba de la Lampreana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49247,49,'Villalcampo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49248,49,'Villalobos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49249,49,'Villalonso')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49250,49,'Villalpando')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49251,49,'Villalube')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49252,49,'Villamayor de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49255,49,'Villamor de los Escuderos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49256,49,'Villanázar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49257,49,'Villanueva de Azoague')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49258,49,'Villanueva de Campeán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49259,49,'Villanueva de las Peras')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49260,49,'Villanueva del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49261,49,'Villaralbo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49262,49,'Villardeciervos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49263,49,'Villar de Fallaves')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49264,49,'Villar del Buey')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49265,49,'Villardiegua de la Ribera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49266,49,'Villárdiga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49267,49,'Villardondiego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49268,49,'Villarrín de Campos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49269,49,'Villaseco del Pan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49270,49,'Villavendimio')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49271,49,'Villaveza del Agua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49272,49,'Villaveza de Valverde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49273,49,'Viñas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (49275,49,'Zamora')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50001,50,'Abanto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50002,50,'Acered')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50003,50,'Agón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50004,50,'Aguarón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50005,50,'Aguilón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50006,50,'Ainzón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50007,50,'Aladrén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50008,50,'Alagón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50009,50,'Alarba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50010,50,'Alberite de San Juan')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50011,50,'Albeta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50012,50,'Alborge')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50013,50,'Alcalá de Ebro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50014,50,'Alcalá de Moncayo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50015,50,'Alconchel de Ariza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50016,50,'Aldehuela de Liestos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50017,50,'Alfajarín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50018,50,'Alfamén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50019,50,'Alforque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50020,50,'Alhama de Aragón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50021,50,'Almochuel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50022,50,'Almolda, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50023,50,'Almonacid de la Cuba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50024,50,'Almonacid de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50025,50,'Almunia de Doña Godina, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50026,50,'Alpartir')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50027,50,'Ambel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50028,50,'Anento')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50029,50,'Aniñón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50030,50,'Añón de Moncayo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50031,50,'Aranda de Moncayo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50032,50,'Arándiga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50033,50,'Ardisa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50034,50,'Ariza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50035,50,'Artieda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50036,50,'Asín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50037,50,'Atea')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50038,50,'Ateca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50039,50,'Azuara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50040,50,'Badules')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50041,50,'Bagüés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50042,50,'Balconchán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50043,50,'Bárboles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50044,50,'Bardallur')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50045,50,'Belchite')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50046,50,'Belmonte de Gracián')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50047,50,'Berdejo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50048,50,'Berrueco')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50050,50,'Bijuesca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50051,50,'Biota')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50052,50,'Bisimbre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50053,50,'Boquiñeni')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50054,50,'Bordalba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50055,50,'Borja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50056,50,'Botorrita')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50057,50,'Brea de Aragón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50058,50,'Bubierca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50059,50,'Bujaraloz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50060,50,'Bulbuente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50061,50,'Bureta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50062,50,'Burgo de Ebro, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50063,50,'Buste, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50064,50,'Cabañas de Ebro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50065,50,'Cabolafuente')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50066,50,'Cadrete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50067,50,'Calatayud')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50068,50,'Calatorao')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50069,50,'Calcena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50070,50,'Calmarza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50071,50,'Campillo de Aragón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50072,50,'Carenas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50073,50,'Cariñena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50074,50,'Caspe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50075,50,'Castejón de Alarba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50076,50,'Castejón de las Armas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50077,50,'Castejón de Valdejasa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50078,50,'Castiliscar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50079,50,'Cervera de la Cañada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50080,50,'Cerveruela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50081,50,'Cetina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50082,50,'Cimballa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50083,50,'Cinco Olivas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50084,50,'Clarés de Ribota')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50085,50,'Codo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50086,50,'Codos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50087,50,'Contamina')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50088,50,'Cosuenda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50089,50,'Cuarte de Huerva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50090,50,'Cubel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50091,50,'Cuerlas, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50092,50,'Chiprana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50093,50,'Chodes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50094,50,'Daroca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50095,50,'Ejea de los Caballeros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50096,50,'Embid de Ariza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50098,50,'Encinacorba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50099,50,'Épila')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50100,50,'Erla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50101,50,'Escatrón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50102,50,'Fabara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50104,50,'Farlete')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50105,50,'Fayón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50106,50,'Fayos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50107,50,'Figueruelas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50108,50,'Fombuena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50109,50,'Frago, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50110,50,'Frasno, El')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50111,50,'Fréscano')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50113,50,'Fuendejalón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50114,50,'Fuendetodos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50115,50,'Fuentes de Ebro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50116,50,'Fuentes de Jiloca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50117,50,'Gallocanta')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50118,50,'Gallur')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50119,50,'Gelsa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50120,50,'Godojos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50121,50,'Gotor')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50122,50,'Grisel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50123,50,'Grisén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50124,50,'Herrera de los Navarros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50125,50,'Ibdes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50126,50,'Illueca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50128,50,'Isuerre')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50129,50,'Jaraba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50130,50,'Jarque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50131,50,'Jaulín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50132,50,'Joyosa, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50133,50,'Lagata')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50134,50,'Langa del Castillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50135,50,'Layana')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50136,50,'Lécera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50137,50,'Leciñena')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50138,50,'Lechón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50139,50,'Letux')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50140,50,'Litago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50141,50,'Lituénigo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50142,50,'Lobera de Onsella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50143,50,'Longares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50144,50,'Longás')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50146,50,'Lucena de Jalón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50147,50,'Luceni')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50148,50,'Luesia')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50149,50,'Luesma')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50150,50,'Lumpiaque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50151,50,'Luna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50152,50,'Maella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50153,50,'Magallón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50154,50,'Mainar')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50155,50,'Malanquilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50156,50,'Maleján')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50157,50,'Malón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50159,50,'Maluenda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50160,50,'Mallén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50161,50,'Manchones')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50162,50,'Mara')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50163,50,'María de Huerva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50164,50,'Mediana de Aragón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50165,50,'Mequinenza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50166,50,'Mesones de Isuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50167,50,'Mezalocha')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50168,50,'Mianos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50169,50,'Miedes de Aragón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50170,50,'Monegrillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50171,50,'Moneva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50172,50,'Monreal de Ariza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50173,50,'Monterde')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50174,50,'Montón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50175,50,'Morata de Jalón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50176,50,'Morata de Jiloca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50177,50,'Morés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50178,50,'Moros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50179,50,'Moyuela')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50180,50,'Mozota')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50181,50,'Muel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50182,50,'Muela, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50183,50,'Munébrega')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50184,50,'Murero')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50185,50,'Murillo de Gállego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50186,50,'Navardún')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50187,50,'Nigüella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50188,50,'Nombrevilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50189,50,'Nonaspe')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50190,50,'Novallas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50191,50,'Novillas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50192,50,'Nuévalos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50193,50,'Nuez de Ebro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50194,50,'Olvés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50195,50,'Orcajo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50196,50,'Orera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50197,50,'Orés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50198,50,'Oseja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50199,50,'Osera de Ebro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50200,50,'Paniza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50201,50,'Paracuellos de Jiloca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50202,50,'Paracuellos de la Ribera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50203,50,'Pastriz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50204,50,'Pedrola')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50205,50,'Pedrosas, Las')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50206,50,'Perdiguera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50207,50,'Piedratajada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50208,50,'Pina de Ebro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50209,50,'Pinseque')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50210,50,'Pintanos, Los')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50211,50,'Plasencia de Jalón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50212,50,'Pleitas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50213,50,'Plenas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50214,50,'Pomer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50215,50,'Pozuel de Ariza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50216,50,'Pozuelo de Aragón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50217,50,'Pradilla de Ebro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50218,50,'Puebla de Albortón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50219,50,'Puebla de Alfindén, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50220,50,'Puendeluna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50221,50,'Purujosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50222,50,'Quinto')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50223,50,'Remolinos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50224,50,'Retascón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50225,50,'Ricla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50227,50,'Romanos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50228,50,'Rueda de Jalón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50229,50,'Ruesca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50230,50,'Sádaba')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50231,50,'Salillas de Jalón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50232,50,'Salvatierra de Esca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50233,50,'Samper del Salz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50234,50,'San Martín de la Virgen de Moncayo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50235,50,'San Mateo de Gállego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50236,50,'Santa Cruz de Grío')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50237,50,'Santa Cruz de Moncayo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50238,50,'Santa Eulalia de Gállego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50239,50,'Santed')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50240,50,'Sástago')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50241,50,'Sabiñán')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50242,50,'Sediles')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50243,50,'Sestrica')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50244,50,'Sierra de Luna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50245,50,'Sigüés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50246,50,'Sisamón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50247,50,'Sobradiel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50248,50,'Sos del Rey Católico')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50249,50,'Tabuenca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50250,50,'Talamantes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50251,50,'Tarazona')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50252,50,'Tauste')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50253,50,'Terrer')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50254,50,'Tierga')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50255,50,'Tobed')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50256,50,'Torralba de los Frailes')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50257,50,'Torralba de Ribota')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50258,50,'Torralbilla')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50259,50,'Torrehermosa')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50260,50,'Torrelapaja')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50261,50,'Torrellas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50262,50,'Torres de Berrellén')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50263,50,'Torrijo de la Cañada')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50264,50,'Tosos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50265,50,'Trasmoz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50266,50,'Trasobares')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50267,50,'Uncastillo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50268,50,'Undués de Lerda')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50269,50,'Urrea de Jalón')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50270,50,'Urriés')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50271,50,'Used')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50272,50,'Utebo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50273,50,'Valdehorna')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50274,50,'Val de San Martín')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50275,50,'Valmadrid')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50276,50,'Valpalmas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50277,50,'Valtorres')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50278,50,'Velilla de Ebro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50279,50,'Velilla de Jiloca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50280,50,'Vera de Moncayo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50281,50,'Vierlas')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50282,50,'Vilueña, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50283,50,'Villadoz')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50284,50,'Villafeliche')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50285,50,'Villafranca de Ebro')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50286,50,'Villalba de Perejil')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50287,50,'Villalengua')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50288,50,'Villanueva de Gállego')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50289,50,'Villanueva de Jiloca')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50290,50,'Villanueva de Huerva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50291,50,'Villar de los Navarros')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50292,50,'Villarreal de Huerva')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50293,50,'Villarroya de la Sierra')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50294,50,'Villarroya del Campo')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50295,50,'Vistabella')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50296,50,'Zaida, La')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50297,50,'Zaragoza')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50298,50,'Zuera')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50901,50,'Biel')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50902,50,'Marracos')");
        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (50903,50,'Villamayor de Gállego')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (51001,51,'Ceuta')");

        db.execSQL("Insert into MUNICIPIO (COD_MUN,COD_PROV,NOMBRE) values (52001,52,'Melilla')");
    }


    @Override
    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
        // En caso de una nueva versión habría que actualizar las tablas
    }


    public Cursor listado(String nombreTabla) {
        SQLiteDatabase db = this.getReadableDatabase();
        Cursor cursor = db.rawQuery("SELECT COD_PROV AS _id, NOMBRE FROM " + nombreTabla + "", null);

        //String[] queryCols = new String[]{"_id", "nombre"};
        //Cursor cursor = db.query("provincias", queryCols, null, null, null, null, null, null);
        return cursor;
    }


    public Cursor listadoMunicipios(int codigoProvincia) {
        SQLiteDatabase db = this.getReadableDatabase();
        Cursor cursor = db.rawQuery("SELECT M.COD_MUN AS _id, M.NOMBRE AS NOMBRE_MUN, P.NOMBRE AS NOMBRE_PROV " +
                " FROM PROVINCIA P, MUNICIPIO M " +
                " WHERE P.COD_PROV=M.COD_PROV " +
                " AND M.COD_PROV=" + codigoProvincia + "", null);

        //String[] queryCols = new String[]{"_id", "nombre"};
        //Cursor cursor = db.query("provincias", queryCols, null, null, null, null, null, null);
        return cursor;
    }


    public Cursor buscarMunicipio(String nombreMunicipio) {
        SQLiteDatabase db = this.getReadableDatabase();
        Cursor cursor = db.rawQuery("SELECT M.COD_MUN, M.NOMBRE, P.NOMBRE " +
                " FROM PROVINCIA P, MUNICIPIO M " +
                " WHERE P.COD_PROV=M.COD_PROV " +
                " AND M.NOMBRE LIKE '" + nombreMunicipio + "%'" +
                " LIMIT 1", null);
        return cursor;
    }


    public void writeCityIneCode(String city) throws Exception {
        String result = null;
        Cursor c = buscarMunicipio(city);
        Integer value = null;
        if (c.moveToFirst()) {
            value = c.getInt(0);
            Log.d(this.getClass().getName().toString(), "Found! " + String.valueOf(value));
        } else {
            Log.d(this.getClass().getName().toString(), "NOT city found!");
        }
        Log.d(this.getClass().getName().toString(), "RESULT: " + city + " => Code: " + String.valueOf(value));
    }






}
